package android.support.v4.app;

import android.app.Activity;
import android.content.ComponentCallbacks;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.support.v4.p016g.C0140p;
import android.support.v4.p016g.C0145d;
import android.support.v4.view.ac;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.view.ContextMenu;
import android.view.ContextMenu.ContextMenuInfo;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnCreateContextMenuListener;
import android.view.ViewGroup;
import android.view.animation.Animation;
import java.io.FileDescriptor;
import java.io.PrintWriter;

public class Fragment implements ComponentCallbacks, OnCreateContextMenuListener {
    private static final C0140p f128a;
    static final Object f129j;
    boolean f130A;
    int f131B;
    aa f132C;
    C0078x f133D;
    aa f134E;
    Fragment f135F;
    int f136G;
    int f137H;
    String f138I;
    boolean f139J;
    boolean f140K;
    boolean f141L;
    boolean f142M;
    boolean f143N;
    boolean f144O;
    boolean f145P;
    int f146Q;
    ViewGroup f147R;
    View f148S;
    View f149T;
    boolean f150U;
    boolean f151V;
    av f152W;
    boolean f153X;
    boolean f154Y;
    Object f155Z;
    Object aa;
    Object ab;
    Object ac;
    Object ad;
    Object ae;
    Boolean af;
    Boolean ag;
    cx ah;
    cx ai;
    int f156k;
    View f157l;
    int f158m;
    Bundle f159n;
    SparseArray f160o;
    int f161p;
    String f162q;
    Bundle f163r;
    Fragment f164s;
    int f165t;
    int f166u;
    boolean f167v;
    boolean f168w;
    boolean f169x;
    boolean f170y;
    boolean f171z;

    public class SavedState implements Parcelable {
        public static final Creator CREATOR;
        final Bundle f127a;

        static {
            CREATOR = new C0075q();
        }

        SavedState(Parcel parcel, ClassLoader classLoader) {
            this.f127a = parcel.readBundle();
            if (classLoader != null && this.f127a != null) {
                this.f127a.setClassLoader(classLoader);
            }
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeBundle(this.f127a);
        }
    }

    static {
        f128a = new C0140p();
        f129j = new Object();
    }

    public Fragment() {
        this.f156k = 0;
        this.f161p = -1;
        this.f165t = -1;
        this.f144O = true;
        this.f151V = true;
        this.f155Z = null;
        this.aa = f129j;
        this.ab = null;
        this.ac = f129j;
        this.ad = null;
        this.ae = f129j;
        this.ah = null;
        this.ai = null;
    }

    public static Fragment m230a(Context context, String str) {
        return m231a(context, str, null);
    }

    public static Fragment m231a(Context context, String str, Bundle bundle) {
        try {
            Class cls = (Class) f128a.get(str);
            if (cls == null) {
                cls = context.getClassLoader().loadClass(str);
                f128a.put(str, cls);
            }
            Fragment fragment = (Fragment) cls.newInstance();
            if (bundle != null) {
                bundle.setClassLoader(fragment.getClass().getClassLoader());
                fragment.f163r = bundle;
            }
            return fragment;
        } catch (Exception e) {
            throw new C0074p("Unable to instantiate fragment " + str + ": make sure class name exists, is public, and has an" + " empty constructor that is public", e);
        } catch (Exception e2) {
            throw new C0074p("Unable to instantiate fragment " + str + ": make sure class name exists, is public, and has an" + " empty constructor that is public", e2);
        } catch (Exception e22) {
            throw new C0074p("Unable to instantiate fragment " + str + ": make sure class name exists, is public, and has an" + " empty constructor that is public", e22);
        }
    }

    static boolean m232b(Context context, String str) {
        try {
            Class cls = (Class) f128a.get(str);
            if (cls == null) {
                cls = context.getClassLoader().loadClass(str);
                f128a.put(str, cls);
            }
            return Fragment.class.isAssignableFrom(cls);
        } catch (ClassNotFoundException e) {
            return false;
        }
    }

    public boolean m233A() {
        return this.ag == null ? true : this.ag.booleanValue();
    }

    public boolean m234B() {
        return this.af == null ? true : this.af.booleanValue();
    }

    void m235C() {
        this.f134E = new aa();
        this.f134E.m347a(this.f133D, new C0073o(this), this);
    }

    void m236D() {
        if (this.f134E != null) {
            this.f134E.m374i();
            this.f134E.m369e();
        }
        this.f145P = false;
        m270c();
        if (this.f145P) {
            if (this.f134E != null) {
                this.f134E.m377l();
            }
            if (this.f152W != null) {
                this.f152W.m442g();
                return;
            }
            return;
        }
        throw new cy("Fragment " + this + " did not call through to super.onStart()");
    }

    void m237E() {
        if (this.f134E != null) {
            this.f134E.m374i();
            this.f134E.m369e();
        }
        this.f145P = false;
        m294p();
        if (!this.f145P) {
            throw new cy("Fragment " + this + " did not call through to super.onResume()");
        } else if (this.f134E != null) {
            this.f134E.m378m();
            this.f134E.m369e();
        }
    }

    void m238F() {
        onLowMemory();
        if (this.f134E != null) {
            this.f134E.m384s();
        }
    }

    void m239G() {
        if (this.f134E != null) {
            this.f134E.m379n();
        }
        this.f145P = false;
        m295q();
        if (!this.f145P) {
            throw new cy("Fragment " + this + " did not call through to super.onPause()");
        }
    }

    void m240H() {
        if (this.f134E != null) {
            this.f134E.m380o();
        }
        this.f145P = false;
        m273d();
        if (!this.f145P) {
            throw new cy("Fragment " + this + " did not call through to super.onStop()");
        }
    }

    void m241I() {
        if (this.f134E != null) {
            this.f134E.m381p();
        }
        if (this.f153X) {
            this.f153X = false;
            if (!this.f154Y) {
                this.f154Y = true;
                this.f152W = this.f133D.m644a(this.f162q, this.f153X, false);
            }
            if (this.f152W == null) {
                return;
            }
            if (this.f142M) {
                this.f152W.m439d();
            } else {
                this.f152W.m438c();
            }
        }
    }

    void m242J() {
        if (this.f134E != null) {
            this.f134E.m382q();
        }
        this.f145P = false;
        m277e();
        if (!this.f145P) {
            throw new cy("Fragment " + this + " did not call through to super.onDestroyView()");
        } else if (this.f152W != null) {
            this.f152W.m441f();
        }
    }

    void m243K() {
        if (this.f134E != null) {
            this.f134E.m383r();
        }
        this.f145P = false;
        m296r();
        if (!this.f145P) {
            throw new cy("Fragment " + this + " did not call through to super.onDestroy()");
        }
    }

    public View m244a(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        return null;
    }

    public Animation m245a(int i, boolean z, int i2) {
        return null;
    }

    public final String m246a(int i) {
        return m283h().getString(i);
    }

    public void m247a(int i, int i2, Intent intent) {
    }

    final void m248a(int i, Fragment fragment) {
        this.f161p = i;
        if (fragment != null) {
            this.f162q = fragment.f162q + ":" + this.f161p;
        } else {
            this.f162q = "android:fragment:" + this.f161p;
        }
    }

    public void m249a(int i, String[] strArr, int[] iArr) {
    }

    @Deprecated
    public void m250a(Activity activity) {
        this.f145P = true;
    }

    @Deprecated
    public void m251a(Activity activity, AttributeSet attributeSet, Bundle bundle) {
        this.f145P = true;
    }

    public void m252a(Context context) {
        this.f145P = true;
        Activity f = this.f133D == null ? null : this.f133D.m659f();
        if (f != null) {
            this.f145P = false;
            m250a(f);
        }
    }

    public void m253a(Context context, AttributeSet attributeSet, Bundle bundle) {
        this.f145P = true;
        Activity f = this.f133D == null ? null : this.f133D.m659f();
        if (f != null) {
            this.f145P = false;
            m251a(f, attributeSet, bundle);
        }
    }

    public void m254a(Intent intent) {
        if (this.f133D == null) {
            throw new IllegalStateException("Fragment " + this + " not attached to Activity");
        }
        this.f133D.m646a(this, intent, -1);
    }

    public void m255a(Intent intent, int i) {
        if (this.f133D == null) {
            throw new IllegalStateException("Fragment " + this + " not attached to Activity");
        }
        this.f133D.m646a(this, intent, i);
    }

    void m256a(Configuration configuration) {
        onConfigurationChanged(configuration);
        if (this.f134E != null) {
            this.f134E.m340a(configuration);
        }
    }

    public void m257a(Bundle bundle) {
        this.f145P = true;
    }

    public void m258a(Menu menu) {
    }

    public void m259a(Menu menu, MenuInflater menuInflater) {
    }

    public void m260a(View view, Bundle bundle) {
    }

    public void m261a(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        printWriter.print(str);
        printWriter.print("mFragmentId=#");
        printWriter.print(Integer.toHexString(this.f136G));
        printWriter.print(" mContainerId=#");
        printWriter.print(Integer.toHexString(this.f137H));
        printWriter.print(" mTag=");
        printWriter.println(this.f138I);
        printWriter.print(str);
        printWriter.print("mState=");
        printWriter.print(this.f156k);
        printWriter.print(" mIndex=");
        printWriter.print(this.f161p);
        printWriter.print(" mWho=");
        printWriter.print(this.f162q);
        printWriter.print(" mBackStackNesting=");
        printWriter.println(this.f131B);
        printWriter.print(str);
        printWriter.print("mAdded=");
        printWriter.print(this.f167v);
        printWriter.print(" mRemoving=");
        printWriter.print(this.f168w);
        printWriter.print(" mResumed=");
        printWriter.print(this.f169x);
        printWriter.print(" mFromLayout=");
        printWriter.print(this.f170y);
        printWriter.print(" mInLayout=");
        printWriter.println(this.f171z);
        printWriter.print(str);
        printWriter.print("mHidden=");
        printWriter.print(this.f139J);
        printWriter.print(" mDetached=");
        printWriter.print(this.f140K);
        printWriter.print(" mMenuVisible=");
        printWriter.print(this.f144O);
        printWriter.print(" mHasMenu=");
        printWriter.println(this.f143N);
        printWriter.print(str);
        printWriter.print("mRetainInstance=");
        printWriter.print(this.f141L);
        printWriter.print(" mRetaining=");
        printWriter.print(this.f142M);
        printWriter.print(" mUserVisibleHint=");
        printWriter.println(this.f151V);
        if (this.f132C != null) {
            printWriter.print(str);
            printWriter.print("mFragmentManager=");
            printWriter.println(this.f132C);
        }
        if (this.f133D != null) {
            printWriter.print(str);
            printWriter.print("mHost=");
            printWriter.println(this.f133D);
        }
        if (this.f135F != null) {
            printWriter.print(str);
            printWriter.print("mParentFragment=");
            printWriter.println(this.f135F);
        }
        if (this.f163r != null) {
            printWriter.print(str);
            printWriter.print("mArguments=");
            printWriter.println(this.f163r);
        }
        if (this.f159n != null) {
            printWriter.print(str);
            printWriter.print("mSavedFragmentState=");
            printWriter.println(this.f159n);
        }
        if (this.f160o != null) {
            printWriter.print(str);
            printWriter.print("mSavedViewState=");
            printWriter.println(this.f160o);
        }
        if (this.f164s != null) {
            printWriter.print(str);
            printWriter.print("mTarget=");
            printWriter.print(this.f164s);
            printWriter.print(" mTargetRequestCode=");
            printWriter.println(this.f166u);
        }
        if (this.f146Q != 0) {
            printWriter.print(str);
            printWriter.print("mNextAnim=");
            printWriter.println(this.f146Q);
        }
        if (this.f147R != null) {
            printWriter.print(str);
            printWriter.print("mContainer=");
            printWriter.println(this.f147R);
        }
        if (this.f148S != null) {
            printWriter.print(str);
            printWriter.print("mView=");
            printWriter.println(this.f148S);
        }
        if (this.f149T != null) {
            printWriter.print(str);
            printWriter.print("mInnerView=");
            printWriter.println(this.f148S);
        }
        if (this.f157l != null) {
            printWriter.print(str);
            printWriter.print("mAnimatingAway=");
            printWriter.println(this.f157l);
            printWriter.print(str);
            printWriter.print("mStateAfterAnimating=");
            printWriter.println(this.f158m);
        }
        if (this.f152W != null) {
            printWriter.print(str);
            printWriter.println("Loader Manager:");
            this.f152W.m435a(str + "  ", fileDescriptor, printWriter, strArr);
        }
        if (this.f134E != null) {
            printWriter.print(str);
            printWriter.println("Child " + this.f134E + ":");
            this.f134E.m349a(str + "  ", fileDescriptor, printWriter, strArr);
        }
    }

    public boolean m262a(MenuItem menuItem) {
        return false;
    }

    public LayoutInflater m263b(Bundle bundle) {
        LayoutInflater b = this.f133D.m653b();
        m287j();
        ac.m1329a(b, this.f134E.m385t());
        return b;
    }

    View m264b(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        if (this.f134E != null) {
            this.f134E.m374i();
        }
        return m244a(layoutInflater, viewGroup, bundle);
    }

    public void m265b() {
        this.f145P = true;
    }

    public void m266b(Menu menu) {
    }

    public void m267b(boolean z) {
    }

    boolean m268b(Menu menu, MenuInflater menuInflater) {
        boolean z = false;
        if (this.f139J) {
            return false;
        }
        if (this.f143N && this.f144O) {
            z = true;
            m259a(menu, menuInflater);
        }
        return this.f134E != null ? z | this.f134E.m352a(menu, menuInflater) : z;
    }

    public boolean m269b(MenuItem menuItem) {
        return false;
    }

    public void m270c() {
        this.f145P = true;
        if (!this.f153X) {
            this.f153X = true;
            if (!this.f154Y) {
                this.f154Y = true;
                this.f152W = this.f133D.m644a(this.f162q, this.f153X, false);
            }
            if (this.f152W != null) {
                this.f152W.m437b();
            }
        }
    }

    boolean m271c(Menu menu) {
        boolean z = false;
        if (this.f139J) {
            return false;
        }
        if (this.f143N && this.f144O) {
            z = true;
            m258a(menu);
        }
        return this.f134E != null ? z | this.f134E.m351a(menu) : z;
    }

    boolean m272c(MenuItem menuItem) {
        if (!this.f139J) {
            if (this.f143N && this.f144O && m262a(menuItem)) {
                return true;
            }
            if (this.f134E != null && this.f134E.m353a(menuItem)) {
                return true;
            }
        }
        return false;
    }

    public void m273d() {
        this.f145P = true;
    }

    public void m274d(Bundle bundle) {
        this.f145P = true;
    }

    void m275d(Menu menu) {
        if (!this.f139J) {
            if (this.f143N && this.f144O) {
                m266b(menu);
            }
            if (this.f134E != null) {
                this.f134E.m358b(menu);
            }
        }
    }

    boolean m276d(MenuItem menuItem) {
        if (!this.f139J) {
            if (m269b(menuItem)) {
                return true;
            }
            if (this.f134E != null && this.f134E.m360b(menuItem)) {
                return true;
            }
        }
        return false;
    }

    public void m277e() {
        this.f145P = true;
    }

    public void m278e(Bundle bundle) {
    }

    public final boolean equals(Object obj) {
        return super.equals(obj);
    }

    final void m279f(Bundle bundle) {
        if (this.f160o != null) {
            this.f149T.restoreHierarchyState(this.f160o);
            this.f160o = null;
        }
        this.f145P = false;
        m282g(bundle);
        if (!this.f145P) {
            throw new cy("Fragment " + this + " did not call through to super.onViewStateRestored()");
        }
    }

    final boolean m280f() {
        return this.f131B > 0;
    }

    public final C0076r m281g() {
        return this.f133D == null ? null : (C0076r) this.f133D.m659f();
    }

    public void m282g(Bundle bundle) {
        this.f145P = true;
    }

    public final Resources m283h() {
        if (this.f133D != null) {
            return this.f133D.m660g().getResources();
        }
        throw new IllegalStateException("Fragment " + this + " not attached to Activity");
    }

    void m284h(Bundle bundle) {
        if (this.f134E != null) {
            this.f134E.m374i();
        }
        this.f145P = false;
        m257a(bundle);
        if (!this.f145P) {
            throw new cy("Fragment " + this + " did not call through to super.onCreate()");
        } else if (bundle != null) {
            Parcelable parcelable = bundle.getParcelable("android:support:fragments");
            if (parcelable != null) {
                if (this.f134E == null) {
                    m235C();
                }
                this.f134E.m342a(parcelable, null);
                this.f134E.m375j();
            }
        }
    }

    public final int hashCode() {
        return super.hashCode();
    }

    public final C0056y m285i() {
        return this.f132C;
    }

    void m286i(Bundle bundle) {
        if (this.f134E != null) {
            this.f134E.m374i();
        }
        this.f145P = false;
        m274d(bundle);
        if (!this.f145P) {
            throw new cy("Fragment " + this + " did not call through to super.onActivityCreated()");
        } else if (this.f134E != null) {
            this.f134E.m376k();
        }
    }

    public final C0056y m287j() {
        if (this.f134E == null) {
            m235C();
            if (this.f156k >= 5) {
                this.f134E.m378m();
            } else if (this.f156k >= 4) {
                this.f134E.m377l();
            } else if (this.f156k >= 2) {
                this.f134E.m376k();
            } else if (this.f156k >= 1) {
                this.f134E.m375j();
            }
        }
        return this.f134E;
    }

    void m288j(Bundle bundle) {
        m278e(bundle);
        if (this.f134E != null) {
            Parcelable h = this.f134E.m373h();
            if (h != null) {
                bundle.putParcelable("android:support:fragments", h);
            }
        }
    }

    public final boolean m289k() {
        return this.f133D != null && this.f167v;
    }

    public final boolean m290l() {
        return this.f140K;
    }

    public final boolean m291m() {
        return this.f168w;
    }

    public final boolean m292n() {
        return this.f139J;
    }

    public View m293o() {
        return this.f148S;
    }

    public void onConfigurationChanged(Configuration configuration) {
        this.f145P = true;
    }

    public void onCreateContextMenu(ContextMenu contextMenu, View view, ContextMenuInfo contextMenuInfo) {
        m281g().onCreateContextMenu(contextMenu, view, contextMenuInfo);
    }

    public void onLowMemory() {
        this.f145P = true;
    }

    public void m294p() {
        this.f145P = true;
    }

    public void m295q() {
        this.f145P = true;
    }

    public void m296r() {
        this.f145P = true;
        if (!this.f154Y) {
            this.f154Y = true;
            this.f152W = this.f133D.m644a(this.f162q, this.f153X, false);
        }
        if (this.f152W != null) {
            this.f152W.m443h();
        }
    }

    void m297s() {
        this.f161p = -1;
        this.f162q = null;
        this.f167v = false;
        this.f168w = false;
        this.f169x = false;
        this.f170y = false;
        this.f171z = false;
        this.f130A = false;
        this.f131B = 0;
        this.f132C = null;
        this.f134E = null;
        this.f133D = null;
        this.f136G = 0;
        this.f137H = 0;
        this.f138I = null;
        this.f139J = false;
        this.f140K = false;
        this.f142M = false;
        this.f152W = null;
        this.f153X = false;
        this.f154Y = false;
    }

    public void m298t() {
    }

    public String toString() {
        StringBuilder stringBuilder = new StringBuilder(128);
        C0145d.m891a(this, stringBuilder);
        if (this.f161p >= 0) {
            stringBuilder.append(" #");
            stringBuilder.append(this.f161p);
        }
        if (this.f136G != 0) {
            stringBuilder.append(" id=0x");
            stringBuilder.append(Integer.toHexString(this.f136G));
        }
        if (this.f138I != null) {
            stringBuilder.append(" ");
            stringBuilder.append(this.f138I);
        }
        stringBuilder.append('}');
        return stringBuilder.toString();
    }

    public Object m299u() {
        return this.f155Z;
    }

    public Object m300v() {
        return this.aa == f129j ? m299u() : this.aa;
    }

    public Object m301w() {
        return this.ab;
    }

    public Object m302x() {
        return this.ac == f129j ? m301w() : this.ac;
    }

    public Object m303y() {
        return this.ad;
    }

    public Object m304z() {
        return this.ae == f129j ? m303y() : this.ae;
    }
}
