package android.support.v4.app;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.support.v4.p009b.C0054a;
import android.util.Log;
import java.util.ArrayList;
import java.util.Iterator;

public class cz implements Iterable {
    private static final db f348a;
    private final ArrayList f349b;
    private final Context f350c;

    static {
        if (VERSION.SDK_INT >= 11) {
            f348a = new dd();
        } else {
            f348a = new dc();
        }
    }

    private cz(Context context) {
        this.f349b = new ArrayList();
        this.f350c = context;
    }

    public static cz m557a(Context context) {
        return new cz(context);
    }

    public cz m558a(Activity activity) {
        Intent intent = null;
        if (activity instanceof da) {
            intent = ((da) activity).m564a();
        }
        Intent a = intent == null ? ax.m452a(activity) : intent;
        if (a != null) {
            ComponentName component = a.getComponent();
            if (component == null) {
                component = a.resolveActivity(this.f350c.getPackageManager());
            }
            m559a(component);
            m560a(a);
        }
        return this;
    }

    public cz m559a(ComponentName componentName) {
        int size = this.f349b.size();
        try {
            Intent a = ax.m453a(this.f350c, componentName);
            while (a != null) {
                this.f349b.add(size, a);
                a = ax.m453a(this.f350c, a.getComponent());
            }
            return this;
        } catch (Throwable e) {
            Log.e("TaskStackBuilder", "Bad ComponentName while traversing activity parent metadata");
            throw new IllegalArgumentException(e);
        }
    }

    public cz m560a(Intent intent) {
        this.f349b.add(intent);
        return this;
    }

    public void m561a() {
        m562a(null);
    }

    public void m562a(Bundle bundle) {
        if (this.f349b.isEmpty()) {
            throw new IllegalStateException("No intents added to TaskStackBuilder; cannot startActivities");
        }
        Intent[] intentArr = (Intent[]) this.f349b.toArray(new Intent[this.f349b.size()]);
        intentArr[0] = new Intent(intentArr[0]).addFlags(268484608);
        if (!C0054a.m309a(this.f350c, intentArr, bundle)) {
            Intent intent = new Intent(intentArr[intentArr.length - 1]);
            intent.addFlags(268435456);
            this.f350c.startActivity(intent);
        }
    }

    public Iterator iterator() {
        return this.f349b.iterator();
    }
}
