package android.support.v4.media;

import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.text.TextUtils;

public final class MediaDescriptionCompat implements Parcelable {
    public static final Creator CREATOR;
    private final String f512a;
    private final CharSequence f513b;
    private final CharSequence f514c;
    private final CharSequence f515d;
    private final Bitmap f516e;
    private final Uri f517f;
    private final Bundle f518g;
    private final Uri f519h;
    private Object f520i;

    static {
        CREATOR = new C0157a();
    }

    private MediaDescriptionCompat(Parcel parcel) {
        this.f512a = parcel.readString();
        this.f513b = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.f514c = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.f515d = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.f516e = (Bitmap) parcel.readParcelable(null);
        this.f517f = (Uri) parcel.readParcelable(null);
        this.f518g = parcel.readBundle();
        this.f519h = (Uri) parcel.readParcelable(null);
    }

    private MediaDescriptionCompat(String str, CharSequence charSequence, CharSequence charSequence2, CharSequence charSequence3, Bitmap bitmap, Uri uri, Bundle bundle, Uri uri2) {
        this.f512a = str;
        this.f513b = charSequence;
        this.f514c = charSequence2;
        this.f515d = charSequence3;
        this.f516e = bitmap;
        this.f517f = uri;
        this.f518g = bundle;
        this.f519h = uri2;
    }

    public static MediaDescriptionCompat m913a(Object obj) {
        if (obj == null || VERSION.SDK_INT < 21) {
            return null;
        }
        C0158b c0158b = new C0158b();
        c0158b.m922a(C0159c.m927a(obj));
        c0158b.m921a(C0159c.m929b(obj));
        c0158b.m924b(C0159c.m930c(obj));
        c0158b.m925c(C0159c.m931d(obj));
        c0158b.m918a(C0159c.m932e(obj));
        c0158b.m919a(C0159c.m933f(obj));
        c0158b.m920a(C0159c.m934g(obj));
        if (VERSION.SDK_INT >= 23) {
            c0158b.m923b(C0161e.m944h(obj));
        }
        MediaDescriptionCompat a = c0158b.m917a();
        a.f520i = obj;
        return a;
    }

    public Object m914a() {
        if (this.f520i != null || VERSION.SDK_INT < 21) {
            return this.f520i;
        }
        Object a = C0160d.m935a();
        C0160d.m941a(a, this.f512a);
        C0160d.m940a(a, this.f513b);
        C0160d.m942b(a, this.f514c);
        C0160d.m943c(a, this.f515d);
        C0160d.m937a(a, this.f516e);
        C0160d.m938a(a, this.f517f);
        C0160d.m939a(a, this.f518g);
        if (VERSION.SDK_INT >= 23) {
            C0162f.m945b(a, this.f519h);
        }
        this.f520i = C0160d.m936a(a);
        return this.f520i;
    }

    public int describeContents() {
        return 0;
    }

    public String toString() {
        return this.f513b + ", " + this.f514c + ", " + this.f515d;
    }

    public void writeToParcel(Parcel parcel, int i) {
        if (VERSION.SDK_INT < 21) {
            parcel.writeString(this.f512a);
            TextUtils.writeToParcel(this.f513b, parcel, i);
            TextUtils.writeToParcel(this.f514c, parcel, i);
            TextUtils.writeToParcel(this.f515d, parcel, i);
            parcel.writeParcelable(this.f516e, i);
            parcel.writeParcelable(this.f517f, i);
            parcel.writeBundle(this.f518g);
            return;
        }
        C0159c.m928a(m914a(), parcel, i);
    }
}
