package android.support.v4.widget;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Rect;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.Drawable.Callback;
import android.support.v4.view.p018b.C0200a;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.Interpolator;
import android.view.animation.LinearInterpolator;
import java.util.ArrayList;

class ap extends Drawable implements Animatable {
    private static final Interpolator f884b;
    private static final Interpolator f885c;
    boolean f886a;
    private final int[] f887d;
    private final ArrayList f888e;
    private final at f889f;
    private float f890g;
    private Resources f891h;
    private View f892i;
    private Animation f893j;
    private float f894k;
    private double f895l;
    private double f896m;
    private final Callback f897n;

    static {
        f884b = new LinearInterpolator();
        f885c = new C0200a();
    }

    public ap(Context context, View view) {
        this.f887d = new int[]{-16777216};
        this.f888e = new ArrayList();
        this.f897n = new as(this);
        this.f892i = view;
        this.f891h = context.getResources();
        this.f889f = new at(this.f897n);
        this.f889f.m2264a(this.f887d);
        m2246a(1);
        m2241b();
    }

    private float m2235a(at atVar) {
        return (float) Math.toRadians(((double) atVar.m2271d()) / (6.283185307179586d * atVar.m2280j()));
    }

    private int m2236a(float f, int i, int i2) {
        int intValue = Integer.valueOf(i).intValue();
        int i3 = (intValue >> 24) & 255;
        int i4 = (intValue >> 16) & 255;
        int i5 = (intValue >> 8) & 255;
        intValue &= 255;
        int intValue2 = Integer.valueOf(i2).intValue();
        return (intValue + ((int) (((float) ((intValue2 & 255) - intValue)) * f))) | ((((i3 + ((int) (((float) (((intValue2 >> 24) & 255) - i3)) * f))) << 24) | ((i4 + ((int) (((float) (((intValue2 >> 16) & 255) - i4)) * f))) << 16)) | ((((int) (((float) (((intValue2 >> 8) & 255) - i5)) * f)) + i5) << 8));
    }

    private void m2238a(double d, double d2, double d3, double d4, float f, float f2) {
        at atVar = this.f889f;
        float f3 = this.f891h.getDisplayMetrics().density;
        this.f895l = ((double) f3) * d;
        this.f896m = ((double) f3) * d2;
        atVar.m2257a(((float) d4) * f3);
        atVar.m2256a(((double) f3) * d3);
        atVar.m2270c(0);
        atVar.m2258a(f * f3, f3 * f2);
        atVar.m2260a((int) this.f895l, (int) this.f896m);
    }

    private void m2239a(float f, at atVar) {
        if (f > 0.75f) {
            atVar.m2267b(m2236a((f - 0.75f) / 0.25f, atVar.m2278h(), atVar.m2255a()));
        }
    }

    private void m2241b() {
        at atVar = this.f889f;
        Animation aqVar = new aq(this, atVar);
        aqVar.setRepeatCount(-1);
        aqVar.setRepeatMode(1);
        aqVar.setInterpolator(f884b);
        aqVar.setAnimationListener(new ar(this, atVar));
        this.f893j = aqVar;
    }

    private void m2242b(float f, at atVar) {
        m2239a(f, atVar);
        float floor = (float) (Math.floor((double) (atVar.m2281k() / 0.8f)) + 1.0d);
        float a = m2235a(atVar);
        atVar.m2266b((((atVar.m2277g() - a) - atVar.m2276f()) * f) + atVar.m2276f());
        atVar.m2269c(atVar.m2277g());
        atVar.m2272d(((floor - atVar.m2281k()) * f) + atVar.m2281k());
    }

    public void m2244a(float f) {
        this.f889f.m2275e(f);
    }

    public void m2245a(float f, float f2) {
        this.f889f.m2266b(f);
        this.f889f.m2269c(f2);
    }

    public void m2246a(int i) {
        if (i == 0) {
            m2238a(56.0d, 56.0d, 12.5d, 3.0d, 12.0f, 6.0f);
        } else {
            m2238a(40.0d, 40.0d, 8.75d, 2.5d, 10.0f, 5.0f);
        }
    }

    public void m2247a(boolean z) {
        this.f889f.m2263a(z);
    }

    public void m2248a(int... iArr) {
        this.f889f.m2264a(iArr);
        this.f889f.m2270c(0);
    }

    public void m2249b(float f) {
        this.f889f.m2272d(f);
    }

    public void m2250b(int i) {
        this.f889f.m2259a(i);
    }

    void m2251c(float f) {
        this.f890g = f;
        invalidateSelf();
    }

    public void draw(Canvas canvas) {
        Rect bounds = getBounds();
        int save = canvas.save();
        canvas.rotate(this.f890g, bounds.exactCenterX(), bounds.exactCenterY());
        this.f889f.m2261a(canvas, bounds);
        canvas.restoreToCount(save);
    }

    public int getAlpha() {
        return this.f889f.m2268c();
    }

    public int getIntrinsicHeight() {
        return (int) this.f896m;
    }

    public int getIntrinsicWidth() {
        return (int) this.f895l;
    }

    public int getOpacity() {
        return -3;
    }

    public boolean isRunning() {
        ArrayList arrayList = this.f888e;
        int size = arrayList.size();
        for (int i = 0; i < size; i++) {
            Animation animation = (Animation) arrayList.get(i);
            if (animation.hasStarted() && !animation.hasEnded()) {
                return true;
            }
        }
        return false;
    }

    public void setAlpha(int i) {
        this.f889f.m2273d(i);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        this.f889f.m2262a(colorFilter);
    }

    public void start() {
        this.f893j.reset();
        this.f889f.m2282l();
        if (this.f889f.m2279i() != this.f889f.m2274e()) {
            this.f886a = true;
            this.f893j.setDuration(666);
            this.f892i.startAnimation(this.f893j);
            return;
        }
        this.f889f.m2270c(0);
        this.f889f.m2283m();
        this.f893j.setDuration(1332);
        this.f892i.startAnimation(this.f893j);
    }

    public void stop() {
        this.f892i.clearAnimation();
        m2251c(0.0f);
        this.f889f.m2263a(false);
        this.f889f.m2270c(0);
        this.f889f.m2283m();
    }
}
