package android.support.v4.widget;

import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Paint.Cap;
import android.graphics.Paint.Style;
import android.graphics.Path;
import android.graphics.Path.FillType;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable.Callback;

class at {
    private final RectF f903a;
    private final Paint f904b;
    private final Paint f905c;
    private final Callback f906d;
    private float f907e;
    private float f908f;
    private float f909g;
    private float f910h;
    private float f911i;
    private int[] f912j;
    private int f913k;
    private float f914l;
    private float f915m;
    private float f916n;
    private boolean f917o;
    private Path f918p;
    private float f919q;
    private double f920r;
    private int f921s;
    private int f922t;
    private int f923u;
    private final Paint f924v;
    private int f925w;
    private int f926x;

    public at(Callback callback) {
        this.f903a = new RectF();
        this.f904b = new Paint();
        this.f905c = new Paint();
        this.f907e = 0.0f;
        this.f908f = 0.0f;
        this.f909g = 0.0f;
        this.f910h = 5.0f;
        this.f911i = 2.5f;
        this.f924v = new Paint(1);
        this.f906d = callback;
        this.f904b.setStrokeCap(Cap.SQUARE);
        this.f904b.setAntiAlias(true);
        this.f904b.setStyle(Style.STROKE);
        this.f905c.setStyle(Style.FILL);
        this.f905c.setAntiAlias(true);
    }

    private void m2252a(Canvas canvas, float f, float f2, Rect rect) {
        if (this.f917o) {
            if (this.f918p == null) {
                this.f918p = new Path();
                this.f918p.setFillType(FillType.EVEN_ODD);
            } else {
                this.f918p.reset();
            }
            float f3 = ((float) (((int) this.f911i) / 2)) * this.f919q;
            float cos = (float) ((this.f920r * Math.cos(0.0d)) + ((double) rect.exactCenterX()));
            float sin = (float) ((this.f920r * Math.sin(0.0d)) + ((double) rect.exactCenterY()));
            this.f918p.moveTo(0.0f, 0.0f);
            this.f918p.lineTo(((float) this.f921s) * this.f919q, 0.0f);
            this.f918p.lineTo((((float) this.f921s) * this.f919q) / 2.0f, ((float) this.f922t) * this.f919q);
            this.f918p.offset(cos - f3, sin);
            this.f918p.close();
            this.f905c.setColor(this.f926x);
            canvas.rotate((f + f2) - 5.0f, rect.exactCenterX(), rect.exactCenterY());
            canvas.drawPath(this.f918p, this.f905c);
        }
    }

    private int m2253n() {
        return (this.f913k + 1) % this.f912j.length;
    }

    private void m2254o() {
        this.f906d.invalidateDrawable(null);
    }

    public int m2255a() {
        return this.f912j[m2253n()];
    }

    public void m2256a(double d) {
        this.f920r = d;
    }

    public void m2257a(float f) {
        this.f910h = f;
        this.f904b.setStrokeWidth(f);
        m2254o();
    }

    public void m2258a(float f, float f2) {
        this.f921s = (int) f;
        this.f922t = (int) f2;
    }

    public void m2259a(int i) {
        this.f925w = i;
    }

    public void m2260a(int i, int i2) {
        float min = (float) Math.min(i, i2);
        min = (this.f920r <= 0.0d || min < 0.0f) ? (float) Math.ceil((double) (this.f910h / 2.0f)) : (float) (((double) (min / 2.0f)) - this.f920r);
        this.f911i = min;
    }

    public void m2261a(Canvas canvas, Rect rect) {
        RectF rectF = this.f903a;
        rectF.set(rect);
        rectF.inset(this.f911i, this.f911i);
        float f = (this.f907e + this.f909g) * 360.0f;
        float f2 = ((this.f908f + this.f909g) * 360.0f) - f;
        this.f904b.setColor(this.f926x);
        canvas.drawArc(rectF, f, f2, false, this.f904b);
        m2252a(canvas, f, f2, rect);
        if (this.f923u < 255) {
            this.f924v.setColor(this.f925w);
            this.f924v.setAlpha(255 - this.f923u);
            canvas.drawCircle(rect.exactCenterX(), rect.exactCenterY(), (float) (rect.width() / 2), this.f924v);
        }
    }

    public void m2262a(ColorFilter colorFilter) {
        this.f904b.setColorFilter(colorFilter);
        m2254o();
    }

    public void m2263a(boolean z) {
        if (this.f917o != z) {
            this.f917o = z;
            m2254o();
        }
    }

    public void m2264a(int[] iArr) {
        this.f912j = iArr;
        m2270c(0);
    }

    public void m2265b() {
        m2270c(m2253n());
    }

    public void m2266b(float f) {
        this.f907e = f;
        m2254o();
    }

    public void m2267b(int i) {
        this.f926x = i;
    }

    public int m2268c() {
        return this.f923u;
    }

    public void m2269c(float f) {
        this.f908f = f;
        m2254o();
    }

    public void m2270c(int i) {
        this.f913k = i;
        this.f926x = this.f912j[this.f913k];
    }

    public float m2271d() {
        return this.f910h;
    }

    public void m2272d(float f) {
        this.f909g = f;
        m2254o();
    }

    public void m2273d(int i) {
        this.f923u = i;
    }

    public float m2274e() {
        return this.f907e;
    }

    public void m2275e(float f) {
        if (f != this.f919q) {
            this.f919q = f;
            m2254o();
        }
    }

    public float m2276f() {
        return this.f914l;
    }

    public float m2277g() {
        return this.f915m;
    }

    public int m2278h() {
        return this.f912j[this.f913k];
    }

    public float m2279i() {
        return this.f908f;
    }

    public double m2280j() {
        return this.f920r;
    }

    public float m2281k() {
        return this.f916n;
    }

    public void m2282l() {
        this.f914l = this.f907e;
        this.f915m = this.f908f;
        this.f916n = this.f909g;
    }

    public void m2283m() {
        this.f914l = 0.0f;
        this.f915m = 0.0f;
        this.f916n = 0.0f;
        m2266b(0.0f);
        m2269c(0.0f);
        m2272d(0.0f);
    }
}
