package android.support.v4.widget;

import android.content.Context;
import android.support.v4.view.ba;
import android.support.v4.view.br;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.animation.Interpolator;
import com.neatorobotics.android.C0729b;
import java.util.Arrays;

public class cj {
    private static final Interpolator f976v;
    private int f977a;
    private int f978b;
    private int f979c;
    private float[] f980d;
    private float[] f981e;
    private float[] f982f;
    private float[] f983g;
    private int[] f984h;
    private int[] f985i;
    private int[] f986j;
    private int f987k;
    private VelocityTracker f988l;
    private float f989m;
    private float f990n;
    private int f991o;
    private int f992p;
    private bi f993q;
    private final cm f994r;
    private View f995s;
    private boolean f996t;
    private final ViewGroup f997u;
    private final Runnable f998w;

    static {
        f976v = new ck();
    }

    private cj(Context context, ViewGroup viewGroup, cm cmVar) {
        this.f979c = -1;
        this.f998w = new cl(this);
        if (viewGroup == null) {
            throw new IllegalArgumentException("Parent view may not be null");
        } else if (cmVar == null) {
            throw new IllegalArgumentException("Callback may not be null");
        } else {
            this.f997u = viewGroup;
            this.f994r = cmVar;
            ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
            this.f991o = (int) ((context.getResources().getDisplayMetrics().density * 20.0f) + 0.5f);
            this.f978b = viewConfiguration.getScaledTouchSlop();
            this.f989m = (float) viewConfiguration.getScaledMaximumFlingVelocity();
            this.f990n = (float) viewConfiguration.getScaledMinimumFlingVelocity();
            this.f993q = bi.m2325a(context, f976v);
        }
    }

    private float m2411a(float f, float f2, float f3) {
        float abs = Math.abs(f);
        return abs < f2 ? 0.0f : abs > f3 ? f <= 0.0f ? -f3 : f3 : f;
    }

    private int m2412a(int i, int i2, int i3) {
        if (i == 0) {
            return 0;
        }
        int width = this.f997u.getWidth();
        int i4 = width / 2;
        float b = (m2421b(Math.min(1.0f, ((float) Math.abs(i)) / ((float) width))) * ((float) i4)) + ((float) i4);
        i4 = Math.abs(i2);
        return Math.min(i4 > 0 ? Math.round(Math.abs(b / ((float) i4)) * 1000.0f) * 4 : (int) (((((float) Math.abs(i)) / ((float) i3)) + 1.0f) * 256.0f), 600);
    }

    private int m2413a(View view, int i, int i2, int i3, int i4) {
        int b = m2422b(i3, (int) this.f990n, (int) this.f989m);
        int b2 = m2422b(i4, (int) this.f990n, (int) this.f989m);
        int abs = Math.abs(i);
        int abs2 = Math.abs(i2);
        int abs3 = Math.abs(b);
        int abs4 = Math.abs(b2);
        int i5 = abs3 + abs4;
        int i6 = abs + abs2;
        return (int) (((b2 != 0 ? ((float) abs4) / ((float) i5) : ((float) abs2) / ((float) i6)) * ((float) m2412a(i2, b2, this.f994r.m2157b(view)))) + ((b != 0 ? ((float) abs3) / ((float) i5) : ((float) abs) / ((float) i6)) * ((float) m2412a(i, b, this.f994r.m2150a(view)))));
    }

    public static cj m2414a(ViewGroup viewGroup, float f, cm cmVar) {
        cj a = m2415a(viewGroup, cmVar);
        a.f978b = (int) (((float) a.f978b) * (1.0f / f));
        return a;
    }

    public static cj m2415a(ViewGroup viewGroup, cm cmVar) {
        return new cj(viewGroup.getContext(), viewGroup, cmVar);
    }

    private void m2416a(float f, float f2) {
        this.f996t = true;
        this.f994r.m2154a(this.f995s, f, f2);
        this.f996t = false;
        if (this.f977a == 1) {
            m2446c(0);
        }
    }

    private void m2417a(float f, float f2, int i) {
        m2428f(i);
        float[] fArr = this.f980d;
        this.f982f[i] = f;
        fArr[i] = f;
        fArr = this.f981e;
        this.f983g[i] = f2;
        fArr[i] = f2;
        this.f984h[i] = m2426e((int) f, (int) f2);
        this.f987k |= 1 << i;
    }

    private boolean m2418a(float f, float f2, int i, int i2) {
        float abs = Math.abs(f);
        float abs2 = Math.abs(f2);
        if ((this.f984h[i] & i2) != i2 || (this.f992p & i2) == 0 || (this.f986j[i] & i2) == i2 || (this.f985i[i] & i2) == i2) {
            return false;
        }
        if (abs <= ((float) this.f978b) && abs2 <= ((float) this.f978b)) {
            return false;
        }
        if (abs >= abs2 * 0.5f || !this.f994r.m2161b(i2)) {
            return (this.f985i[i] & i2) == 0 && abs > ((float) this.f978b);
        } else {
            int[] iArr = this.f986j;
            iArr[i] = iArr[i] | i2;
            return false;
        }
    }

    private boolean m2419a(int i, int i2, int i3, int i4) {
        int left = this.f995s.getLeft();
        int top = this.f995s.getTop();
        int i5 = i - left;
        int i6 = i2 - top;
        if (i5 == 0 && i6 == 0) {
            this.f993q.m2337h();
            m2446c(0);
            return false;
        }
        this.f993q.m2327a(left, top, i5, i6, m2413a(this.f995s, i5, i6, i3, i4));
        m2446c(2);
        return true;
    }

    private boolean m2420a(View view, float f, float f2) {
        if (view == null) {
            return false;
        }
        boolean z = this.f994r.m2150a(view) > 0;
        boolean z2 = this.f994r.m2157b(view) > 0;
        return (z && z2) ? (f * f) + (f2 * f2) > ((float) (this.f978b * this.f978b)) : z ? Math.abs(f) > ((float) this.f978b) : z2 ? Math.abs(f2) > ((float) this.f978b) : false;
    }

    private float m2421b(float f) {
        return (float) Math.sin((double) ((float) (((double) (f - 0.5f)) * 0.4712389167638204d)));
    }

    private int m2422b(int i, int i2, int i3) {
        int abs = Math.abs(i);
        return abs < i2 ? 0 : abs > i3 ? i <= 0 ? -i3 : i3 : i;
    }

    private void m2423b(float f, float f2, int i) {
        int i2 = 1;
        if (!m2418a(f, f2, i, 1)) {
            i2 = 0;
        }
        if (m2418a(f2, f, i, 4)) {
            i2 |= 4;
        }
        if (m2418a(f, f2, i, 2)) {
            i2 |= 2;
        }
        if (m2418a(f2, f, i, 8)) {
            i2 |= 8;
        }
        if (i2 != 0) {
            int[] iArr = this.f985i;
            iArr[i] = iArr[i] | i2;
            this.f994r.m2159b(i2, i);
        }
    }

    private void m2424b(int i, int i2, int i3, int i4) {
        int a;
        int b;
        int left = this.f995s.getLeft();
        int top = this.f995s.getTop();
        if (i3 != 0) {
            a = this.f994r.m2151a(this.f995s, i, i3);
            this.f995s.offsetLeftAndRight(a - left);
        } else {
            a = i;
        }
        if (i4 != 0) {
            b = this.f994r.m2158b(this.f995s, i2, i4);
            this.f995s.offsetTopAndBottom(b - top);
        } else {
            b = i2;
        }
        if (i3 != 0 || i4 != 0) {
            this.f994r.m2155a(this.f995s, a, b, a - left, b - top);
        }
    }

    private void m2425c(MotionEvent motionEvent) {
        int c = ba.m1419c(motionEvent);
        for (int i = 0; i < c; i++) {
            int b = ba.m1417b(motionEvent, i);
            float c2 = ba.m1418c(motionEvent, i);
            float d = ba.m1420d(motionEvent, i);
            this.f982f[b] = c2;
            this.f983g[b] = d;
        }
    }

    private int m2426e(int i, int i2) {
        int i3 = 0;
        if (i < this.f997u.getLeft() + this.f991o) {
            i3 = 1;
        }
        if (i2 < this.f997u.getTop() + this.f991o) {
            i3 |= 4;
        }
        if (i > this.f997u.getRight() - this.f991o) {
            i3 |= 2;
        }
        return i2 > this.f997u.getBottom() - this.f991o ? i3 | 8 : i3;
    }

    private void m2427e(int i) {
        if (this.f980d != null) {
            this.f980d[i] = 0.0f;
            this.f981e[i] = 0.0f;
            this.f982f[i] = 0.0f;
            this.f983g[i] = 0.0f;
            this.f984h[i] = 0;
            this.f985i[i] = 0;
            this.f986j[i] = 0;
            this.f987k &= (1 << i) ^ -1;
        }
    }

    private void m2428f(int i) {
        if (this.f980d == null || this.f980d.length <= i) {
            Object obj = new float[(i + 1)];
            Object obj2 = new float[(i + 1)];
            Object obj3 = new float[(i + 1)];
            Object obj4 = new float[(i + 1)];
            Object obj5 = new int[(i + 1)];
            Object obj6 = new int[(i + 1)];
            Object obj7 = new int[(i + 1)];
            if (this.f980d != null) {
                System.arraycopy(this.f980d, 0, obj, 0, this.f980d.length);
                System.arraycopy(this.f981e, 0, obj2, 0, this.f981e.length);
                System.arraycopy(this.f982f, 0, obj3, 0, this.f982f.length);
                System.arraycopy(this.f983g, 0, obj4, 0, this.f983g.length);
                System.arraycopy(this.f984h, 0, obj5, 0, this.f984h.length);
                System.arraycopy(this.f985i, 0, obj6, 0, this.f985i.length);
                System.arraycopy(this.f986j, 0, obj7, 0, this.f986j.length);
            }
            this.f980d = obj;
            this.f981e = obj2;
            this.f982f = obj3;
            this.f983g = obj4;
            this.f984h = obj5;
            this.f985i = obj6;
            this.f986j = obj7;
        }
    }

    private void m2429g() {
        if (this.f980d != null) {
            Arrays.fill(this.f980d, 0.0f);
            Arrays.fill(this.f981e, 0.0f);
            Arrays.fill(this.f982f, 0.0f);
            Arrays.fill(this.f983g, 0.0f);
            Arrays.fill(this.f984h, 0);
            Arrays.fill(this.f985i, 0);
            Arrays.fill(this.f986j, 0);
            this.f987k = 0;
        }
    }

    private void m2430h() {
        this.f988l.computeCurrentVelocity(1000, this.f989m);
        m2416a(m2411a(br.m1482a(this.f988l, this.f979c), this.f990n, this.f989m), m2411a(br.m1483b(this.f988l, this.f979c), this.f990n, this.f989m));
    }

    public int m2431a() {
        return this.f977a;
    }

    public void m2432a(float f) {
        this.f990n = f;
    }

    public void m2433a(int i) {
        this.f992p = i;
    }

    public void m2434a(View view, int i) {
        if (view.getParent() != this.f997u) {
            throw new IllegalArgumentException("captureChildView: parameter must be a descendant of the ViewDragHelper's tracked parent view (" + this.f997u + ")");
        }
        this.f995s = view;
        this.f979c = i;
        this.f994r.m2160b(view, i);
        m2446c(1);
    }

    public boolean m2435a(int i, int i2) {
        if (this.f996t) {
            return m2419a(i, i2, (int) br.m1482a(this.f988l, this.f979c), (int) br.m1483b(this.f988l, this.f979c));
        }
        throw new IllegalStateException("Cannot settleCapturedViewAt outside of a call to Callback#onViewReleased");
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean m2436a(android.view.MotionEvent r14) {
        /*
        r13 = this;
        r0 = android.support.v4.view.ba.m1414a(r14);
        r1 = android.support.v4.view.ba.m1416b(r14);
        if (r0 != 0) goto L_0x000d;
    L_0x000a:
        r13.m2451e();
    L_0x000d:
        r2 = r13.f988l;
        if (r2 != 0) goto L_0x0017;
    L_0x0011:
        r2 = android.view.VelocityTracker.obtain();
        r13.f988l = r2;
    L_0x0017:
        r2 = r13.f988l;
        r2.addMovement(r14);
        switch(r0) {
            case 0: goto L_0x0026;
            case 1: goto L_0x0121;
            case 2: goto L_0x0092;
            case 3: goto L_0x0121;
            case 4: goto L_0x001f;
            case 5: goto L_0x005a;
            case 6: goto L_0x0118;
            default: goto L_0x001f;
        };
    L_0x001f:
        r0 = r13.f977a;
        r1 = 1;
        if (r0 != r1) goto L_0x0126;
    L_0x0024:
        r0 = 1;
    L_0x0025:
        return r0;
    L_0x0026:
        r0 = r14.getX();
        r1 = r14.getY();
        r2 = 0;
        r2 = android.support.v4.view.ba.m1417b(r14, r2);
        r13.m2417a(r0, r1, r2);
        r0 = (int) r0;
        r1 = (int) r1;
        r0 = r13.m2449d(r0, r1);
        r1 = r13.f995s;
        if (r0 != r1) goto L_0x0048;
    L_0x0040:
        r1 = r13.f977a;
        r3 = 2;
        if (r1 != r3) goto L_0x0048;
    L_0x0045:
        r13.m2443b(r0, r2);
    L_0x0048:
        r0 = r13.f984h;
        r0 = r0[r2];
        r1 = r13.f992p;
        r1 = r1 & r0;
        if (r1 == 0) goto L_0x001f;
    L_0x0051:
        r1 = r13.f994r;
        r3 = r13.f992p;
        r0 = r0 & r3;
        r1.m2153a(r0, r2);
        goto L_0x001f;
    L_0x005a:
        r0 = android.support.v4.view.ba.m1417b(r14, r1);
        r2 = android.support.v4.view.ba.m1418c(r14, r1);
        r1 = android.support.v4.view.ba.m1420d(r14, r1);
        r13.m2417a(r2, r1, r0);
        r3 = r13.f977a;
        if (r3 != 0) goto L_0x007f;
    L_0x006d:
        r1 = r13.f984h;
        r1 = r1[r0];
        r2 = r13.f992p;
        r2 = r2 & r1;
        if (r2 == 0) goto L_0x001f;
    L_0x0076:
        r2 = r13.f994r;
        r3 = r13.f992p;
        r1 = r1 & r3;
        r2.m2153a(r1, r0);
        goto L_0x001f;
    L_0x007f:
        r3 = r13.f977a;
        r4 = 2;
        if (r3 != r4) goto L_0x001f;
    L_0x0084:
        r2 = (int) r2;
        r1 = (int) r1;
        r1 = r13.m2449d(r2, r1);
        r2 = r13.f995s;
        if (r1 != r2) goto L_0x001f;
    L_0x008e:
        r13.m2443b(r1, r0);
        goto L_0x001f;
    L_0x0092:
        r0 = r13.f980d;
        if (r0 == 0) goto L_0x001f;
    L_0x0096:
        r0 = r13.f981e;
        if (r0 == 0) goto L_0x001f;
    L_0x009a:
        r2 = android.support.v4.view.ba.m1419c(r14);
        r0 = 0;
        r1 = r0;
    L_0x00a0:
        if (r1 >= r2) goto L_0x00fd;
    L_0x00a2:
        r3 = android.support.v4.view.ba.m1417b(r14, r1);
        r0 = android.support.v4.view.ba.m1418c(r14, r1);
        r4 = android.support.v4.view.ba.m1420d(r14, r1);
        r5 = r13.f980d;
        r5 = r5[r3];
        r5 = r0 - r5;
        r6 = r13.f981e;
        r6 = r6[r3];
        r6 = r4 - r6;
        r0 = (int) r0;
        r4 = (int) r4;
        r4 = r13.m2449d(r0, r4);
        if (r4 == 0) goto L_0x0102;
    L_0x00c2:
        r0 = r13.m2420a(r4, r5, r6);
        if (r0 == 0) goto L_0x0102;
    L_0x00c8:
        r0 = 1;
    L_0x00c9:
        if (r0 == 0) goto L_0x0104;
    L_0x00cb:
        r7 = r4.getLeft();
        r8 = (int) r5;
        r8 = r8 + r7;
        r9 = r13.f994r;
        r10 = (int) r5;
        r8 = r9.m2151a(r4, r8, r10);
        r9 = r4.getTop();
        r10 = (int) r6;
        r10 = r10 + r9;
        r11 = r13.f994r;
        r12 = (int) r6;
        r10 = r11.m2158b(r4, r10, r12);
        r11 = r13.f994r;
        r11 = r11.m2150a(r4);
        r12 = r13.f994r;
        r12 = r12.m2157b(r4);
        if (r11 == 0) goto L_0x00f7;
    L_0x00f3:
        if (r11 <= 0) goto L_0x0104;
    L_0x00f5:
        if (r8 != r7) goto L_0x0104;
    L_0x00f7:
        if (r12 == 0) goto L_0x00fd;
    L_0x00f9:
        if (r12 <= 0) goto L_0x0104;
    L_0x00fb:
        if (r10 != r9) goto L_0x0104;
    L_0x00fd:
        r13.m2425c(r14);
        goto L_0x001f;
    L_0x0102:
        r0 = 0;
        goto L_0x00c9;
    L_0x0104:
        r13.m2423b(r5, r6, r3);
        r5 = r13.f977a;
        r6 = 1;
        if (r5 == r6) goto L_0x00fd;
    L_0x010c:
        if (r0 == 0) goto L_0x0114;
    L_0x010e:
        r0 = r13.m2443b(r4, r3);
        if (r0 != 0) goto L_0x00fd;
    L_0x0114:
        r0 = r1 + 1;
        r1 = r0;
        goto L_0x00a0;
    L_0x0118:
        r0 = android.support.v4.view.ba.m1417b(r14, r1);
        r13.m2427e(r0);
        goto L_0x001f;
    L_0x0121:
        r13.m2451e();
        goto L_0x001f;
    L_0x0126:
        r0 = 0;
        goto L_0x0025;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.v4.widget.cj.a(android.view.MotionEvent):boolean");
    }

    public boolean m2437a(View view, int i, int i2) {
        this.f995s = view;
        this.f979c = -1;
        boolean a = m2419a(i, i2, 0, 0);
        if (!(a || this.f977a != 0 || this.f995s == null)) {
            this.f995s = null;
        }
        return a;
    }

    public boolean m2438a(boolean z) {
        if (this.f977a == 2) {
            int i;
            boolean g = this.f993q.m2336g();
            int b = this.f993q.m2331b();
            int c = this.f993q.m2332c();
            int left = b - this.f995s.getLeft();
            int top = c - this.f995s.getTop();
            if (left != 0) {
                this.f995s.offsetLeftAndRight(left);
            }
            if (top != 0) {
                this.f995s.offsetTopAndBottom(top);
            }
            if (!(left == 0 && top == 0)) {
                this.f994r.m2155a(this.f995s, b, c, left, top);
            }
            if (g && b == this.f993q.m2333d() && c == this.f993q.m2334e()) {
                this.f993q.m2337h();
                i = 0;
            } else {
                boolean z2 = g;
            }
            if (i == 0) {
                if (z) {
                    this.f997u.post(this.f998w);
                } else {
                    m2446c(0);
                }
            }
        }
        return this.f977a == 2;
    }

    public int m2439b() {
        return this.f991o;
    }

    public void m2440b(MotionEvent motionEvent) {
        int i = 0;
        int a = ba.m1414a(motionEvent);
        int b = ba.m1416b(motionEvent);
        if (a == 0) {
            m2451e();
        }
        if (this.f988l == null) {
            this.f988l = VelocityTracker.obtain();
        }
        this.f988l.addMovement(motionEvent);
        float x;
        float y;
        View d;
        int i2;
        switch (a) {
            case C0729b.View_android_theme /*0*/:
                x = motionEvent.getX();
                y = motionEvent.getY();
                i = ba.m1417b(motionEvent, 0);
                d = m2449d((int) x, (int) y);
                m2417a(x, y, i);
                m2443b(d, i);
                i2 = this.f984h[i];
                if ((this.f992p & i2) != 0) {
                    this.f994r.m2153a(i2 & this.f992p, i);
                }
            case C0729b.View_android_focusable /*1*/:
                if (this.f977a == 1) {
                    m2430h();
                }
                m2451e();
            case C0729b.View_paddingStart /*2*/:
                if (this.f977a == 1) {
                    i = ba.m1415a(motionEvent, this.f979c);
                    x = ba.m1418c(motionEvent, i);
                    i2 = (int) (x - this.f982f[this.f979c]);
                    i = (int) (ba.m1420d(motionEvent, i) - this.f983g[this.f979c]);
                    m2424b(this.f995s.getLeft() + i2, this.f995s.getTop() + i, i2, i);
                    m2425c(motionEvent);
                    return;
                }
                i2 = ba.m1419c(motionEvent);
                while (i < i2) {
                    a = ba.m1417b(motionEvent, i);
                    float c = ba.m1418c(motionEvent, i);
                    float d2 = ba.m1420d(motionEvent, i);
                    float f = c - this.f980d[a];
                    float f2 = d2 - this.f981e[a];
                    m2423b(f, f2, a);
                    if (this.f977a != 1) {
                        d = m2449d((int) c, (int) d2);
                        if (!m2420a(d, f, f2) || !m2443b(d, a)) {
                            i++;
                        }
                    }
                    m2425c(motionEvent);
                }
                m2425c(motionEvent);
            case C0729b.View_paddingEnd /*3*/:
                if (this.f977a == 1) {
                    m2416a(0.0f, 0.0f);
                }
                m2451e();
            case C0729b.Toolbar_contentInsetStart /*5*/:
                i = ba.m1417b(motionEvent, b);
                x = ba.m1418c(motionEvent, b);
                y = ba.m1420d(motionEvent, b);
                m2417a(x, y, i);
                if (this.f977a == 0) {
                    m2443b(m2449d((int) x, (int) y), i);
                    i2 = this.f984h[i];
                    if ((this.f992p & i2) != 0) {
                        this.f994r.m2153a(i2 & this.f992p, i);
                    }
                } else if (m2447c((int) x, (int) y)) {
                    m2443b(this.f995s, i);
                }
            case C0729b.Toolbar_contentInsetEnd /*6*/:
                a = ba.m1417b(motionEvent, b);
                if (this.f977a == 1 && a == this.f979c) {
                    b = ba.m1419c(motionEvent);
                    while (i < b) {
                        int b2 = ba.m1417b(motionEvent, i);
                        if (b2 != this.f979c) {
                            if (m2449d((int) ba.m1418c(motionEvent, i), (int) ba.m1420d(motionEvent, i)) == this.f995s && m2443b(this.f995s, b2)) {
                                i = this.f979c;
                                if (i == -1) {
                                    m2430h();
                                }
                            }
                        }
                        i++;
                    }
                    i = -1;
                    if (i == -1) {
                        m2430h();
                    }
                }
                m2427e(a);
            default:
        }
    }

    public boolean m2441b(int i) {
        return (this.f987k & (1 << i)) != 0;
    }

    public boolean m2442b(int i, int i2) {
        if (!m2441b(i2)) {
            return false;
        }
        boolean z = (i & 1) == 1;
        boolean z2 = (i & 2) == 2;
        float f = this.f982f[i2] - this.f980d[i2];
        float f2 = this.f983g[i2] - this.f981e[i2];
        return (z && z2) ? (f * f) + (f2 * f2) > ((float) (this.f978b * this.f978b)) : z ? Math.abs(f) > ((float) this.f978b) : z2 ? Math.abs(f2) > ((float) this.f978b) : false;
    }

    boolean m2443b(View view, int i) {
        if (view == this.f995s && this.f979c == i) {
            return true;
        }
        if (view == null || !this.f994r.m2156a(view, i)) {
            return false;
        }
        this.f979c = i;
        m2434a(view, i);
        return true;
    }

    public boolean m2444b(View view, int i, int i2) {
        return view != null && i >= view.getLeft() && i < view.getRight() && i2 >= view.getTop() && i2 < view.getBottom();
    }

    public View m2445c() {
        return this.f995s;
    }

    void m2446c(int i) {
        this.f997u.removeCallbacks(this.f998w);
        if (this.f977a != i) {
            this.f977a = i;
            this.f994r.m2152a(i);
            if (this.f977a == 0) {
                this.f995s = null;
            }
        }
    }

    public boolean m2447c(int i, int i2) {
        return m2444b(this.f995s, i, i2);
    }

    public int m2448d() {
        return this.f978b;
    }

    public View m2449d(int i, int i2) {
        for (int childCount = this.f997u.getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = this.f997u.getChildAt(this.f994r.m2162c(childCount));
            if (i >= childAt.getLeft() && i < childAt.getRight() && i2 >= childAt.getTop() && i2 < childAt.getBottom()) {
                return childAt;
            }
        }
        return null;
    }

    public boolean m2450d(int i) {
        int length = this.f980d.length;
        for (int i2 = 0; i2 < length; i2++) {
            if (m2442b(i, i2)) {
                return true;
            }
        }
        return false;
    }

    public void m2451e() {
        this.f979c = -1;
        m2429g();
        if (this.f988l != null) {
            this.f988l.recycle();
            this.f988l = null;
        }
    }

    public void m2452f() {
        m2451e();
        if (this.f977a == 2) {
            int b = this.f993q.m2331b();
            int c = this.f993q.m2332c();
            this.f993q.m2337h();
            int b2 = this.f993q.m2331b();
            int c2 = this.f993q.m2332c();
            this.f994r.m2155a(this.f995s, b2, c2, b2 - b, c2 - c);
        }
        m2446c(0);
    }
}
