package android.support.v7.app;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources.Theme;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.media.AudioManager;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.support.v4.app.ax;
import android.support.v4.view.ac;
import android.support.v4.view.am;
import android.support.v4.view.bw;
import android.support.v4.view.cs;
import android.support.v4.view.ea;
import android.support.v4.widget.aw;
import android.support.v7.internal.p024a.C0303a;
import android.support.v7.internal.p024a.C0304b;
import android.support.v7.internal.p024a.C0309f;
import android.support.v7.internal.view.C0318b;
import android.support.v7.internal.view.C0319c;
import android.support.v7.internal.view.menu.C0265j;
import android.support.v7.internal.view.menu.C0271y;
import android.support.v7.internal.view.menu.C0329z;
import android.support.v7.internal.view.menu.C0333i;
import android.support.v7.internal.view.menu.C0338g;
import android.support.v7.internal.widget.ActionBarContextView;
import android.support.v7.internal.widget.C0353v;
import android.support.v7.internal.widget.C0354y;
import android.support.v7.internal.widget.ContentFrameLayout;
import android.support.v7.internal.widget.ViewStubCompat;
import android.support.v7.internal.widget.av;
import android.support.v7.p019a.C0254b;
import android.support.v7.p019a.C0256d;
import android.support.v7.p019a.C0259g;
import android.support.v7.p019a.C0261i;
import android.support.v7.p019a.C0263k;
import android.support.v7.p019a.C0264l;
import android.support.v7.p020d.C0272b;
import android.support.v7.p020d.C0301a;
import android.text.TextUtils;
import android.util.AndroidRuntimeException;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.KeyCharacterMap;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.LayoutInflater.Factory;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewGroup.MarginLayoutParams;
import android.view.ViewParent;
import android.view.Window;
import android.view.Window.Callback;
import android.view.WindowManager;
import android.widget.FrameLayout;
import android.widget.PopupWindow;
import android.widget.TextView;
import com.neatorobotics.android.C0729b;

class AppCompatDelegateImplV7 extends af implements am, C0265j {
    private boolean f1052A;
    private boolean f1053B;
    private PanelFeatureState[] f1054C;
    private PanelFeatureState f1055D;
    private boolean f1056E;
    private int f1057F;
    private final Runnable f1058G;
    private boolean f1059H;
    private Rect f1060I;
    private Rect f1061J;
    private C0303a f1062K;
    C0301a f1063m;
    ActionBarContextView f1064n;
    PopupWindow f1065o;
    Runnable f1066p;
    ea f1067q;
    private C0353v f1068r;
    private au f1069s;
    private az f1070t;
    private boolean f1071u;
    private ViewGroup f1072v;
    private ViewGroup f1073w;
    private TextView f1074x;
    private View f1075y;
    private boolean f1076z;

    final class PanelFeatureState {
        int f1019a;
        int f1020b;
        int f1021c;
        int f1022d;
        int f1023e;
        int f1024f;
        ViewGroup f1025g;
        View f1026h;
        View f1027i;
        C0333i f1028j;
        C0338g f1029k;
        Context f1030l;
        boolean f1031m;
        boolean f1032n;
        boolean f1033o;
        public boolean f1034p;
        boolean f1035q;
        boolean f1036r;
        Bundle f1037s;

        class SavedState implements Parcelable {
            public static final Creator CREATOR;
            int f1016a;
            boolean f1017b;
            Bundle f1018c;

            static {
                CREATOR = new ay();
            }

            private SavedState() {
            }

            private static SavedState m2502b(Parcel parcel) {
                boolean z = true;
                SavedState savedState = new SavedState();
                savedState.f1016a = parcel.readInt();
                if (parcel.readInt() != 1) {
                    z = false;
                }
                savedState.f1017b = z;
                if (savedState.f1017b) {
                    savedState.f1018c = parcel.readBundle();
                }
                return savedState;
            }

            public int describeContents() {
                return 0;
            }

            public void writeToParcel(Parcel parcel, int i) {
                parcel.writeInt(this.f1016a);
                parcel.writeInt(this.f1017b ? 1 : 0);
                if (this.f1017b) {
                    parcel.writeBundle(this.f1018c);
                }
            }
        }

        PanelFeatureState(int i) {
            this.f1019a = i;
            this.f1035q = false;
        }

        C0329z m2503a(C0271y c0271y) {
            if (this.f1028j == null) {
                return null;
            }
            if (this.f1029k == null) {
                this.f1029k = new C0338g(this.f1030l, C0261i.abc_list_menu_item_layout);
                this.f1029k.m3113a(c0271y);
                this.f1028j.m3025a(this.f1029k);
            }
            return this.f1029k.m3109a(this.f1025g);
        }

        void m2504a(Context context) {
            TypedValue typedValue = new TypedValue();
            Theme newTheme = context.getResources().newTheme();
            newTheme.setTo(context.getTheme());
            newTheme.resolveAttribute(C0254b.actionBarPopupTheme, typedValue, true);
            if (typedValue.resourceId != 0) {
                newTheme.applyStyle(typedValue.resourceId, true);
            }
            newTheme.resolveAttribute(C0254b.panelMenuListTheme, typedValue, true);
            if (typedValue.resourceId != 0) {
                newTheme.applyStyle(typedValue.resourceId, true);
            } else {
                newTheme.applyStyle(C0263k.Theme_AppCompat_CompactMenu, true);
            }
            Context c0318b = new C0318b(context, 0);
            c0318b.getTheme().setTo(newTheme);
            this.f1030l = c0318b;
            TypedArray obtainStyledAttributes = c0318b.obtainStyledAttributes(C0264l.Theme);
            this.f1020b = obtainStyledAttributes.getResourceId(C0264l.Theme_panelBackground, 0);
            this.f1024f = obtainStyledAttributes.getResourceId(C0264l.Theme_android_windowAnimationStyle, 0);
            obtainStyledAttributes.recycle();
        }

        void m2505a(C0333i c0333i) {
            if (c0333i != this.f1028j) {
                if (this.f1028j != null) {
                    this.f1028j.m3036b(this.f1029k);
                }
                this.f1028j = c0333i;
                if (c0333i != null && this.f1029k != null) {
                    c0333i.m3025a(this.f1029k);
                }
            }
        }

        public boolean m2506a() {
            return this.f1026h == null ? false : this.f1027i != null || this.f1029k.m3110a().getCount() > 0;
        }
    }

    AppCompatDelegateImplV7(Context context, Window window, ad adVar) {
        super(context, window, adVar);
        this.f1067q = null;
        this.f1058G = new ao(this);
    }

    private PanelFeatureState m2550a(int i, boolean z) {
        Object obj = this.f1054C;
        if (obj == null || obj.length <= i) {
            Object obj2 = new PanelFeatureState[(i + 1)];
            if (obj != null) {
                System.arraycopy(obj, 0, obj2, 0, obj.length);
            }
            this.f1054C = obj2;
            obj = obj2;
        }
        PanelFeatureState panelFeatureState = obj[i];
        if (panelFeatureState != null) {
            return panelFeatureState;
        }
        panelFeatureState = new PanelFeatureState(i);
        obj[i] = panelFeatureState;
        return panelFeatureState;
    }

    private PanelFeatureState m2552a(Menu menu) {
        PanelFeatureState[] panelFeatureStateArr = this.f1054C;
        int length = panelFeatureStateArr != null ? panelFeatureStateArr.length : 0;
        for (int i = 0; i < length; i++) {
            PanelFeatureState panelFeatureState = panelFeatureStateArr[i];
            if (panelFeatureState != null && panelFeatureState.f1028j == menu) {
                return panelFeatureState;
            }
        }
        return null;
    }

    private void m2553a(int i, PanelFeatureState panelFeatureState, Menu menu) {
        if (menu == null) {
            if (panelFeatureState == null && i >= 0 && i < this.f1054C.length) {
                panelFeatureState = this.f1054C[i];
            }
            if (panelFeatureState != null) {
                menu = panelFeatureState.f1028j;
            }
        }
        if ((panelFeatureState == null || panelFeatureState.f1033o) && !m2544m()) {
            this.c.onPanelClosed(i, menu);
        }
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    private void m2554a(android.support.v7.app.AppCompatDelegateImplV7.PanelFeatureState r11, android.view.KeyEvent r12) {
        /*
        r10 = this;
        r1 = -1;
        r3 = 0;
        r9 = 1;
        r2 = -2;
        r0 = r11.f1033o;
        if (r0 != 0) goto L_0x000e;
    L_0x0008:
        r0 = r10.m2544m();
        if (r0 == 0) goto L_0x000f;
    L_0x000e:
        return;
    L_0x000f:
        r0 = r11.f1019a;
        if (r0 != 0) goto L_0x0034;
    L_0x0013:
        r4 = r10.a;
        r0 = r4.getResources();
        r0 = r0.getConfiguration();
        r0 = r0.screenLayout;
        r0 = r0 & 15;
        r5 = 4;
        if (r0 != r5) goto L_0x0048;
    L_0x0024:
        r0 = r9;
    L_0x0025:
        r4 = r4.getApplicationInfo();
        r4 = r4.targetSdkVersion;
        r5 = 11;
        if (r4 < r5) goto L_0x004a;
    L_0x002f:
        r4 = r9;
    L_0x0030:
        if (r0 == 0) goto L_0x0034;
    L_0x0032:
        if (r4 != 0) goto L_0x000e;
    L_0x0034:
        r0 = r10.m2545n();
        if (r0 == 0) goto L_0x004c;
    L_0x003a:
        r4 = r11.f1019a;
        r5 = r11.f1028j;
        r0 = r0.onMenuOpened(r4, r5);
        if (r0 != 0) goto L_0x004c;
    L_0x0044:
        r10.m2555a(r11, r9);
        goto L_0x000e;
    L_0x0048:
        r0 = r3;
        goto L_0x0025;
    L_0x004a:
        r4 = r3;
        goto L_0x0030;
    L_0x004c:
        r0 = r10.a;
        r4 = "window";
        r0 = r0.getSystemService(r4);
        r8 = r0;
        r8 = (android.view.WindowManager) r8;
        if (r8 == 0) goto L_0x000e;
    L_0x0059:
        r0 = r10.m2570b(r11, r12);
        if (r0 == 0) goto L_0x000e;
    L_0x005f:
        r0 = r11.f1025g;
        if (r0 == 0) goto L_0x0067;
    L_0x0063:
        r0 = r11.f1035q;
        if (r0 == 0) goto L_0x00f1;
    L_0x0067:
        r0 = r11.f1025g;
        if (r0 != 0) goto L_0x00df;
    L_0x006b:
        r0 = r10.m2562a(r11);
        if (r0 == 0) goto L_0x000e;
    L_0x0071:
        r0 = r11.f1025g;
        if (r0 == 0) goto L_0x000e;
    L_0x0075:
        r0 = r10.m2573c(r11);
        if (r0 == 0) goto L_0x000e;
    L_0x007b:
        r0 = r11.m2506a();
        if (r0 == 0) goto L_0x000e;
    L_0x0081:
        r0 = r11.f1026h;
        r0 = r0.getLayoutParams();
        if (r0 != 0) goto L_0x0103;
    L_0x0089:
        r0 = new android.view.ViewGroup$LayoutParams;
        r0.<init>(r2, r2);
        r1 = r0;
    L_0x008f:
        r0 = r11.f1020b;
        r4 = r11.f1025g;
        r4.setBackgroundResource(r0);
        r0 = r11.f1026h;
        r0 = r0.getParent();
        if (r0 == 0) goto L_0x00a9;
    L_0x009e:
        r4 = r0 instanceof android.view.ViewGroup;
        if (r4 == 0) goto L_0x00a9;
    L_0x00a2:
        r0 = (android.view.ViewGroup) r0;
        r4 = r11.f1026h;
        r0.removeView(r4);
    L_0x00a9:
        r0 = r11.f1025g;
        r4 = r11.f1026h;
        r0.addView(r4, r1);
        r0 = r11.f1026h;
        r0 = r0.hasFocus();
        if (r0 != 0) goto L_0x00bd;
    L_0x00b8:
        r0 = r11.f1026h;
        r0.requestFocus();
    L_0x00bd:
        r1 = r2;
    L_0x00be:
        r11.f1032n = r3;
        r0 = new android.view.WindowManager$LayoutParams;
        r3 = r11.f1022d;
        r4 = r11.f1023e;
        r5 = 1002; // 0x3ea float:1.404E-42 double:4.95E-321;
        r6 = 8519680; // 0x820000 float:1.1938615E-38 double:4.209281E-317;
        r7 = -3;
        r0.<init>(r1, r2, r3, r4, r5, r6, r7);
        r1 = r11.f1021c;
        r0.gravity = r1;
        r1 = r11.f1024f;
        r0.windowAnimations = r1;
        r1 = r11.f1025g;
        r8.addView(r1, r0);
        r11.f1033o = r9;
        goto L_0x000e;
    L_0x00df:
        r0 = r11.f1035q;
        if (r0 == 0) goto L_0x0075;
    L_0x00e3:
        r0 = r11.f1025g;
        r0 = r0.getChildCount();
        if (r0 <= 0) goto L_0x0075;
    L_0x00eb:
        r0 = r11.f1025g;
        r0.removeAllViews();
        goto L_0x0075;
    L_0x00f1:
        r0 = r11.f1027i;
        if (r0 == 0) goto L_0x0101;
    L_0x00f5:
        r0 = r11.f1027i;
        r0 = r0.getLayoutParams();
        if (r0 == 0) goto L_0x0101;
    L_0x00fd:
        r0 = r0.width;
        if (r0 == r1) goto L_0x00be;
    L_0x0101:
        r1 = r2;
        goto L_0x00be;
    L_0x0103:
        r1 = r0;
        goto L_0x008f;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.v7.app.AppCompatDelegateImplV7.a(android.support.v7.app.AppCompatDelegateImplV7$PanelFeatureState, android.view.KeyEvent):void");
    }

    private void m2555a(PanelFeatureState panelFeatureState, boolean z) {
        if (z && panelFeatureState.f1019a == 0 && this.f1068r != null && this.f1068r.m3212e()) {
            m2568b(panelFeatureState.f1028j);
            return;
        }
        WindowManager windowManager = (WindowManager) this.a.getSystemService("window");
        if (!(windowManager == null || !panelFeatureState.f1033o || panelFeatureState.f1025g == null)) {
            windowManager.removeView(panelFeatureState.f1025g);
            if (z) {
                m2553a(panelFeatureState.f1019a, panelFeatureState, null);
            }
        }
        panelFeatureState.f1031m = false;
        panelFeatureState.f1032n = false;
        panelFeatureState.f1033o = false;
        panelFeatureState.f1026h = null;
        panelFeatureState.f1035q = true;
        if (this.f1055D == panelFeatureState) {
            this.f1055D = null;
        }
    }

    private void m2560a(C0333i c0333i, boolean z) {
        if (this.f1068r == null || !this.f1068r.m3211d() || (cs.m1775b(ViewConfiguration.get(this.a)) && !this.f1068r.m3213f())) {
            PanelFeatureState a = m2550a(0, true);
            a.f1035q = true;
            m2555a(a, false);
            m2554a(a, null);
            return;
        }
        Callback n = m2545n();
        if (this.f1068r.m3212e() && z) {
            this.f1068r.m3215h();
            if (!m2544m()) {
                n.onPanelClosed(108, m2550a(0, true).f1028j);
            }
        } else if (n != null && !m2544m()) {
            if (this.f1056E && (this.f1057F & 1) != 0) {
                this.f1072v.removeCallbacks(this.f1058G);
                this.f1058G.run();
            }
            PanelFeatureState a2 = m2550a(0, true);
            if (a2.f1028j != null && !a2.f1036r && n.onPreparePanel(0, a2.f1027i, a2.f1028j)) {
                n.onMenuOpened(108, a2.f1028j);
                this.f1068r.m3214g();
            }
        }
    }

    private void m2561a(ContentFrameLayout contentFrameLayout) {
        contentFrameLayout.m3279a(this.f1072v.getPaddingLeft(), this.f1072v.getPaddingTop(), this.f1072v.getPaddingRight(), this.f1072v.getPaddingBottom());
        TypedArray obtainStyledAttributes = this.a.obtainStyledAttributes(C0264l.Theme);
        obtainStyledAttributes.getValue(C0264l.Theme_windowMinWidthMajor, contentFrameLayout.getMinWidthMajor());
        obtainStyledAttributes.getValue(C0264l.Theme_windowMinWidthMinor, contentFrameLayout.getMinWidthMinor());
        if (obtainStyledAttributes.hasValue(C0264l.Theme_windowFixedWidthMajor)) {
            obtainStyledAttributes.getValue(C0264l.Theme_windowFixedWidthMajor, contentFrameLayout.getFixedWidthMajor());
        }
        if (obtainStyledAttributes.hasValue(C0264l.Theme_windowFixedWidthMinor)) {
            obtainStyledAttributes.getValue(C0264l.Theme_windowFixedWidthMinor, contentFrameLayout.getFixedWidthMinor());
        }
        if (obtainStyledAttributes.hasValue(C0264l.Theme_windowFixedHeightMajor)) {
            obtainStyledAttributes.getValue(C0264l.Theme_windowFixedHeightMajor, contentFrameLayout.getFixedHeightMajor());
        }
        if (obtainStyledAttributes.hasValue(C0264l.Theme_windowFixedHeightMinor)) {
            obtainStyledAttributes.getValue(C0264l.Theme_windowFixedHeightMinor, contentFrameLayout.getFixedHeightMinor());
        }
        obtainStyledAttributes.recycle();
        contentFrameLayout.requestLayout();
    }

    private boolean m2562a(PanelFeatureState panelFeatureState) {
        panelFeatureState.m2504a(m2542k());
        panelFeatureState.f1025g = new ax(this, panelFeatureState.f1030l);
        panelFeatureState.f1021c = 81;
        return true;
    }

    private boolean m2563a(PanelFeatureState panelFeatureState, int i, KeyEvent keyEvent, int i2) {
        boolean z = false;
        if (!keyEvent.isSystem()) {
            if ((panelFeatureState.f1031m || m2570b(panelFeatureState, keyEvent)) && panelFeatureState.f1028j != null) {
                z = panelFeatureState.f1028j.performShortcut(i, keyEvent, i2);
            }
            if (z && (i2 & 1) == 0 && this.f1068r == null) {
                m2555a(panelFeatureState, true);
            }
        }
        return z;
    }

    private boolean m2565a(ViewParent viewParent) {
        if (viewParent == null) {
            return false;
        }
        ViewParent viewParent2 = viewParent;
        while (viewParent2 != null) {
            if (viewParent2 == this.f1072v || !(viewParent2 instanceof View) || bw.m1493B((View) viewParent2)) {
                return false;
            }
            viewParent2 = viewParent2.getParent();
        }
        return true;
    }

    private void m2568b(C0333i c0333i) {
        if (!this.f1053B) {
            this.f1053B = true;
            this.f1068r.m3217j();
            Callback n = m2545n();
            if (!(n == null || m2544m())) {
                n.onPanelClosed(108, c0333i);
            }
            this.f1053B = false;
        }
    }

    private boolean m2569b(PanelFeatureState panelFeatureState) {
        Context c0318b;
        C0333i c0333i;
        Context context = this.a;
        if ((panelFeatureState.f1019a == 0 || panelFeatureState.f1019a == 108) && this.f1068r != null) {
            TypedValue typedValue = new TypedValue();
            Theme theme = context.getTheme();
            theme.resolveAttribute(C0254b.actionBarTheme, typedValue, true);
            Theme theme2 = null;
            if (typedValue.resourceId != 0) {
                theme2 = context.getResources().newTheme();
                theme2.setTo(theme);
                theme2.applyStyle(typedValue.resourceId, true);
                theme2.resolveAttribute(C0254b.actionBarWidgetTheme, typedValue, true);
            } else {
                theme.resolveAttribute(C0254b.actionBarWidgetTheme, typedValue, true);
            }
            if (typedValue.resourceId != 0) {
                if (theme2 == null) {
                    theme2 = context.getResources().newTheme();
                    theme2.setTo(theme);
                }
                theme2.applyStyle(typedValue.resourceId, true);
            }
            Theme theme3 = theme2;
            if (theme3 != null) {
                c0318b = new C0318b(context, 0);
                c0318b.getTheme().setTo(theme3);
                c0333i = new C0333i(c0318b);
                c0333i.m3023a((C0265j) this);
                panelFeatureState.m2505a(c0333i);
                return true;
            }
        }
        c0318b = context;
        c0333i = new C0333i(c0318b);
        c0333i.m3023a((C0265j) this);
        panelFeatureState.m2505a(c0333i);
        return true;
    }

    private boolean m2570b(PanelFeatureState panelFeatureState, KeyEvent keyEvent) {
        if (m2544m()) {
            return false;
        }
        if (panelFeatureState.f1031m) {
            return true;
        }
        if (!(this.f1055D == null || this.f1055D == panelFeatureState)) {
            m2555a(this.f1055D, false);
        }
        Callback n = m2545n();
        if (n != null) {
            panelFeatureState.f1027i = n.onCreatePanelView(panelFeatureState.f1019a);
        }
        boolean z = panelFeatureState.f1019a == 0 || panelFeatureState.f1019a == 108;
        if (z && this.f1068r != null) {
            this.f1068r.m3216i();
        }
        if (panelFeatureState.f1027i == null && !(z && (m2541j() instanceof C0304b))) {
            if (panelFeatureState.f1028j == null || panelFeatureState.f1036r) {
                if (panelFeatureState.f1028j == null && (!m2569b(panelFeatureState) || panelFeatureState.f1028j == null)) {
                    return false;
                }
                if (z && this.f1068r != null) {
                    if (this.f1069s == null) {
                        this.f1069s = new au();
                    }
                    this.f1068r.m3210a(panelFeatureState.f1028j, this.f1069s);
                }
                panelFeatureState.f1028j.m3047g();
                if (n.onCreatePanelMenu(panelFeatureState.f1019a, panelFeatureState.f1028j)) {
                    panelFeatureState.f1036r = false;
                } else {
                    panelFeatureState.m2505a(null);
                    if (!z || this.f1068r == null) {
                        return false;
                    }
                    this.f1068r.m3210a(null, this.f1069s);
                    return false;
                }
            }
            panelFeatureState.f1028j.m3047g();
            if (panelFeatureState.f1037s != null) {
                panelFeatureState.f1028j.m3034b(panelFeatureState.f1037s);
                panelFeatureState.f1037s = null;
            }
            if (n.onPreparePanel(0, panelFeatureState.f1027i, panelFeatureState.f1028j)) {
                panelFeatureState.f1034p = KeyCharacterMap.load(keyEvent != null ? keyEvent.getDeviceId() : -1).getKeyboardType() != 1;
                panelFeatureState.f1028j.setQwertyMode(panelFeatureState.f1034p);
                panelFeatureState.f1028j.m3048h();
            } else {
                if (z && this.f1068r != null) {
                    this.f1068r.m3210a(null, this.f1069s);
                }
                panelFeatureState.f1028j.m3048h();
                return false;
            }
        }
        panelFeatureState.f1031m = true;
        panelFeatureState.f1032n = false;
        this.f1055D = panelFeatureState;
        return true;
    }

    private void m2572c(int i) {
        m2555a(m2550a(i, true), true);
    }

    private boolean m2573c(PanelFeatureState panelFeatureState) {
        if (panelFeatureState.f1027i != null) {
            panelFeatureState.f1026h = panelFeatureState.f1027i;
            return true;
        } else if (panelFeatureState.f1028j == null) {
            return false;
        } else {
            if (this.f1070t == null) {
                this.f1070t = new az();
            }
            panelFeatureState.f1026h = (View) panelFeatureState.m2503a(this.f1070t);
            return panelFeatureState.f1026h != null;
        }
    }

    private void m2574d(int i) {
        this.f1057F |= 1 << i;
        if (!this.f1056E && this.f1072v != null) {
            bw.m1505a(this.f1072v, this.f1058G);
            this.f1056E = true;
        }
    }

    private boolean m2576d(int i, KeyEvent keyEvent) {
        if (keyEvent.getRepeatCount() == 0) {
            PanelFeatureState a = m2550a(i, true);
            if (!a.f1033o) {
                return m2570b(a, keyEvent);
            }
        }
        return false;
    }

    private void m2577e(int i) {
        PanelFeatureState a = m2550a(i, true);
        if (a.f1028j != null) {
            Bundle bundle = new Bundle();
            a.f1028j.m3022a(bundle);
            if (bundle.size() > 0) {
                a.f1037s = bundle;
            }
            a.f1028j.m3047g();
            a.f1028j.clear();
        }
        a.f1036r = true;
        a.f1035q = true;
        if ((i == 108 || i == 0) && this.f1068r != null) {
            a = m2550a(0, false);
            if (a != null) {
                a.f1031m = false;
                m2570b(a, null);
            }
        }
    }

    private boolean m2578e(int i, KeyEvent keyEvent) {
        boolean z = true;
        if (this.f1063m != null) {
            return false;
        }
        PanelFeatureState a = m2550a(i, true);
        if (i != 0 || this.f1068r == null || !this.f1068r.m3211d() || cs.m1775b(ViewConfiguration.get(this.a))) {
            boolean z2;
            if (a.f1033o || a.f1032n) {
                z2 = a.f1033o;
                m2555a(a, true);
                z = z2;
            } else {
                if (a.f1031m) {
                    if (a.f1036r) {
                        a.f1031m = false;
                        z2 = m2570b(a, keyEvent);
                    } else {
                        z2 = true;
                    }
                    if (z2) {
                        m2554a(a, keyEvent);
                    }
                }
                z = false;
            }
        } else if (this.f1068r.m3212e()) {
            z = this.f1068r.m3215h();
        } else {
            if (!m2544m() && m2570b(a, keyEvent)) {
                z = this.f1068r.m3214g();
            }
            z = false;
        }
        if (z) {
            AudioManager audioManager = (AudioManager) this.a.getSystemService("audio");
            if (audioManager != null) {
                audioManager.playSoundEffect(0);
            } else {
                Log.w("AppCompatDelegate", "Couldn't get audio manager");
            }
        }
        return z;
    }

    private int m2579f(int i) {
        int i2;
        int i3 = 1;
        int i4 = 0;
        if (this.f1064n == null || !(this.f1064n.getLayoutParams() instanceof MarginLayoutParams)) {
            i2 = 0;
        } else {
            int i5;
            MarginLayoutParams marginLayoutParams = (MarginLayoutParams) this.f1064n.getLayoutParams();
            if (this.f1064n.isShown()) {
                if (this.f1060I == null) {
                    this.f1060I = new Rect();
                    this.f1061J = new Rect();
                }
                Rect rect = this.f1060I;
                Rect rect2 = this.f1061J;
                rect.set(0, i, 0, 0);
                av.m3441a(this.f1073w, rect, rect2);
                if (marginLayoutParams.topMargin != (rect2.top == 0 ? i : 0)) {
                    marginLayoutParams.topMargin = i;
                    if (this.f1075y == null) {
                        this.f1075y = new View(this.a);
                        this.f1075y.setBackgroundColor(this.a.getResources().getColor(C0256d.abc_input_method_navigation_guard));
                        this.f1073w.addView(this.f1075y, -1, new LayoutParams(-1, i));
                        i5 = 1;
                    } else {
                        LayoutParams layoutParams = this.f1075y.getLayoutParams();
                        if (layoutParams.height != i) {
                            layoutParams.height = i;
                            this.f1075y.setLayoutParams(layoutParams);
                        }
                        i5 = 1;
                    }
                } else {
                    i5 = 0;
                }
                if (this.f1075y == null) {
                    i3 = 0;
                }
                if (!(this.j || i3 == 0)) {
                    i = 0;
                }
                int i6 = i5;
                i5 = i3;
                i3 = i6;
            } else if (marginLayoutParams.topMargin != 0) {
                marginLayoutParams.topMargin = 0;
                i5 = 0;
            } else {
                i3 = 0;
                i5 = 0;
            }
            if (i3 != 0) {
                this.f1064n.setLayoutParams(marginLayoutParams);
            }
            i2 = i5;
        }
        if (this.f1075y != null) {
            View view = this.f1075y;
            if (i2 == 0) {
                i4 = 8;
            }
            view.setVisibility(i4);
        }
        return i;
    }

    private int m2580g(int i) {
        if (i == 8) {
            Log.i("AppCompatDelegate", "You should now use the AppCompatDelegate.FEATURE_SUPPORT_ACTION_BAR id when requesting this feature.");
            return 108;
        } else if (i != 9) {
            return i;
        } else {
            Log.i("AppCompatDelegate", "You should now use the AppCompatDelegate.FEATURE_SUPPORT_ACTION_BAR_OVERLAY id when requesting this feature.");
            return 109;
        }
    }

    private void m2581q() {
        if (!this.f1071u) {
            LayoutInflater from = LayoutInflater.from(this.a);
            if (this.l) {
                if (this.j) {
                    this.f1073w = (ViewGroup) from.inflate(C0261i.abc_screen_simple_overlay_action_mode, null);
                } else {
                    this.f1073w = (ViewGroup) from.inflate(C0261i.abc_screen_simple, null);
                }
                if (VERSION.SDK_INT >= 21) {
                    bw.m1504a(this.f1073w, new ap(this));
                } else {
                    ((C0354y) this.f1073w).setOnFitSystemWindowsListener(new aq(this));
                }
            } else if (this.k) {
                this.f1073w = (ViewGroup) from.inflate(C0261i.abc_dialog_title_material, null);
                this.i = false;
                this.h = false;
            } else if (this.h) {
                TypedValue typedValue = new TypedValue();
                this.a.getTheme().resolveAttribute(C0254b.actionBarTheme, typedValue, true);
                this.f1073w = (ViewGroup) LayoutInflater.from(typedValue.resourceId != 0 ? new C0318b(this.a, typedValue.resourceId) : this.a).inflate(C0261i.abc_screen_toolbar, null);
                this.f1068r = (C0353v) this.f1073w.findViewById(C0259g.decor_content_parent);
                this.f1068r.setWindowCallback(m2545n());
                if (this.i) {
                    this.f1068r.m3209a(109);
                }
                if (this.f1076z) {
                    this.f1068r.m3209a(2);
                }
                if (this.f1052A) {
                    this.f1068r.m3209a(5);
                }
            }
            if (this.f1073w == null) {
                throw new IllegalArgumentException("AppCompat does not support the current theme features: { windowActionBar: " + this.h + ", windowActionBarOverlay: " + this.i + ", android:windowIsFloating: " + this.k + ", windowActionModeOverlay: " + this.j + ", windowNoTitle: " + this.l + " }");
            }
            if (this.f1068r == null) {
                this.f1074x = (TextView) this.f1073w.findViewById(C0259g.title);
            }
            av.m3443b(this.f1073w);
            ViewGroup viewGroup = (ViewGroup) this.b.findViewById(16908290);
            ContentFrameLayout contentFrameLayout = (ContentFrameLayout) this.f1073w.findViewById(C0259g.action_bar_activity_content);
            while (viewGroup.getChildCount() > 0) {
                View childAt = viewGroup.getChildAt(0);
                viewGroup.removeViewAt(0);
                contentFrameLayout.addView(childAt);
            }
            this.b.setContentView(this.f1073w);
            viewGroup.setId(-1);
            contentFrameLayout.setId(16908290);
            if (viewGroup instanceof FrameLayout) {
                ((FrameLayout) viewGroup).setForeground(null);
            }
            CharSequence o = m2546o();
            if (!TextUtils.isEmpty(o)) {
                m2601b(o);
            }
            m2561a(contentFrameLayout);
            m2593a(this.f1073w);
            this.f1071u = true;
            PanelFeatureState a = m2550a(0, false);
            if (!m2544m()) {
                if (a == null || a.f1028j == null) {
                    m2574d(108);
                }
            }
        }
    }

    private void m2582r() {
        if (this.f1067q != null) {
            this.f1067q.m1851b();
        }
    }

    private void m2583s() {
        if (this.f1071u) {
            throw new AndroidRuntimeException("Window feature must be requested before adding content");
        }
    }

    C0301a m2584a(C0272b c0272b) {
        C0301a c0301a;
        m2582r();
        if (this.f1063m != null) {
            this.f1063m.m2796c();
        }
        C0272b avVar = new av(this, c0272b);
        if (this.e == null || m2544m()) {
            c0301a = null;
        } else {
            try {
                c0301a = this.e.m2628a(avVar);
            } catch (AbstractMethodError e) {
                c0301a = null;
            }
        }
        if (c0301a != null) {
            this.f1063m = c0301a;
        } else {
            if (this.f1064n == null) {
                if (this.k) {
                    Context c0318b;
                    TypedValue typedValue = new TypedValue();
                    Theme theme = this.a.getTheme();
                    theme.resolveAttribute(C0254b.actionBarTheme, typedValue, true);
                    if (typedValue.resourceId != 0) {
                        Theme newTheme = this.a.getResources().newTheme();
                        newTheme.setTo(theme);
                        newTheme.applyStyle(typedValue.resourceId, true);
                        c0318b = new C0318b(this.a, 0);
                        c0318b.getTheme().setTo(newTheme);
                    } else {
                        c0318b = this.a;
                    }
                    this.f1064n = new ActionBarContextView(c0318b);
                    this.f1065o = new PopupWindow(c0318b, null, C0254b.actionModePopupWindowStyle);
                    aw.m2289a(this.f1065o, 2);
                    this.f1065o.setContentView(this.f1064n);
                    this.f1065o.setWidth(-1);
                    c0318b.getTheme().resolveAttribute(C0254b.actionBarSize, typedValue, true);
                    this.f1064n.setContentHeight(TypedValue.complexToDimensionPixelSize(typedValue.data, c0318b.getResources().getDisplayMetrics()));
                    this.f1065o.setHeight(-2);
                    this.f1066p = new ar(this);
                } else {
                    ViewStubCompat viewStubCompat = (ViewStubCompat) this.f1073w.findViewById(C0259g.action_mode_bar_stub);
                    if (viewStubCompat != null) {
                        viewStubCompat.setLayoutInflater(LayoutInflater.from(m2542k()));
                        this.f1064n = (ActionBarContextView) viewStubCompat.m3281a();
                    }
                }
            }
            if (this.f1064n != null) {
                m2582r();
                this.f1064n.m3207c();
                C0301a c0319c = new C0319c(this.f1064n.getContext(), this.f1064n, avVar, this.f1065o == null);
                if (c0272b.m2694a(c0319c, c0319c.m2793b())) {
                    c0319c.m2797d();
                    this.f1064n.m3204a(c0319c);
                    this.f1063m = c0319c;
                    bw.m1514c(this.f1064n, 0.0f);
                    this.f1067q = bw.m1533q(this.f1064n).m1844a(1.0f);
                    this.f1067q.m1846a(new at(this));
                    if (this.f1065o != null) {
                        this.b.getDecorView().post(this.f1066p);
                    }
                } else {
                    this.f1063m = null;
                }
            }
        }
        if (!(this.f1063m == null || this.e == null)) {
            this.e.m2629a(this.f1063m);
        }
        return this.f1063m;
    }

    public final View m2585a(View view, String str, Context context, AttributeSet attributeSet) {
        View b = m2598b(view, str, context, attributeSet);
        return b != null ? b : m2605c(view, str, context, attributeSet);
    }

    public void m2586a(int i) {
        m2581q();
        ViewGroup viewGroup = (ViewGroup) this.f1073w.findViewById(16908290);
        viewGroup.removeAllViews();
        LayoutInflater.from(this.a).inflate(i, viewGroup);
        this.c.onContentChanged();
    }

    void m2587a(int i, Menu menu) {
        if (i == 108) {
            C0266a a = m2527a();
            if (a != null) {
                a.m2627e(false);
            }
        } else if (i == 0) {
            PanelFeatureState a2 = m2550a(i, true);
            if (a2.f1033o) {
                m2555a(a2, false);
            }
        }
    }

    public void m2588a(Configuration configuration) {
        if (this.h && this.f1071u) {
            C0266a a = m2527a();
            if (a != null) {
                a.m2617a(configuration);
            }
        }
    }

    public void m2589a(Bundle bundle) {
        super.m2531a(bundle);
        this.f1072v = (ViewGroup) this.b.getDecorView();
        if ((this.c instanceof Activity) && ax.m455b((Activity) this.c) != null) {
            C0266a j = m2541j();
            if (j == null) {
                this.f1059H = true;
            } else {
                j.m2623c(true);
            }
        }
    }

    public void m2590a(C0333i c0333i) {
        m2560a(c0333i, true);
    }

    public void m2591a(View view) {
        m2581q();
        ViewGroup viewGroup = (ViewGroup) this.f1073w.findViewById(16908290);
        viewGroup.removeAllViews();
        viewGroup.addView(view);
        this.c.onContentChanged();
    }

    public void m2592a(View view, LayoutParams layoutParams) {
        m2581q();
        ViewGroup viewGroup = (ViewGroup) this.f1073w.findViewById(16908290);
        viewGroup.removeAllViews();
        viewGroup.addView(view, layoutParams);
        this.c.onContentChanged();
    }

    void m2593a(ViewGroup viewGroup) {
    }

    boolean m2594a(int i, KeyEvent keyEvent) {
        C0266a a = m2527a();
        if (a != null && a.m2620a(i, keyEvent)) {
            return true;
        }
        if (this.f1055D == null || !m2563a(this.f1055D, keyEvent.getKeyCode(), keyEvent, 1)) {
            if (this.f1055D == null) {
                PanelFeatureState a2 = m2550a(0, true);
                m2570b(a2, keyEvent);
                boolean a3 = m2563a(a2, keyEvent.getKeyCode(), keyEvent, 1);
                a2.f1031m = false;
                if (a3) {
                    return true;
                }
            }
            return false;
        } else if (this.f1055D == null) {
            return true;
        } else {
            this.f1055D.f1032n = true;
            return true;
        }
    }

    public boolean m2595a(C0333i c0333i, MenuItem menuItem) {
        Callback n = m2545n();
        if (!(n == null || m2544m())) {
            PanelFeatureState a = m2552a(c0333i.m3056p());
            if (a != null) {
                return n.onMenuItemSelected(a.f1019a, menuItem);
            }
        }
        return false;
    }

    boolean m2596a(KeyEvent keyEvent) {
        boolean z = true;
        if (keyEvent.getKeyCode() == 82 && this.c.dispatchKeyEvent(keyEvent)) {
            return true;
        }
        int keyCode = keyEvent.getKeyCode();
        if (keyEvent.getAction() != 0) {
            z = false;
        }
        return z ? m2607c(keyCode, keyEvent) : m2603b(keyCode, keyEvent);
    }

    public C0301a m2597b(C0272b c0272b) {
        if (c0272b == null) {
            throw new IllegalArgumentException("ActionMode callback can not be null.");
        }
        if (this.f1063m != null) {
            this.f1063m.m2796c();
        }
        C0272b avVar = new av(this, c0272b);
        C0266a a = m2527a();
        if (a != null) {
            this.f1063m = a.m2614a(avVar);
            if (!(this.f1063m == null || this.e == null)) {
                this.e.m2629a(this.f1063m);
            }
        }
        if (this.f1063m == null) {
            this.f1063m = m2584a(avVar);
        }
        return this.f1063m;
    }

    View m2598b(View view, String str, Context context, AttributeSet attributeSet) {
        if (this.c instanceof Factory) {
            View onCreateView = ((Factory) this.c).onCreateView(str, context, attributeSet);
            if (onCreateView != null) {
                return onCreateView;
            }
        }
        return null;
    }

    public void m2599b(Bundle bundle) {
        m2581q();
    }

    public void m2600b(View view, LayoutParams layoutParams) {
        m2581q();
        ((ViewGroup) this.f1073w.findViewById(16908290)).addView(view, layoutParams);
        this.c.onContentChanged();
    }

    void m2601b(CharSequence charSequence) {
        if (this.f1068r != null) {
            this.f1068r.setWindowTitle(charSequence);
        } else if (m2541j() != null) {
            m2541j().m2618a(charSequence);
        } else if (this.f1074x != null) {
            this.f1074x.setText(charSequence);
        }
    }

    public boolean m2602b(int i) {
        int g = m2580g(i);
        if (this.l && g == 108) {
            return false;
        }
        if (this.h && g == 1) {
            this.h = false;
        }
        switch (g) {
            case C0729b.View_android_focusable /*1*/:
                m2583s();
                this.l = true;
                return true;
            case C0729b.View_paddingStart /*2*/:
                m2583s();
                this.f1076z = true;
                return true;
            case C0729b.Toolbar_contentInsetStart /*5*/:
                m2583s();
                this.f1052A = true;
                return true;
            case C0729b.Toolbar_titleTextAppearance /*10*/:
                m2583s();
                this.j = true;
                return true;
            case 108:
                m2583s();
                this.h = true;
                return true;
            case 109:
                m2583s();
                this.i = true;
                return true;
            default:
                return this.b.requestFeature(g);
        }
    }

    boolean m2603b(int i, KeyEvent keyEvent) {
        switch (i) {
            case C0729b.View_theme /*4*/:
                PanelFeatureState a = m2550a(0, false);
                if (a != null && a.f1033o) {
                    m2555a(a, true);
                    return true;
                } else if (m2612p()) {
                    return true;
                }
                break;
            case C0729b.Theme_colorPrimaryDark /*82*/:
                m2578e(0, keyEvent);
                return true;
        }
        return false;
    }

    boolean m2604b(int i, Menu menu) {
        if (i != 108) {
            return false;
        }
        C0266a a = m2527a();
        if (a == null) {
            return true;
        }
        a.m2627e(true);
        return true;
    }

    public View m2605c(View view, String str, Context context, AttributeSet attributeSet) {
        boolean z = VERSION.SDK_INT < 21;
        if (this.f1062K == null) {
            this.f1062K = new C0303a();
        }
        boolean z2 = z && this.f1071u && m2565a((ViewParent) view);
        return this.f1062K.m2809a(view, str, context, attributeSet, z2, z, true);
    }

    public void m2606c() {
        C0266a a = m2527a();
        if (a != null) {
            a.m2625d(false);
        }
    }

    boolean m2607c(int i, KeyEvent keyEvent) {
        switch (i) {
            case C0729b.Theme_colorPrimaryDark /*82*/:
                m2576d(0, keyEvent);
                break;
        }
        return VERSION.SDK_INT < 11 && m2594a(i, keyEvent);
    }

    public void m2608d() {
        C0266a a = m2527a();
        if (a != null) {
            a.m2625d(true);
        }
    }

    public void m2609e() {
        C0266a a = m2527a();
        if (a == null || !a.m2624c()) {
            m2574d(0);
        }
    }

    public void m2610h() {
        LayoutInflater from = LayoutInflater.from(this.a);
        if (from.getFactory() == null) {
            ac.m1329a(from, this);
        } else {
            Log.i("AppCompatDelegate", "The Activity's LayoutInflater already has a Factory installed so we can not install AppCompat's");
        }
    }

    public void m2611i() {
        m2581q();
        if (this.h && this.f == null) {
            if (this.c instanceof Activity) {
                this.f = new C0309f((Activity) this.c, this.i);
            } else if (this.c instanceof Dialog) {
                this.f = new C0309f((Dialog) this.c);
            }
            if (this.f != null) {
                this.f.m2623c(this.f1059H);
            }
        }
    }

    boolean m2612p() {
        if (this.f1063m != null) {
            this.f1063m.m2796c();
            return true;
        }
        C0266a a = m2527a();
        return a != null && a.m2626d();
    }
}
