package android.support.v7.app;

import android.app.Activity;
import android.content.Context;
import android.content.res.TypedArray;
import android.os.Bundle;
import android.support.v7.internal.view.C0322f;
import android.support.v7.p019a.C0264l;
import android.support.v7.p020d.C0272b;
import android.support.v7.p020d.C0301a;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.Window;
import android.view.Window.Callback;

abstract class af extends ae {
    final Context f1038a;
    final Window f1039b;
    final Callback f1040c;
    final Callback f1041d;
    final ad f1042e;
    C0266a f1043f;
    MenuInflater f1044g;
    boolean f1045h;
    boolean f1046i;
    boolean f1047j;
    boolean f1048k;
    boolean f1049l;
    private CharSequence f1050m;
    private boolean f1051n;

    af(Context context, Window window, ad adVar) {
        this.f1038a = context;
        this.f1039b = window;
        this.f1042e = adVar;
        this.f1040c = this.f1039b.getCallback();
        if (this.f1040c instanceof ai) {
            throw new IllegalStateException("AppCompat has already installed itself into the Window");
        }
        this.f1041d = m2529a(this.f1040c);
        this.f1039b.setCallback(this.f1041d);
    }

    public C0266a m2527a() {
        m2540i();
        return this.f1043f;
    }

    abstract C0301a m2528a(C0272b c0272b);

    Callback m2529a(Callback callback) {
        return new ai(this, callback);
    }

    abstract void m2530a(int i, Menu menu);

    public void m2531a(Bundle bundle) {
        TypedArray obtainStyledAttributes = this.f1038a.obtainStyledAttributes(C0264l.Theme);
        if (obtainStyledAttributes.hasValue(C0264l.Theme_windowActionBar)) {
            if (obtainStyledAttributes.getBoolean(C0264l.Theme_windowNoTitle, false)) {
                m2520b(1);
            } else if (obtainStyledAttributes.getBoolean(C0264l.Theme_windowActionBar, false)) {
                m2520b(108);
            }
            if (obtainStyledAttributes.getBoolean(C0264l.Theme_windowActionBarOverlay, false)) {
                m2520b(109);
            }
            if (obtainStyledAttributes.getBoolean(C0264l.Theme_windowActionModeOverlay, false)) {
                m2520b(10);
            }
            this.f1048k = obtainStyledAttributes.getBoolean(C0264l.Theme_android_windowIsFloating, false);
            obtainStyledAttributes.recycle();
            return;
        }
        obtainStyledAttributes.recycle();
        throw new IllegalStateException("You need to use a Theme.AppCompat theme (or descendant) with this activity.");
    }

    public final void m2532a(CharSequence charSequence) {
        this.f1050m = charSequence;
        m2536b(charSequence);
    }

    abstract boolean m2533a(int i, KeyEvent keyEvent);

    abstract boolean m2534a(KeyEvent keyEvent);

    public MenuInflater m2535b() {
        if (this.f1044g == null) {
            m2540i();
            this.f1044g = new C0322f(this.f1043f != null ? this.f1043f.m2621b() : this.f1038a);
        }
        return this.f1044g;
    }

    abstract void m2536b(CharSequence charSequence);

    abstract boolean m2537b(int i, Menu menu);

    public final void m2538f() {
        this.f1051n = true;
    }

    public final C0268g m2539g() {
        return new ah();
    }

    abstract void m2540i();

    final C0266a m2541j() {
        return this.f1043f;
    }

    final Context m2542k() {
        Context context = null;
        C0266a a = m2527a();
        if (a != null) {
            context = a.m2621b();
        }
        return context == null ? this.f1038a : context;
    }

    public boolean m2543l() {
        return false;
    }

    final boolean m2544m() {
        return this.f1051n;
    }

    final Callback m2545n() {
        return this.f1039b.getCallback();
    }

    final CharSequence m2546o() {
        return this.f1040c instanceof Activity ? ((Activity) this.f1040c).getTitle() : this.f1050m;
    }
}
