package android.support.v7.internal.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff.Mode;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.os.Build.VERSION;
import android.support.v4.p009b.C0054a;
import android.support.v4.p010c.C0115a;
import android.support.v4.p010c.p011a.C0094a;
import android.support.v7.p019a.C0254b;
import android.support.v7.p019a.C0258f;
import android.util.SparseArray;
import android.view.View;
import java.lang.ref.WeakReference;
import java.util.WeakHashMap;

public final class an {
    public static final boolean f1675a;
    private static final Mode f1676b;
    private static final WeakHashMap f1677c;
    private static final ao f1678d;
    private static final int[] f1679e;
    private static final int[] f1680f;
    private static final int[] f1681g;
    private static final int[] f1682h;
    private static final int[] f1683i;
    private static final int[] f1684j;
    private final WeakReference f1685k;
    private SparseArray f1686l;
    private ColorStateList f1687m;

    static {
        f1675a = VERSION.SDK_INT < 21;
        f1676b = Mode.SRC_IN;
        f1677c = new WeakHashMap();
        f1678d = new ao(6);
        f1679e = new int[]{C0258f.abc_textfield_search_default_mtrl_alpha, C0258f.abc_textfield_default_mtrl_alpha, C0258f.abc_ab_share_pack_mtrl_alpha};
        f1680f = new int[]{C0258f.abc_ic_ab_back_mtrl_am_alpha, C0258f.abc_ic_go_search_api_mtrl_alpha, C0258f.abc_ic_search_api_mtrl_alpha, C0258f.abc_ic_commit_search_api_mtrl_alpha, C0258f.abc_ic_clear_mtrl_alpha, C0258f.abc_ic_menu_share_mtrl_alpha, C0258f.abc_ic_menu_copy_mtrl_am_alpha, C0258f.abc_ic_menu_cut_mtrl_alpha, C0258f.abc_ic_menu_selectall_mtrl_alpha, C0258f.abc_ic_menu_paste_mtrl_am_alpha, C0258f.abc_ic_menu_moreoverflow_mtrl_alpha, C0258f.abc_ic_voice_search_api_mtrl_alpha};
        f1681g = new int[]{C0258f.abc_textfield_activated_mtrl_alpha, C0258f.abc_textfield_search_activated_mtrl_alpha, C0258f.abc_cab_background_top_mtrl_alpha, C0258f.abc_text_cursor_material};
        f1682h = new int[]{C0258f.abc_popup_background_mtrl_mult, C0258f.abc_cab_background_internal_bg, C0258f.abc_menu_hardkey_panel_mtrl_mult};
        f1683i = new int[]{C0258f.abc_edit_text_material, C0258f.abc_tab_indicator_material, C0258f.abc_textfield_search_material, C0258f.abc_spinner_mtrl_am_alpha, C0258f.abc_spinner_textfield_background_material, C0258f.abc_ratingbar_full_material, C0258f.abc_switch_track_mtrl_alpha, C0258f.abc_switch_thumb_material, C0258f.abc_btn_default_mtrl_shape, C0258f.abc_btn_borderless_material};
        f1684j = new int[]{C0258f.abc_btn_check_material, C0258f.abc_btn_radio_material};
    }

    private an(Context context) {
        this.f1685k = new WeakReference(context);
    }

    private static PorterDuffColorFilter m3316a(int i, Mode mode) {
        PorterDuffColorFilter a = f1678d.m3338a(i, mode);
        if (a != null) {
            return a;
        }
        a = new PorterDuffColorFilter(i, mode);
        f1678d.m3339a(i, mode, a);
        return a;
    }

    private static PorterDuffColorFilter m3317a(ColorStateList colorStateList, Mode mode, int[] iArr) {
        return (colorStateList == null || mode == null) ? null : m3316a(colorStateList.getColorForState(iArr, 0), mode);
    }

    public static Drawable m3318a(Context context, int i) {
        return m3326d(i) ? m3319a(context).m3332a(i) : C0054a.m307a(context, i);
    }

    public static an m3319a(Context context) {
        an anVar = (an) f1677c.get(context);
        if (anVar != null) {
            return anVar;
        }
        anVar = new an(context);
        f1677c.put(context, anVar);
        return anVar;
    }

    public static void m3320a(View view, am amVar) {
        Drawable background = view.getBackground();
        if (amVar.f1674d || amVar.f1673c) {
            background.setColorFilter(m3317a(amVar.f1674d ? amVar.f1671a : null, amVar.f1673c ? amVar.f1672b : f1676b, view.getDrawableState()));
        } else {
            background.clearColorFilter();
        }
        if (VERSION.SDK_INT <= 10) {
            view.invalidate();
        }
    }

    private static boolean m3321a(int[] iArr, int i) {
        for (int i2 : iArr) {
            if (i2 == i) {
                return true;
            }
        }
        return false;
    }

    private ColorStateList m3322b(Context context) {
        if (this.f1687m == null) {
            int a = aj.m3309a(context, C0254b.colorControlNormal);
            int a2 = aj.m3309a(context, C0254b.colorControlActivated);
            r2 = new int[7][];
            int[] iArr = new int[]{aj.f1659a, aj.m3314c(context, C0254b.colorControlNormal), aj.f1660b, a2, aj.f1661c, a2, aj.f1662d};
            iArr[3] = a2;
            r2[4] = aj.f1663e;
            iArr[4] = a2;
            r2[5] = aj.f1664f;
            iArr[5] = a2;
            r2[6] = aj.f1666h;
            iArr[6] = a;
            this.f1687m = new ColorStateList(r2, iArr);
        }
        return this.f1687m;
    }

    private ColorStateList m3323b(Context context, int i) {
        r0 = new int[4][];
        r1 = new int[4];
        int a = aj.m3309a(context, i);
        int a2 = aj.m3309a(context, C0254b.colorControlHighlight);
        r0[0] = aj.f1659a;
        r1[0] = aj.m3314c(context, C0254b.colorButtonNormal);
        r0[1] = aj.f1662d;
        r1[1] = C0115a.m814a(a2, a);
        r0[2] = aj.f1660b;
        r1[2] = C0115a.m814a(a2, a);
        r0[3] = aj.f1666h;
        r1[3] = a;
        return new ColorStateList(r0, r1);
    }

    private ColorStateList m3324c(Context context) {
        r0 = new int[3][];
        int[] iArr = new int[]{aj.f1659a, aj.m3314c(context, C0254b.colorControlNormal), aj.f1663e};
        iArr[1] = aj.m3309a(context, C0254b.colorControlActivated);
        r0[2] = aj.f1666h;
        iArr[2] = aj.m3309a(context, C0254b.colorControlNormal);
        return new ColorStateList(r0, iArr);
    }

    private ColorStateList m3325d(Context context) {
        r0 = new int[3][];
        int[] iArr = new int[]{aj.f1659a, aj.m3310a(context, 16842800, 0.1f), aj.f1663e};
        iArr[1] = aj.m3310a(context, C0254b.colorControlActivated, 0.3f);
        r0[2] = aj.f1666h;
        iArr[2] = aj.m3310a(context, 16842800, 0.3f);
        return new ColorStateList(r0, iArr);
    }

    private static boolean m3326d(int i) {
        return m3321a(f1680f, i) || m3321a(f1679e, i) || m3321a(f1681g, i) || m3321a(f1683i, i) || m3321a(f1682h, i) || m3321a(f1684j, i) || i == C0258f.abc_cab_background_top_material;
    }

    private ColorStateList m3327e(Context context) {
        int[][] iArr = new int[3][];
        int[] iArr2 = new int[3];
        ColorStateList b = aj.m3313b(context, C0254b.colorSwitchThumbNormal);
        if (b == null || !b.isStateful()) {
            iArr[0] = aj.f1659a;
            iArr2[0] = aj.m3314c(context, C0254b.colorSwitchThumbNormal);
            iArr[1] = aj.f1663e;
            iArr2[1] = aj.m3309a(context, C0254b.colorControlActivated);
            iArr[2] = aj.f1666h;
            iArr2[2] = aj.m3309a(context, C0254b.colorSwitchThumbNormal);
        } else {
            iArr[0] = aj.f1659a;
            iArr2[0] = b.getColorForState(iArr[0], 0);
            iArr[1] = aj.f1663e;
            iArr2[1] = aj.m3309a(context, C0254b.colorControlActivated);
            iArr[2] = aj.f1666h;
            iArr2[2] = b.getDefaultColor();
        }
        return new ColorStateList(iArr, iArr2);
    }

    private ColorStateList m3328f(Context context) {
        r0 = new int[3][];
        int[] iArr = new int[]{aj.f1659a, aj.m3314c(context, C0254b.colorControlNormal), aj.f1665g};
        iArr[1] = aj.m3309a(context, C0254b.colorControlNormal);
        r0[2] = aj.f1666h;
        iArr[2] = aj.m3309a(context, C0254b.colorControlActivated);
        return new ColorStateList(r0, iArr);
    }

    private ColorStateList m3329g(Context context) {
        return m3323b(context, C0254b.colorButtonNormal);
    }

    private ColorStateList m3330h(Context context) {
        return m3323b(context, C0254b.colorAccent);
    }

    private ColorStateList m3331i(Context context) {
        r0 = new int[3][];
        int[] iArr = new int[]{aj.f1659a, aj.m3314c(context, C0254b.colorControlNormal), aj.f1665g};
        iArr[1] = aj.m3309a(context, C0254b.colorControlNormal);
        r0[2] = aj.f1666h;
        iArr[2] = aj.m3309a(context, C0254b.colorControlActivated);
        return new ColorStateList(r0, iArr);
    }

    public Drawable m3332a(int i) {
        return m3333a(i, false);
    }

    public Drawable m3333a(int i, boolean z) {
        Context context = (Context) this.f1685k.get();
        if (context == null) {
            return null;
        }
        Drawable a = C0054a.m307a(context, i);
        if (a != null) {
            if (VERSION.SDK_INT >= 8) {
                a = a.mutate();
            }
            ColorStateList c = m3336c(i);
            if (c != null) {
                a = C0094a.m748c(a);
                C0094a.m743a(a, c);
                Mode b = m3335b(i);
                if (b != null) {
                    C0094a.m744a(a, b);
                }
            } else if (i == C0258f.abc_cab_background_top_material) {
                return new LayerDrawable(new Drawable[]{m3332a(C0258f.abc_cab_background_internal_bg), m3332a(C0258f.abc_cab_background_top_mtrl_alpha)});
            } else if (!m3334a(i, a) && z) {
                a = null;
            }
        }
        return a;
    }

    public final boolean m3334a(int i, Drawable drawable) {
        Context context = (Context) this.f1685k.get();
        if (context == null) {
            return false;
        }
        int i2;
        Mode mode;
        Object obj;
        int i3;
        Mode mode2 = f1676b;
        if (m3321a(f1679e, i)) {
            i2 = C0254b.colorControlNormal;
            mode = mode2;
            obj = 1;
            i3 = -1;
        } else if (m3321a(f1681g, i)) {
            i2 = C0254b.colorControlActivated;
            mode = mode2;
            r6 = 1;
            i3 = -1;
        } else if (m3321a(f1682h, i)) {
            r6 = 1;
            mode = Mode.MULTIPLY;
            i2 = 16842801;
            i3 = -1;
        } else if (i == C0258f.abc_list_divider_mtrl_alpha) {
            i2 = 16842800;
            i3 = Math.round(40.8f);
            mode = mode2;
            r6 = 1;
        } else {
            i3 = -1;
            i2 = 0;
            mode = mode2;
            obj = null;
        }
        if (obj == null) {
            return false;
        }
        drawable.setColorFilter(m3316a(aj.m3309a(context, i2), mode));
        if (i3 != -1) {
            drawable.setAlpha(i3);
        }
        return true;
    }

    final Mode m3335b(int i) {
        return i == C0258f.abc_switch_thumb_material ? Mode.MULTIPLY : null;
    }

    public final ColorStateList m3336c(int i) {
        ColorStateList colorStateList = null;
        Context context = (Context) this.f1685k.get();
        if (context == null) {
            return null;
        }
        if (this.f1686l != null) {
            colorStateList = (ColorStateList) this.f1686l.get(i);
        }
        if (colorStateList != null) {
            return colorStateList;
        }
        ColorStateList f = i == C0258f.abc_edit_text_material ? m3328f(context) : i == C0258f.abc_switch_track_mtrl_alpha ? m3325d(context) : i == C0258f.abc_switch_thumb_material ? m3327e(context) : (i == C0258f.abc_btn_default_mtrl_shape || i == C0258f.abc_btn_borderless_material) ? m3329g(context) : i == C0258f.abc_btn_colored_material ? m3330h(context) : (i == C0258f.abc_spinner_mtrl_am_alpha || i == C0258f.abc_spinner_textfield_background_material) ? m3331i(context) : m3321a(f1680f, i) ? aj.m3313b(context, C0254b.colorControlNormal) : m3321a(f1683i, i) ? m3322b(context) : m3321a(f1684j, i) ? m3324c(context) : colorStateList;
        if (f == null) {
            return f;
        }
        if (this.f1686l == null) {
            this.f1686l = new SparseArray();
        }
        this.f1686l.append(i, f);
        return f;
    }
}
