package android.support.v7.widget;

import android.content.Context;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.support.v4.view.p017a.C0172a;
import android.support.v4.view.p017a.al;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import com.neatorobotics.android.C0729b;
import java.util.List;

public class LinearLayoutManager extends co {
    int f1803a;
    bw f1804b;
    boolean f1805c;
    int f1806d;
    int f1807e;
    SavedState f1808f;
    final bd f1809g;
    private bf f1810k;
    private boolean f1811l;
    private boolean f1812m;
    private boolean f1813n;
    private boolean f1814o;
    private boolean f1815p;

    class SavedState implements Parcelable {
        public static final Creator CREATOR;
        int f1795a;
        int f1796b;
        boolean f1797c;

        static {
            CREATOR = new bg();
        }

        SavedState(Parcel parcel) {
            boolean z = true;
            this.f1795a = parcel.readInt();
            this.f1796b = parcel.readInt();
            if (parcel.readInt() != 1) {
                z = false;
            }
            this.f1797c = z;
        }

        public SavedState(SavedState savedState) {
            this.f1795a = savedState.f1795a;
            this.f1796b = savedState.f1796b;
            this.f1797c = savedState.f1797c;
        }

        boolean m3542a() {
            return this.f1795a >= 0;
        }

        void m3543b() {
            this.f1795a = -1;
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeInt(this.f1795a);
            parcel.writeInt(this.f1796b);
            parcel.writeInt(this.f1797c ? 1 : 0);
        }
    }

    public LinearLayoutManager(Context context) {
        this(context, 1, false);
    }

    public LinearLayoutManager(Context context, int i, boolean z) {
        this.f1812m = false;
        this.f1805c = false;
        this.f1813n = false;
        this.f1814o = true;
        this.f1806d = -1;
        this.f1807e = Integer.MIN_VALUE;
        this.f1808f = null;
        this.f1809g = new bd(this);
        m3693a(i);
        m3701a(z);
    }

    private void m3658A() {
        boolean z = true;
        if (this.f1803a == 1 || !m3713e()) {
            this.f1805c = this.f1812m;
            return;
        }
        if (this.f1812m) {
            z = false;
        }
        this.f1805c = z;
    }

    private View m3659B() {
        return m3628f(this.f1805c ? m3648q() - 1 : 0);
    }

    private View m3660C() {
        return m3628f(this.f1805c ? 0 : m3648q() - 1);
    }

    private int m3661a(int i, cu cuVar, da daVar, boolean z) {
        int d = this.f1804b.m4231d() - i;
        if (d <= 0) {
            return 0;
        }
        d = -m3706c(-d, cuVar, daVar);
        int i2 = i + d;
        if (!z) {
            return d;
        }
        i2 = this.f1804b.m4231d() - i2;
        if (i2 <= 0) {
            return d;
        }
        this.f1804b.m4226a(i2);
        return d + i2;
    }

    private View m3662a(boolean z, boolean z2) {
        return this.f1805c ? m3690a(m3648q() - 1, -1, z, z2) : m3690a(0, m3648q(), z, z2);
    }

    private void m3663a(int i, int i2, boolean z, da daVar) {
        int i3 = -1;
        int i4 = 1;
        this.f1810k.f2171h = m3688a(daVar);
        this.f1810k.f2169f = i;
        View C;
        bf bfVar;
        if (i == 1) {
            bf bfVar2 = this.f1810k;
            bfVar2.f2171h += this.f1804b.m4235g();
            C = m3660C();
            bfVar = this.f1810k;
            if (!this.f1805c) {
                i3 = 1;
            }
            bfVar.f2168e = i3;
            this.f1810k.f2167d = m3616d(C) + this.f1810k.f2168e;
            this.f1810k.f2165b = this.f1804b.m4228b(C);
            i3 = this.f1804b.m4228b(C) - this.f1804b.m4231d();
        } else {
            C = m3659B();
            bfVar = this.f1810k;
            bfVar.f2171h += this.f1804b.m4229c();
            bfVar = this.f1810k;
            if (!this.f1805c) {
                i4 = -1;
            }
            bfVar.f2168e = i4;
            this.f1810k.f2167d = m3616d(C) + this.f1810k.f2168e;
            this.f1810k.f2165b = this.f1804b.m4224a(C);
            i3 = (-this.f1804b.m4224a(C)) + this.f1804b.m4229c();
        }
        this.f1810k.f2166c = i2;
        if (z) {
            bf bfVar3 = this.f1810k;
            bfVar3.f2166c -= i3;
        }
        this.f1810k.f2170g = i3;
    }

    private void m3664a(bd bdVar) {
        m3671b(bdVar.f2156a, bdVar.f2157b);
    }

    private void m3665a(cu cuVar, int i) {
        if (i >= 0) {
            int q = m3648q();
            int i2;
            if (this.f1805c) {
                for (i2 = q - 1; i2 >= 0; i2--) {
                    if (this.f1804b.m4228b(m3628f(i2)) > i) {
                        m3666a(cuVar, q - 1, i2);
                        return;
                    }
                }
                return;
            }
            for (i2 = 0; i2 < q; i2++) {
                if (this.f1804b.m4228b(m3628f(i2)) > i) {
                    m3666a(cuVar, 0, i2);
                    return;
                }
            }
        }
    }

    private void m3666a(cu cuVar, int i, int i2) {
        if (i != i2) {
            if (i2 > i) {
                for (int i3 = i2 - 1; i3 >= i; i3--) {
                    m3558a(i3, cuVar);
                }
                return;
            }
            while (i > i2) {
                m3558a(i, cuVar);
                i--;
            }
        }
    }

    private void m3667a(cu cuVar, bf bfVar) {
        if (!bfVar.f2164a) {
            return;
        }
        if (bfVar.f2169f == -1) {
            m3673b(cuVar, bfVar.f2170g);
        } else {
            m3665a(cuVar, bfVar.f2170g);
        }
    }

    private boolean m3668a(da daVar, bd bdVar) {
        boolean z = false;
        if (daVar.m4422a() || this.f1806d == -1) {
            return false;
        }
        if (this.f1806d < 0 || this.f1806d >= daVar.m4427e()) {
            this.f1806d = -1;
            this.f1807e = Integer.MIN_VALUE;
            return false;
        }
        bdVar.f2156a = this.f1806d;
        if (this.f1808f != null && this.f1808f.m3542a()) {
            bdVar.f2158c = this.f1808f.f1797c;
            if (bdVar.f2158c) {
                bdVar.f2157b = this.f1804b.m4231d() - this.f1808f.f1796b;
                return true;
            }
            bdVar.f2157b = this.f1804b.m4229c() + this.f1808f.f1796b;
            return true;
        } else if (this.f1807e == Integer.MIN_VALUE) {
            View b = m3705b(this.f1806d);
            if (b == null) {
                if (m3648q() > 0) {
                    if ((this.f1806d < m3616d(m3628f(0))) == this.f1805c) {
                        z = true;
                    }
                    bdVar.f2158c = z;
                }
                bdVar.m4195b();
                return true;
            } else if (this.f1804b.m4230c(b) > this.f1804b.m4234f()) {
                bdVar.m4195b();
                return true;
            } else if (this.f1804b.m4224a(b) - this.f1804b.m4229c() < 0) {
                bdVar.f2157b = this.f1804b.m4229c();
                bdVar.f2158c = false;
                return true;
            } else if (this.f1804b.m4231d() - this.f1804b.m4228b(b) < 0) {
                bdVar.f2157b = this.f1804b.m4231d();
                bdVar.f2158c = true;
                return true;
            } else {
                bdVar.f2157b = bdVar.f2158c ? this.f1804b.m4228b(b) + this.f1804b.m4227b() : this.f1804b.m4224a(b);
                return true;
            }
        } else {
            bdVar.f2158c = this.f1805c;
            if (this.f1805c) {
                bdVar.f2157b = this.f1804b.m4231d() - this.f1807e;
                return true;
            }
            bdVar.f2157b = this.f1804b.m4229c() + this.f1807e;
            return true;
        }
    }

    private int m3669b(int i, cu cuVar, da daVar, boolean z) {
        int c = i - this.f1804b.m4229c();
        if (c <= 0) {
            return 0;
        }
        c = -m3706c(c, cuVar, daVar);
        int i2 = i + c;
        if (!z) {
            return c;
        }
        i2 -= this.f1804b.m4229c();
        if (i2 <= 0) {
            return c;
        }
        this.f1804b.m4226a(-i2);
        return c - i2;
    }

    private View m3670b(boolean z, boolean z2) {
        return this.f1805c ? m3690a(0, m3648q(), z, z2) : m3690a(m3648q() - 1, -1, z, z2);
    }

    private void m3671b(int i, int i2) {
        this.f1810k.f2166c = this.f1804b.m4231d() - i2;
        this.f1810k.f2168e = this.f1805c ? -1 : 1;
        this.f1810k.f2167d = i;
        this.f1810k.f2169f = 1;
        this.f1810k.f2165b = i2;
        this.f1810k.f2170g = Integer.MIN_VALUE;
    }

    private void m3672b(bd bdVar) {
        m3676c(bdVar.f2156a, bdVar.f2157b);
    }

    private void m3673b(cu cuVar, int i) {
        int q = m3648q();
        if (i >= 0) {
            int e = this.f1804b.m4233e() - i;
            int i2;
            if (this.f1805c) {
                for (i2 = 0; i2 < q; i2++) {
                    if (this.f1804b.m4224a(m3628f(i2)) < e) {
                        m3666a(cuVar, 0, i2);
                        return;
                    }
                }
                return;
            }
            for (i2 = q - 1; i2 >= 0; i2--) {
                if (this.f1804b.m4224a(m3628f(i2)) < e) {
                    m3666a(cuVar, q - 1, i2);
                    return;
                }
            }
        }
    }

    private void m3674b(cu cuVar, da daVar, int i, int i2) {
        if (daVar.m4424b() && m3648q() != 0 && !daVar.m4422a() && m3720j()) {
            int i3 = 0;
            int i4 = 0;
            List b = cuVar.m4363b();
            int size = b.size();
            int d = m3616d(m3628f(0));
            int i5 = 0;
            while (i5 < size) {
                int i6;
                int i7;
                dd ddVar = (dd) b.get(i5);
                if (ddVar.m4475q()) {
                    i6 = i4;
                    i7 = i3;
                } else {
                    if (((ddVar.m4462d() < d) != this.f1805c ? -1 : 1) == -1) {
                        i7 = this.f1804b.m4230c(ddVar.f2259a) + i3;
                        i6 = i4;
                    } else {
                        i6 = this.f1804b.m4230c(ddVar.f2259a) + i4;
                        i7 = i3;
                    }
                }
                i5++;
                i3 = i7;
                i4 = i6;
            }
            this.f1810k.f2174k = b;
            if (i3 > 0) {
                m3676c(m3616d(m3659B()), i);
                this.f1810k.f2171h = i3;
                this.f1810k.f2166c = 0;
                this.f1810k.m4200a();
                m3687a(cuVar, this.f1810k, daVar, false);
            }
            if (i4 > 0) {
                m3671b(m3616d(m3660C()), i2);
                this.f1810k.f2171h = i4;
                this.f1810k.f2166c = 0;
                this.f1810k.m4200a();
                m3687a(cuVar, this.f1810k, daVar, false);
            }
            this.f1810k.f2174k = null;
        }
    }

    private void m3675b(cu cuVar, da daVar, bd bdVar) {
        if (!m3668a(daVar, bdVar) && !m3677c(cuVar, daVar, bdVar)) {
            bdVar.m4195b();
            bdVar.f2156a = this.f1813n ? daVar.m4427e() - 1 : 0;
        }
    }

    private void m3676c(int i, int i2) {
        this.f1810k.f2166c = i2 - this.f1804b.m4229c();
        this.f1810k.f2167d = i;
        this.f1810k.f2168e = this.f1805c ? 1 : -1;
        this.f1810k.f2169f = -1;
        this.f1810k.f2165b = i2;
        this.f1810k.f2170g = Integer.MIN_VALUE;
    }

    private boolean m3677c(cu cuVar, da daVar, bd bdVar) {
        boolean z = false;
        if (m3648q() == 0) {
            return false;
        }
        View x = m3655x();
        if (x != null && bdVar.m4192a(x, daVar)) {
            bdVar.m4194a(x);
            return true;
        } else if (this.f1811l != this.f1813n) {
            return false;
        } else {
            x = bdVar.f2158c ? m3678f(cuVar, daVar) : m3679g(cuVar, daVar);
            if (x == null) {
                return false;
            }
            bdVar.m4196b(x);
            if (!daVar.m4422a() && m3720j()) {
                if (this.f1804b.m4224a(x) >= this.f1804b.m4231d() || this.f1804b.m4228b(x) < this.f1804b.m4229c()) {
                    z = true;
                }
                if (z) {
                    bdVar.f2157b = bdVar.f2158c ? this.f1804b.m4231d() : this.f1804b.m4229c();
                }
            }
            return true;
        }
    }

    private View m3678f(cu cuVar, da daVar) {
        return this.f1805c ? m3681h(cuVar, daVar) : m3683i(cuVar, daVar);
    }

    private View m3679g(cu cuVar, da daVar) {
        return this.f1805c ? m3683i(cuVar, daVar) : m3681h(cuVar, daVar);
    }

    private int m3680h(da daVar) {
        boolean z = false;
        if (m3648q() == 0) {
            return 0;
        }
        m3715f();
        bw bwVar = this.f1804b;
        View a = m3662a(!this.f1814o, true);
        if (!this.f1814o) {
            z = true;
        }
        return dg.m4491a(daVar, bwVar, a, m3670b(z, true), this, this.f1814o, this.f1805c);
    }

    private View m3681h(cu cuVar, da daVar) {
        return m3691a(cuVar, daVar, 0, m3648q(), daVar.m4427e());
    }

    private int m3682i(da daVar) {
        boolean z = false;
        if (m3648q() == 0) {
            return 0;
        }
        m3715f();
        bw bwVar = this.f1804b;
        View a = m3662a(!this.f1814o, true);
        if (!this.f1814o) {
            z = true;
        }
        return dg.m4490a(daVar, bwVar, a, m3670b(z, true), this, this.f1814o);
    }

    private View m3683i(cu cuVar, da daVar) {
        return m3691a(cuVar, daVar, m3648q() - 1, -1, daVar.m4427e());
    }

    private int m3684j(int i) {
        int i2 = 1;
        int i3 = Integer.MIN_VALUE;
        switch (i) {
            case C0729b.View_android_focusable /*1*/:
                return -1;
            case C0729b.View_paddingStart /*2*/:
                return 1;
            case C0729b.Toolbar_maxButtonHeight /*17*/:
                return this.f1803a != 0 ? Integer.MIN_VALUE : -1;
            case C0729b.Theme_actionModeCopyDrawable /*33*/:
                return this.f1803a != 1 ? Integer.MIN_VALUE : -1;
            case C0729b.Theme_textColorSearchUrl /*66*/:
                if (this.f1803a != 0) {
                    i2 = Integer.MIN_VALUE;
                }
                return i2;
            case 130:
                if (this.f1803a == 1) {
                    i3 = 1;
                }
                return i3;
            default:
                return Integer.MIN_VALUE;
        }
    }

    private int m3685j(da daVar) {
        boolean z = false;
        if (m3648q() == 0) {
            return 0;
        }
        m3715f();
        bw bwVar = this.f1804b;
        View a = m3662a(!this.f1814o, true);
        if (!this.f1814o) {
            z = true;
        }
        return dg.m4492b(daVar, bwVar, a, m3670b(z, true), this, this.f1814o);
    }

    public int m3686a(int i, cu cuVar, da daVar) {
        return this.f1803a == 1 ? 0 : m3706c(i, cuVar, daVar);
    }

    int m3687a(cu cuVar, bf bfVar, da daVar, boolean z) {
        int i = bfVar.f2166c;
        if (bfVar.f2170g != Integer.MIN_VALUE) {
            if (bfVar.f2166c < 0) {
                bfVar.f2170g += bfVar.f2166c;
            }
            m3667a(cuVar, bfVar);
        }
        int i2 = bfVar.f2166c + bfVar.f2171h;
        be beVar = new be();
        while (i2 > 0 && bfVar.m4202a(daVar)) {
            beVar.m4197a();
            m3698a(cuVar, daVar, bfVar, beVar);
            if (!beVar.f2161b) {
                bfVar.f2165b += beVar.f2160a * bfVar.f2169f;
                if (!(beVar.f2162c && this.f1810k.f2174k == null && daVar.m4422a())) {
                    bfVar.f2166c -= beVar.f2160a;
                    i2 -= beVar.f2160a;
                }
                if (bfVar.f2170g != Integer.MIN_VALUE) {
                    bfVar.f2170g += beVar.f2160a;
                    if (bfVar.f2166c < 0) {
                        bfVar.f2170g += bfVar.f2166c;
                    }
                    m3667a(cuVar, bfVar);
                }
                if (z && beVar.f2163d) {
                    break;
                }
            } else {
                break;
            }
        }
        return i - bfVar.f2166c;
    }

    protected int m3688a(da daVar) {
        return daVar.m4426d() ? this.f1804b.m4234f() : 0;
    }

    public cp m3689a() {
        return new cp(-2, -2);
    }

    View m3690a(int i, int i2, boolean z, boolean z2) {
        m3715f();
        int c = this.f1804b.m4229c();
        int d = this.f1804b.m4231d();
        int i3 = i2 > i ? 1 : -1;
        View view = null;
        while (i != i2) {
            View f = m3628f(i);
            int a = this.f1804b.m4224a(f);
            int b = this.f1804b.m4228b(f);
            if (a < d && b > c) {
                if (!z) {
                    return f;
                }
                if (a >= c && b <= d) {
                    return f;
                }
                if (z2 && view == null) {
                    i += i3;
                    view = f;
                }
            }
            f = view;
            i += i3;
            view = f;
        }
        return view;
    }

    View m3691a(cu cuVar, da daVar, int i, int i2, int i3) {
        View view = null;
        m3715f();
        int c = this.f1804b.m4229c();
        int d = this.f1804b.m4231d();
        int i4 = i2 > i ? 1 : -1;
        View view2 = null;
        while (i != i2) {
            View view3;
            View f = m3628f(i);
            int d2 = m3616d(f);
            if (d2 >= 0 && d2 < i3) {
                if (((cp) f.getLayoutParams()).m4330a()) {
                    if (view2 == null) {
                        view3 = view;
                        i += i4;
                        view = view3;
                        view2 = f;
                    }
                } else if (this.f1804b.m4224a(f) < d && this.f1804b.m4228b(f) >= c) {
                    return f;
                } else {
                    if (view == null) {
                        view3 = f;
                        f = view2;
                        i += i4;
                        view = view3;
                        view2 = f;
                    }
                }
            }
            view3 = view;
            f = view2;
            i += i4;
            view = view3;
            view2 = f;
        }
        if (view == null) {
            view = view2;
        }
        return view;
    }

    public View m3692a(View view, int i, cu cuVar, da daVar) {
        m3658A();
        if (m3648q() == 0) {
            return null;
        }
        int j = m3684j(i);
        if (j == Integer.MIN_VALUE) {
            return null;
        }
        m3715f();
        View g = j == -1 ? m3679g(cuVar, daVar) : m3678f(cuVar, daVar);
        if (g == null) {
            return null;
        }
        m3715f();
        m3663a(j, (int) (0.33f * ((float) this.f1804b.m4234f())), false, daVar);
        this.f1810k.f2170g = Integer.MIN_VALUE;
        this.f1810k.f2164a = false;
        m3687a(cuVar, this.f1810k, daVar, true);
        View B = j == -1 ? m3659B() : m3660C();
        return (B == g || !B.isFocusable()) ? null : B;
    }

    public void m3693a(int i) {
        if (i == 0 || i == 1) {
            m3700a(null);
            if (i != this.f1803a) {
                this.f1803a = i;
                this.f1804b = null;
                m3639k();
                return;
            }
            return;
        }
        throw new IllegalArgumentException("invalid orientation:" + i);
    }

    public void m3694a(Parcelable parcelable) {
        if (parcelable instanceof SavedState) {
            this.f1808f = (SavedState) parcelable;
            m3639k();
        }
    }

    public void m3695a(RecyclerView recyclerView, cu cuVar) {
        super.m3565a(recyclerView, cuVar);
        if (this.f1815p) {
            m3610c(cuVar);
            cuVar.m4354a();
        }
    }

    public void m3696a(cu cuVar, da daVar) {
        if (!(this.f1808f == null && this.f1806d == -1) && daVar.m4427e() == 0) {
            m3610c(cuVar);
            return;
        }
        int i;
        int d;
        if (this.f1808f != null && this.f1808f.m3542a()) {
            this.f1806d = this.f1808f.f1795a;
        }
        m3715f();
        this.f1810k.f2164a = false;
        m3658A();
        this.f1809g.m4193a();
        this.f1809g.f2158c = this.f1805c ^ this.f1813n;
        m3675b(cuVar, daVar, this.f1809g);
        int a = m3688a(daVar);
        if (this.f1810k.f2173j >= 0) {
            i = 0;
        } else {
            i = a;
            a = 0;
        }
        i += this.f1804b.m4229c();
        a += this.f1804b.m4235g();
        if (!(!daVar.m4422a() || this.f1806d == -1 || this.f1807e == Integer.MIN_VALUE)) {
            View b = m3705b(this.f1806d);
            if (b != null) {
                if (this.f1805c) {
                    d = (this.f1804b.m4231d() - this.f1804b.m4228b(b)) - this.f1807e;
                } else {
                    d = this.f1807e - (this.f1804b.m4224a(b) - this.f1804b.m4229c());
                }
                if (d > 0) {
                    i += d;
                } else {
                    a -= d;
                }
            }
        }
        m3697a(cuVar, daVar, this.f1809g);
        m3567a(cuVar);
        this.f1810k.f2172i = daVar.m4422a();
        int i2;
        if (this.f1809g.f2158c) {
            m3672b(this.f1809g);
            this.f1810k.f2171h = i;
            m3687a(cuVar, this.f1810k, daVar, false);
            i = this.f1810k.f2165b;
            i2 = this.f1810k.f2167d;
            if (this.f1810k.f2166c > 0) {
                a += this.f1810k.f2166c;
            }
            m3664a(this.f1809g);
            this.f1810k.f2171h = a;
            bf bfVar = this.f1810k;
            bfVar.f2167d += this.f1810k.f2168e;
            m3687a(cuVar, this.f1810k, daVar, false);
            d = this.f1810k.f2165b;
            if (this.f1810k.f2166c > 0) {
                a = this.f1810k.f2166c;
                m3676c(i2, i);
                this.f1810k.f2171h = a;
                m3687a(cuVar, this.f1810k, daVar, false);
                a = this.f1810k.f2165b;
            } else {
                a = i;
            }
            i = a;
            a = d;
        } else {
            m3664a(this.f1809g);
            this.f1810k.f2171h = a;
            m3687a(cuVar, this.f1810k, daVar, false);
            a = this.f1810k.f2165b;
            d = this.f1810k.f2167d;
            if (this.f1810k.f2166c > 0) {
                i += this.f1810k.f2166c;
            }
            m3672b(this.f1809g);
            this.f1810k.f2171h = i;
            bf bfVar2 = this.f1810k;
            bfVar2.f2167d += this.f1810k.f2168e;
            m3687a(cuVar, this.f1810k, daVar, false);
            i = this.f1810k.f2165b;
            if (this.f1810k.f2166c > 0) {
                i2 = this.f1810k.f2166c;
                m3671b(d, a);
                this.f1810k.f2171h = i2;
                m3687a(cuVar, this.f1810k, daVar, false);
                a = this.f1810k.f2165b;
            }
        }
        if (m3648q() > 0) {
            int b2;
            if ((this.f1805c ^ this.f1813n) != 0) {
                d = m3661a(a, cuVar, daVar, true);
                i += d;
                a += d;
                b2 = m3669b(i, cuVar, daVar, false);
                i += b2;
                a += b2;
            } else {
                d = m3669b(i, cuVar, daVar, true);
                i += d;
                a += d;
                b2 = m3661a(a, cuVar, daVar, false);
                i += b2;
                a += b2;
            }
        }
        m3674b(cuVar, daVar, i, a);
        if (!daVar.m4422a()) {
            this.f1806d = -1;
            this.f1807e = Integer.MIN_VALUE;
            this.f1804b.m4225a();
        }
        this.f1811l = this.f1813n;
        this.f1808f = null;
    }

    void m3697a(cu cuVar, da daVar, bd bdVar) {
    }

    void m3698a(cu cuVar, da daVar, bf bfVar, be beVar) {
        View a = bfVar.m4199a(cuVar);
        if (a == null) {
            beVar.f2161b = true;
            return;
        }
        int r;
        int d;
        int i;
        int i2;
        cp cpVar = (cp) a.getLayoutParams();
        if (bfVar.f2174k == null) {
            if (this.f1805c == (bfVar.f2169f == -1)) {
                m3602b(a);
            } else {
                m3603b(a, 0);
            }
        } else {
            if (this.f1805c == (bfVar.f2169f == -1)) {
                m3573a(a);
            } else {
                m3574a(a, 0);
            }
        }
        m3575a(a, 0, 0);
        beVar.f2160a = this.f1804b.m4230c(a);
        if (this.f1803a == 1) {
            if (m3713e()) {
                r = m3649r() - m3653v();
                d = r - this.f1804b.m4232d(a);
            } else {
                d = m3651t();
                r = this.f1804b.m4232d(a) + d;
            }
            if (bfVar.f2169f == -1) {
                i = bfVar.f2165b - beVar.f2160a;
                i2 = r;
                r = bfVar.f2165b;
            } else {
                i = bfVar.f2165b;
                i2 = r;
                r = bfVar.f2165b + beVar.f2160a;
            }
        } else {
            i = m3652u();
            r = this.f1804b.m4232d(a) + i;
            if (bfVar.f2169f == -1) {
                d = bfVar.f2165b - beVar.f2160a;
                i2 = bfVar.f2165b;
            } else {
                d = bfVar.f2165b;
                i2 = bfVar.f2165b + beVar.f2160a;
            }
        }
        m3576a(a, d + cpVar.leftMargin, i + cpVar.topMargin, i2 - cpVar.rightMargin, r - cpVar.bottomMargin);
        if (cpVar.m4330a() || cpVar.m4331b()) {
            beVar.f2162c = true;
        }
        beVar.f2163d = a.isFocusable();
    }

    public void m3699a(AccessibilityEvent accessibilityEvent) {
        super.m3581a(accessibilityEvent);
        if (m3648q() > 0) {
            al a = C0172a.m1000a(accessibilityEvent);
            a.m1025b(m3718h());
            a.m1026c(m3719i());
        }
    }

    public void m3700a(String str) {
        if (this.f1808f == null) {
            super.m3583a(str);
        }
    }

    public void m3701a(boolean z) {
        m3700a(null);
        if (z != this.f1812m) {
            this.f1812m = z;
            m3639k();
        }
    }

    public int m3702b(int i, cu cuVar, da daVar) {
        return this.f1803a == 0 ? 0 : m3706c(i, cuVar, daVar);
    }

    public int m3703b(da daVar) {
        return m3680h(daVar);
    }

    public Parcelable m3704b() {
        if (this.f1808f != null) {
            return new SavedState(this.f1808f);
        }
        Parcelable savedState = new SavedState();
        if (m3648q() > 0) {
            m3715f();
            boolean z = this.f1811l ^ this.f1805c;
            savedState.f1797c = z;
            View C;
            if (z) {
                C = m3660C();
                savedState.f1796b = this.f1804b.m4231d() - this.f1804b.m4228b(C);
                savedState.f1795a = m3616d(C);
                return savedState;
            }
            C = m3659B();
            savedState.f1795a = m3616d(C);
            savedState.f1796b = this.f1804b.m4224a(C) - this.f1804b.m4229c();
            return savedState;
        }
        savedState.m3543b();
        return savedState;
    }

    public View m3705b(int i) {
        int q = m3648q();
        if (q == 0) {
            return null;
        }
        int d = i - m3616d(m3628f(0));
        if (d >= 0 && d < q) {
            View f = m3628f(d);
            if (m3616d(f) == i) {
                return f;
            }
        }
        return super.m3597b(i);
    }

    int m3706c(int i, cu cuVar, da daVar) {
        if (m3648q() == 0 || i == 0) {
            return 0;
        }
        this.f1810k.f2164a = true;
        m3715f();
        int i2 = i > 0 ? 1 : -1;
        int abs = Math.abs(i);
        m3663a(i2, abs, true, daVar);
        int a = this.f1810k.f2170g + m3687a(cuVar, this.f1810k, daVar, false);
        if (a < 0) {
            return 0;
        }
        if (abs > a) {
            i = i2 * a;
        }
        this.f1804b.m4226a(-i);
        this.f1810k.f2173j = i;
        return i;
    }

    public int m3707c(da daVar) {
        return m3680h(daVar);
    }

    public void m3708c(int i) {
        this.f1806d = i;
        this.f1807e = Integer.MIN_VALUE;
        if (this.f1808f != null) {
            this.f1808f.m3543b();
        }
        m3639k();
    }

    public boolean m3709c() {
        return this.f1803a == 0;
    }

    public int m3710d(da daVar) {
        return m3682i(daVar);
    }

    public boolean m3711d() {
        return this.f1803a == 1;
    }

    public int m3712e(da daVar) {
        return m3682i(daVar);
    }

    protected boolean m3713e() {
        return m3646o() == 1;
    }

    public int m3714f(da daVar) {
        return m3685j(daVar);
    }

    void m3715f() {
        if (this.f1810k == null) {
            this.f1810k = m3717g();
        }
        if (this.f1804b == null) {
            this.f1804b = bw.m4222a(this, this.f1803a);
        }
    }

    public int m3716g(da daVar) {
        return m3685j(daVar);
    }

    bf m3717g() {
        return new bf();
    }

    public int m3718h() {
        View a = m3690a(0, m3648q(), false, true);
        return a == null ? -1 : m3616d(a);
    }

    public int m3719i() {
        View a = m3690a(m3648q() - 1, -1, false, true);
        return a == null ? -1 : m3616d(a);
    }

    public boolean m3720j() {
        return this.f1808f == null && this.f1811l == this.f1813n;
    }
}
