package android.support.v7.widget;

import android.content.res.Resources.Theme;
import android.database.DataSetObserver;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListAdapter;
import android.widget.SpinnerAdapter;
import android.widget.ThemedSpinnerAdapter;

class ae implements ListAdapter, SpinnerAdapter {
    private SpinnerAdapter f2044a;
    private ListAdapter f2045b;

    public ae(SpinnerAdapter spinnerAdapter, Theme theme) {
        this.f2044a = spinnerAdapter;
        if (spinnerAdapter instanceof ListAdapter) {
            this.f2045b = (ListAdapter) spinnerAdapter;
        }
        if (theme == null) {
            return;
        }
        if (ac.f2030a && (spinnerAdapter instanceof ThemedSpinnerAdapter)) {
            ThemedSpinnerAdapter themedSpinnerAdapter = (ThemedSpinnerAdapter) spinnerAdapter;
            if (themedSpinnerAdapter.getDropDownViewTheme() != theme) {
                themedSpinnerAdapter.setDropDownViewTheme(theme);
            }
        } else if (spinnerAdapter instanceof du) {
            du duVar = (du) spinnerAdapter;
            if (duVar.m4547a() == null) {
                duVar.m4548a(theme);
            }
        }
    }

    public boolean areAllItemsEnabled() {
        ListAdapter listAdapter = this.f2045b;
        return listAdapter != null ? listAdapter.areAllItemsEnabled() : true;
    }

    public int getCount() {
        return this.f2044a == null ? 0 : this.f2044a.getCount();
    }

    public View getDropDownView(int i, View view, ViewGroup viewGroup) {
        return this.f2044a == null ? null : this.f2044a.getDropDownView(i, view, viewGroup);
    }

    public Object getItem(int i) {
        return this.f2044a == null ? null : this.f2044a.getItem(i);
    }

    public long getItemId(int i) {
        return this.f2044a == null ? -1 : this.f2044a.getItemId(i);
    }

    public int getItemViewType(int i) {
        return 0;
    }

    public View getView(int i, View view, ViewGroup viewGroup) {
        return getDropDownView(i, view, viewGroup);
    }

    public int getViewTypeCount() {
        return 1;
    }

    public boolean hasStableIds() {
        return this.f2044a != null && this.f2044a.hasStableIds();
    }

    public boolean isEmpty() {
        return getCount() == 0;
    }

    public boolean isEnabled(int i) {
        ListAdapter listAdapter = this.f2045b;
        return listAdapter != null ? listAdapter.isEnabled(i) : true;
    }

    public void registerDataSetObserver(DataSetObserver dataSetObserver) {
        if (this.f2044a != null) {
            this.f2044a.registerDataSetObserver(dataSetObserver);
        }
    }

    public void unregisterDataSetObserver(DataSetObserver dataSetObserver) {
        if (this.f2044a != null) {
            this.f2044a.unregisterDataSetObserver(dataSetObserver);
        }
    }
}
