package android.support.v7.widget;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.support.v4.view.C0217q;
import android.support.v4.view.bw;
import android.support.v7.internal.widget.ap;
import android.support.v7.internal.widget.av;
import android.support.v7.p019a.C0264l;
import android.util.AttributeSet;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import com.neatorobotics.android.C0729b;

public class bb extends ViewGroup {
    private boolean f1573a;
    private int f1574b;
    private int f1575c;
    private int f1576d;
    private int f1577e;
    private int f1578f;
    private float f1579g;
    private boolean f1580h;
    private int[] f1581i;
    private int[] f1582j;
    private Drawable f1583k;
    private int f1584l;
    private int f1585m;
    private int f1586n;
    private int f1587o;

    public bb(Context context) {
        this(context, null);
    }

    public bb(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public bb(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f1573a = true;
        this.f1574b = -1;
        this.f1575c = 0;
        this.f1577e = 8388659;
        ap a = ap.m3341a(context, attributeSet, C0264l.LinearLayoutCompat, i, 0);
        int a2 = a.m3344a(C0264l.LinearLayoutCompat_android_orientation, -1);
        if (a2 >= 0) {
            setOrientation(a2);
        }
        a2 = a.m3344a(C0264l.LinearLayoutCompat_android_gravity, -1);
        if (a2 >= 0) {
            setGravity(a2);
        }
        boolean a3 = a.m3346a(C0264l.LinearLayoutCompat_android_baselineAligned, true);
        if (!a3) {
            setBaselineAligned(a3);
        }
        this.f1579g = a.m3342a(C0264l.LinearLayoutCompat_android_weightSum, -1.0f);
        this.f1574b = a.m3344a(C0264l.LinearLayoutCompat_android_baselineAlignedChildIndex, -1);
        this.f1580h = a.m3346a(C0264l.LinearLayoutCompat_measureWithLargestChild, false);
        setDividerDrawable(a.m3345a(C0264l.LinearLayoutCompat_divider));
        this.f1586n = a.m3344a(C0264l.LinearLayoutCompat_showDividers, 0);
        this.f1587o = a.m3355e(C0264l.LinearLayoutCompat_dividerPadding, 0);
        a.m3349b();
    }

    private void m3245a(View view, int i, int i2, int i3, int i4) {
        view.layout(i, i2, i + i3, i2 + i4);
    }

    private void m3246c(int i, int i2) {
        int makeMeasureSpec = MeasureSpec.makeMeasureSpec(getMeasuredWidth(), 1073741824);
        for (int i3 = 0; i3 < i; i3++) {
            View b = m3258b(i3);
            if (b.getVisibility() != 8) {
                bc bcVar = (bc) b.getLayoutParams();
                if (bcVar.width == -1) {
                    int i4 = bcVar.height;
                    bcVar.height = b.getMeasuredHeight();
                    measureChildWithMargins(b, makeMeasureSpec, 0, i2, 0);
                    bcVar.height = i4;
                }
            }
        }
    }

    private void m3247d(int i, int i2) {
        int makeMeasureSpec = MeasureSpec.makeMeasureSpec(getMeasuredHeight(), 1073741824);
        for (int i3 = 0; i3 < i; i3++) {
            View b = m3258b(i3);
            if (b.getVisibility() != 8) {
                bc bcVar = (bc) b.getLayoutParams();
                if (bcVar.height == -1) {
                    int i4 = bcVar.width;
                    bcVar.width = b.getMeasuredWidth();
                    measureChildWithMargins(b, i2, 0, makeMeasureSpec, 0);
                    bcVar.width = i4;
                }
            }
        }
    }

    int m3248a(View view) {
        return 0;
    }

    int m3249a(View view, int i) {
        return 0;
    }

    void m3250a(int i, int i2) {
        int i3;
        int i4;
        View b;
        this.f1578f = 0;
        int i5 = 0;
        int i6 = 0;
        int i7 = 0;
        int i8 = 0;
        Object obj = 1;
        float f = 0.0f;
        int virtualChildCount = getVirtualChildCount();
        int mode = MeasureSpec.getMode(i);
        int mode2 = MeasureSpec.getMode(i2);
        Object obj2 = null;
        Object obj3 = null;
        int i9 = this.f1574b;
        boolean z = this.f1580h;
        int i10 = Integer.MIN_VALUE;
        int i11 = 0;
        while (i11 < virtualChildCount) {
            Object obj4;
            Object obj5;
            int i12;
            int i13;
            View b2 = m3258b(i11);
            if (b2 == null) {
                this.f1578f += m3264d(i11);
                i3 = i10;
                obj4 = obj3;
                obj5 = obj;
                i12 = i6;
                i13 = i5;
            } else if (b2.getVisibility() == 8) {
                i11 += m3249a(b2, i11);
                i3 = i10;
                obj4 = obj3;
                obj5 = obj;
                i12 = i6;
                i13 = i5;
            } else {
                if (m3263c(i11)) {
                    this.f1578f += this.f1585m;
                }
                bc bcVar = (bc) b2.getLayoutParams();
                float f2 = f + bcVar.f2154g;
                if (mode2 == 1073741824 && bcVar.height == 0 && bcVar.f2154g > 0.0f) {
                    i3 = this.f1578f;
                    this.f1578f = Math.max(i3, (bcVar.topMargin + i3) + bcVar.bottomMargin);
                    obj3 = 1;
                } else {
                    i3 = Integer.MIN_VALUE;
                    if (bcVar.height == 0 && bcVar.f2154g > 0.0f) {
                        i3 = 0;
                        bcVar.height = -2;
                    }
                    int i14 = i3;
                    m3254a(b2, i11, i, 0, i2, f2 == 0.0f ? this.f1578f : 0);
                    if (i14 != Integer.MIN_VALUE) {
                        bcVar.height = i14;
                    }
                    i3 = b2.getMeasuredHeight();
                    int i15 = this.f1578f;
                    this.f1578f = Math.max(i15, (((i15 + i3) + bcVar.topMargin) + bcVar.bottomMargin) + m3255b(b2));
                    if (z) {
                        i10 = Math.max(i3, i10);
                    }
                }
                if (i9 >= 0 && i9 == i11 + 1) {
                    this.f1575c = this.f1578f;
                }
                if (i11 >= i9 || bcVar.f2154g <= 0.0f) {
                    Object obj6;
                    Object obj7 = null;
                    if (mode == 1073741824 || bcVar.width != -1) {
                        obj6 = obj2;
                    } else {
                        obj6 = 1;
                        obj7 = 1;
                    }
                    i12 = bcVar.rightMargin + bcVar.leftMargin;
                    i13 = b2.getMeasuredWidth() + i12;
                    i5 = Math.max(i5, i13);
                    int a = av.m3440a(i6, bw.m1528l(b2));
                    obj5 = (obj == null || bcVar.width != -1) ? null : 1;
                    if (bcVar.f2154g > 0.0f) {
                        i3 = Math.max(i8, obj7 != null ? i12 : i13);
                        i12 = i7;
                    } else {
                        if (obj7 == null) {
                            i12 = i13;
                        }
                        i12 = Math.max(i7, i12);
                        i3 = i8;
                    }
                    i11 += m3249a(b2, i11);
                    obj4 = obj3;
                    i8 = i3;
                    i7 = i12;
                    i13 = i5;
                    i3 = i10;
                    i12 = a;
                    obj2 = obj6;
                    f = f2;
                } else {
                    throw new RuntimeException("A child of LinearLayout with index less than mBaselineAlignedChildIndex has weight > 0, which won't work.  Either remove the weight, or don't set mBaselineAlignedChildIndex.");
                }
            }
            i11++;
            i10 = i3;
            obj3 = obj4;
            obj = obj5;
            i6 = i12;
            i5 = i13;
        }
        if (this.f1578f > 0 && m3263c(virtualChildCount)) {
            this.f1578f += this.f1585m;
        }
        if (z && (mode2 == Integer.MIN_VALUE || mode2 == 0)) {
            this.f1578f = 0;
            i4 = 0;
            while (i4 < virtualChildCount) {
                b = m3258b(i4);
                if (b == null) {
                    this.f1578f += m3264d(i4);
                    i3 = i4;
                } else if (b.getVisibility() == 8) {
                    i3 = m3249a(b, i4) + i4;
                } else {
                    bc bcVar2 = (bc) b.getLayoutParams();
                    int i16 = this.f1578f;
                    this.f1578f = Math.max(i16, (bcVar2.bottomMargin + ((i16 + i10) + bcVar2.topMargin)) + m3255b(b));
                    i3 = i4;
                }
                i4 = i3 + 1;
            }
        }
        this.f1578f += getPaddingTop() + getPaddingBottom();
        int a2 = bw.m1494a(Math.max(this.f1578f, getSuggestedMinimumHeight()), i2, 0);
        i4 = (16777215 & a2) - this.f1578f;
        int i17;
        if (obj3 != null || (i4 != 0 && f > 0.0f)) {
            if (this.f1579g > 0.0f) {
                f = this.f1579g;
            }
            this.f1578f = 0;
            i10 = 0;
            float f3 = f;
            Object obj8 = obj;
            i17 = i7;
            i16 = i6;
            i8 = i5;
            i15 = i4;
            while (i10 < virtualChildCount) {
                View b3 = m3258b(i10);
                if (b3.getVisibility() == 8) {
                    i3 = i17;
                    i4 = i16;
                    i12 = i8;
                    obj5 = obj8;
                } else {
                    float f4;
                    float f5;
                    bcVar2 = (bc) b3.getLayoutParams();
                    float f6 = bcVar2.f2154g;
                    if (f6 > 0.0f) {
                        i4 = (int) ((((float) i15) * f6) / f3);
                        f3 -= f6;
                        i15 -= i4;
                        i12 = getChildMeasureSpec(i, ((getPaddingLeft() + getPaddingRight()) + bcVar2.leftMargin) + bcVar2.rightMargin, bcVar2.width);
                        if (bcVar2.height == 0 && mode2 == 1073741824) {
                            if (i4 <= 0) {
                                i4 = 0;
                            }
                            b3.measure(i12, MeasureSpec.makeMeasureSpec(i4, 1073741824));
                        } else {
                            i4 += b3.getMeasuredHeight();
                            if (i4 < 0) {
                                i4 = 0;
                            }
                            b3.measure(i12, MeasureSpec.makeMeasureSpec(i4, 1073741824));
                        }
                        f4 = f3;
                        i11 = i15;
                        i15 = av.m3440a(i16, bw.m1528l(b3) & -256);
                        f5 = f4;
                    } else {
                        f5 = f3;
                        i11 = i15;
                        i15 = i16;
                    }
                    i16 = bcVar2.leftMargin + bcVar2.rightMargin;
                    i12 = b3.getMeasuredWidth() + i16;
                    i8 = Math.max(i8, i12);
                    Object obj9 = (mode == 1073741824 || bcVar2.width != -1) ? null : 1;
                    if (obj9 == null) {
                        i16 = i12;
                    }
                    i12 = Math.max(i17, i16);
                    obj5 = (obj8 == null || bcVar2.width != -1) ? null : 1;
                    i13 = this.f1578f;
                    this.f1578f = Math.max(i13, (bcVar2.bottomMargin + ((b3.getMeasuredHeight() + i13) + bcVar2.topMargin)) + m3255b(b3));
                    i3 = i12;
                    i12 = i8;
                    f4 = f5;
                    i4 = i15;
                    i15 = i11;
                    f3 = f4;
                }
                i10++;
                i17 = i3;
                i8 = i12;
                obj8 = obj5;
                i16 = i4;
            }
            this.f1578f += getPaddingTop() + getPaddingBottom();
            obj = obj8;
            i3 = i17;
            i6 = i16;
            i4 = i8;
        } else {
            i17 = Math.max(i7, i8);
            if (z && mode2 != 1073741824) {
                for (i4 = 0; i4 < virtualChildCount; i4++) {
                    b = m3258b(i4);
                    if (!(b == null || b.getVisibility() == 8 || ((bc) b.getLayoutParams()).f2154g <= 0.0f)) {
                        b.measure(MeasureSpec.makeMeasureSpec(b.getMeasuredWidth(), 1073741824), MeasureSpec.makeMeasureSpec(i10, 1073741824));
                    }
                }
            }
            i3 = i17;
            i4 = i5;
        }
        if (obj != null || mode == 1073741824) {
            i3 = i4;
        }
        setMeasuredDimension(bw.m1494a(Math.max(i3 + (getPaddingLeft() + getPaddingRight()), getSuggestedMinimumWidth()), i, i6), a2);
        if (obj2 != null) {
            m3246c(virtualChildCount, i2);
        }
    }

    void m3251a(int i, int i2, int i3, int i4) {
        int paddingLeft = getPaddingLeft();
        int i5 = i3 - i;
        int paddingRight = i5 - getPaddingRight();
        int paddingRight2 = (i5 - paddingLeft) - getPaddingRight();
        int virtualChildCount = getVirtualChildCount();
        int i6 = this.f1577e & 8388615;
        switch (this.f1577e & 112) {
            case C0729b.Toolbar_titleMarginBottom /*16*/:
                i5 = getPaddingTop() + (((i4 - i2) - this.f1578f) / 2);
                break;
            case C0729b.Theme_listChoiceBackgroundIndicator /*80*/:
                i5 = ((getPaddingTop() + i4) - i2) - this.f1578f;
                break;
            default:
                i5 = getPaddingTop();
                break;
        }
        int i7 = 0;
        int i8 = i5;
        while (i7 < virtualChildCount) {
            View b = m3258b(i7);
            if (b == null) {
                i8 += m3264d(i7);
                i5 = i7;
            } else if (b.getVisibility() != 8) {
                int i9;
                int measuredWidth = b.getMeasuredWidth();
                int measuredHeight = b.getMeasuredHeight();
                bc bcVar = (bc) b.getLayoutParams();
                i5 = bcVar.f2155h;
                if (i5 < 0) {
                    i5 = i6;
                }
                switch (C0217q.m1968a(i5, bw.m1524h(this)) & 7) {
                    case C0729b.View_android_focusable /*1*/:
                        i9 = ((((paddingRight2 - measuredWidth) / 2) + paddingLeft) + bcVar.leftMargin) - bcVar.rightMargin;
                        break;
                    case C0729b.Toolbar_contentInsetStart /*5*/:
                        i9 = (paddingRight - measuredWidth) - bcVar.rightMargin;
                        break;
                    default:
                        i9 = paddingLeft + bcVar.leftMargin;
                        break;
                }
                int i10 = (m3263c(i7) ? this.f1585m + i8 : i8) + bcVar.topMargin;
                m3245a(b, i9, i10 + m3248a(b), measuredWidth, measuredHeight);
                i8 = i10 + ((bcVar.bottomMargin + measuredHeight) + m3255b(b));
                i5 = m3249a(b, i7) + i7;
            } else {
                i5 = i7;
            }
            i7 = i5 + 1;
        }
    }

    void m3252a(Canvas canvas) {
        int virtualChildCount = getVirtualChildCount();
        int i = 0;
        while (i < virtualChildCount) {
            View b = m3258b(i);
            if (!(b == null || b.getVisibility() == 8 || !m3263c(i))) {
                m3253a(canvas, (b.getTop() - ((bc) b.getLayoutParams()).topMargin) - this.f1585m);
            }
            i++;
        }
        if (m3263c(virtualChildCount)) {
            int height;
            View b2 = m3258b(virtualChildCount - 1);
            if (b2 == null) {
                height = (getHeight() - getPaddingBottom()) - this.f1585m;
            } else {
                bc bcVar = (bc) b2.getLayoutParams();
                height = bcVar.bottomMargin + b2.getBottom();
            }
            m3253a(canvas, height);
        }
    }

    void m3253a(Canvas canvas, int i) {
        this.f1583k.setBounds(getPaddingLeft() + this.f1587o, i, (getWidth() - getPaddingRight()) - this.f1587o, this.f1585m + i);
        this.f1583k.draw(canvas);
    }

    void m3254a(View view, int i, int i2, int i3, int i4, int i5) {
        measureChildWithMargins(view, i2, i3, i4, i5);
    }

    int m3255b(View view) {
        return 0;
    }

    public bc m3256b(AttributeSet attributeSet) {
        return new bc(getContext(), attributeSet);
    }

    protected bc m3257b(LayoutParams layoutParams) {
        return new bc(layoutParams);
    }

    View m3258b(int i) {
        return getChildAt(i);
    }

    void m3259b(int i, int i2) {
        int i3;
        int i4;
        int i5;
        bc bcVar;
        this.f1578f = 0;
        int i6 = 0;
        int i7 = 0;
        int i8 = 0;
        int i9 = 0;
        Object obj = 1;
        float f = 0.0f;
        int virtualChildCount = getVirtualChildCount();
        int mode = MeasureSpec.getMode(i);
        int mode2 = MeasureSpec.getMode(i2);
        Object obj2 = null;
        Object obj3 = null;
        if (this.f1581i == null || this.f1582j == null) {
            this.f1581i = new int[4];
            this.f1582j = new int[4];
        }
        int[] iArr = this.f1581i;
        int[] iArr2 = this.f1582j;
        iArr[3] = -1;
        iArr[2] = -1;
        iArr[1] = -1;
        iArr[0] = -1;
        iArr2[3] = -1;
        iArr2[2] = -1;
        iArr2[1] = -1;
        iArr2[0] = -1;
        boolean z = this.f1573a;
        boolean z2 = this.f1580h;
        Object obj4 = mode == 1073741824 ? 1 : null;
        int i10 = Integer.MIN_VALUE;
        int i11 = 0;
        while (i11 < virtualChildCount) {
            Object obj5;
            Object obj6;
            int i12;
            View b = m3258b(i11);
            if (b == null) {
                this.f1578f += m3264d(i11);
                i3 = i10;
                obj5 = obj3;
                obj6 = obj;
                i12 = i7;
                i4 = i6;
            } else if (b.getVisibility() == 8) {
                i11 += m3249a(b, i11);
                i3 = i10;
                obj5 = obj3;
                obj6 = obj;
                i12 = i7;
                i4 = i6;
            } else {
                Object obj7;
                if (m3263c(i11)) {
                    this.f1578f += this.f1584l;
                }
                bc bcVar2 = (bc) b.getLayoutParams();
                float f2 = f + bcVar2.f2154g;
                if (mode == 1073741824 && bcVar2.width == 0 && bcVar2.f2154g > 0.0f) {
                    if (obj4 != null) {
                        this.f1578f += bcVar2.leftMargin + bcVar2.rightMargin;
                    } else {
                        i3 = this.f1578f;
                        this.f1578f = Math.max(i3, (bcVar2.leftMargin + i3) + bcVar2.rightMargin);
                    }
                    if (z) {
                        i3 = MeasureSpec.makeMeasureSpec(0, 0);
                        b.measure(i3, i3);
                    } else {
                        obj3 = 1;
                    }
                } else {
                    i3 = Integer.MIN_VALUE;
                    if (bcVar2.width == 0 && bcVar2.f2154g > 0.0f) {
                        i3 = 0;
                        bcVar2.width = -2;
                    }
                    int i13 = i3;
                    m3254a(b, i11, i, f2 == 0.0f ? this.f1578f : 0, i2, 0);
                    if (i13 != Integer.MIN_VALUE) {
                        bcVar2.width = i13;
                    }
                    i3 = b.getMeasuredWidth();
                    if (obj4 != null) {
                        this.f1578f += ((bcVar2.leftMargin + i3) + bcVar2.rightMargin) + m3255b(b);
                    } else {
                        int i14 = this.f1578f;
                        this.f1578f = Math.max(i14, (((i14 + i3) + bcVar2.leftMargin) + bcVar2.rightMargin) + m3255b(b));
                    }
                    if (z2) {
                        i10 = Math.max(i3, i10);
                    }
                }
                Object obj8 = null;
                if (mode2 == 1073741824 || bcVar2.height != -1) {
                    obj7 = obj2;
                } else {
                    obj7 = 1;
                    obj8 = 1;
                }
                i12 = bcVar2.bottomMargin + bcVar2.topMargin;
                i4 = b.getMeasuredHeight() + i12;
                int a = av.m3440a(i7, bw.m1528l(b));
                if (z) {
                    i7 = b.getBaseline();
                    if (i7 != -1) {
                        int i15 = ((((bcVar2.f2155h < 0 ? this.f1577e : bcVar2.f2155h) & 112) >> 4) & -2) >> 1;
                        iArr[i15] = Math.max(iArr[i15], i7);
                        iArr2[i15] = Math.max(iArr2[i15], i4 - i7);
                    }
                }
                i7 = Math.max(i6, i4);
                obj6 = (obj == null || bcVar2.height != -1) ? null : 1;
                if (bcVar2.f2154g > 0.0f) {
                    i3 = Math.max(i9, obj8 != null ? i12 : i4);
                    i12 = i8;
                } else {
                    if (obj8 == null) {
                        i12 = i4;
                    }
                    i12 = Math.max(i8, i12);
                    i3 = i9;
                }
                i11 += m3249a(b, i11);
                obj5 = obj3;
                i9 = i3;
                i8 = i12;
                i4 = i7;
                i3 = i10;
                i12 = a;
                obj2 = obj7;
                f = f2;
            }
            i11++;
            i10 = i3;
            obj3 = obj5;
            obj = obj6;
            i7 = i12;
            i6 = i4;
        }
        if (this.f1578f > 0 && m3263c(virtualChildCount)) {
            this.f1578f += this.f1584l;
        }
        i11 = (iArr[1] == -1 && iArr[0] == -1 && iArr[2] == -1 && iArr[3] == -1) ? i6 : Math.max(i6, Math.max(iArr[3], Math.max(iArr[0], Math.max(iArr[1], iArr[2]))) + Math.max(iArr2[3], Math.max(iArr2[0], Math.max(iArr2[1], iArr2[2]))));
        if (z2 && (mode == Integer.MIN_VALUE || mode == 0)) {
            this.f1578f = 0;
            i5 = 0;
            while (i5 < virtualChildCount) {
                View b2 = m3258b(i5);
                if (b2 == null) {
                    this.f1578f += m3264d(i5);
                    i3 = i5;
                } else if (b2.getVisibility() == 8) {
                    i3 = m3249a(b2, i5) + i5;
                } else {
                    bcVar = (bc) b2.getLayoutParams();
                    if (obj4 != null) {
                        this.f1578f = ((bcVar.rightMargin + (bcVar.leftMargin + i10)) + m3255b(b2)) + this.f1578f;
                        i3 = i5;
                    } else {
                        i12 = this.f1578f;
                        this.f1578f = Math.max(i12, (bcVar.rightMargin + ((i12 + i10) + bcVar.leftMargin)) + m3255b(b2));
                        i3 = i5;
                    }
                }
                i5 = i3 + 1;
            }
        }
        this.f1578f += getPaddingLeft() + getPaddingRight();
        int a2 = bw.m1494a(Math.max(this.f1578f, getSuggestedMinimumWidth()), i, 0);
        i5 = (16777215 & a2) - this.f1578f;
        int i16;
        if (obj3 != null || (i5 != 0 && f > 0.0f)) {
            if (this.f1579g > 0.0f) {
                f = this.f1579g;
            }
            iArr[3] = -1;
            iArr[2] = -1;
            iArr[1] = -1;
            iArr[0] = -1;
            iArr2[3] = -1;
            iArr2[2] = -1;
            iArr2[1] = -1;
            iArr2[0] = -1;
            this.f1578f = 0;
            i10 = 0;
            float f3 = f;
            Object obj9 = obj;
            i16 = i8;
            i15 = i7;
            i14 = i5;
            i8 = -1;
            while (i10 < virtualChildCount) {
                float f4;
                Object obj10;
                View b3 = m3258b(i10);
                if (b3 == null) {
                    f4 = f3;
                    i5 = i14;
                    i12 = i8;
                    i14 = i16;
                    obj10 = obj9;
                } else if (b3.getVisibility() == 8) {
                    f4 = f3;
                    i5 = i14;
                    i12 = i8;
                    i14 = i16;
                    obj10 = obj9;
                } else {
                    float f5;
                    bcVar = (bc) b3.getLayoutParams();
                    float f6 = bcVar.f2154g;
                    if (f6 > 0.0f) {
                        i5 = (int) ((((float) i14) * f6) / f3);
                        f3 -= f6;
                        i12 = i14 - i5;
                        i14 = getChildMeasureSpec(i2, ((getPaddingTop() + getPaddingBottom()) + bcVar.topMargin) + bcVar.bottomMargin, bcVar.height);
                        if (bcVar.width == 0 && mode == 1073741824) {
                            if (i5 <= 0) {
                                i5 = 0;
                            }
                            b3.measure(MeasureSpec.makeMeasureSpec(i5, 1073741824), i14);
                        } else {
                            i5 += b3.getMeasuredWidth();
                            if (i5 < 0) {
                                i5 = 0;
                            }
                            b3.measure(MeasureSpec.makeMeasureSpec(i5, 1073741824), i14);
                        }
                        i9 = av.m3440a(i15, bw.m1528l(b3) & -16777216);
                        f5 = f3;
                    } else {
                        i12 = i14;
                        i9 = i15;
                        f5 = f3;
                    }
                    if (obj4 != null) {
                        this.f1578f += ((b3.getMeasuredWidth() + bcVar.leftMargin) + bcVar.rightMargin) + m3255b(b3);
                    } else {
                        i5 = this.f1578f;
                        this.f1578f = Math.max(i5, (((b3.getMeasuredWidth() + i5) + bcVar.leftMargin) + bcVar.rightMargin) + m3255b(b3));
                    }
                    obj5 = (mode2 == 1073741824 || bcVar.height != -1) ? null : 1;
                    i11 = bcVar.topMargin + bcVar.bottomMargin;
                    i14 = b3.getMeasuredHeight() + i11;
                    i8 = Math.max(i8, i14);
                    i11 = Math.max(i16, obj5 != null ? i11 : i14);
                    obj5 = (obj9 == null || bcVar.height != -1) ? null : 1;
                    if (z) {
                        i4 = b3.getBaseline();
                        if (i4 != -1) {
                            i3 = ((((bcVar.f2155h < 0 ? this.f1577e : bcVar.f2155h) & 112) >> 4) & -2) >> 1;
                            iArr[i3] = Math.max(iArr[i3], i4);
                            iArr2[i3] = Math.max(iArr2[i3], i14 - i4);
                        }
                    }
                    f4 = f5;
                    i14 = i11;
                    obj10 = obj5;
                    i15 = i9;
                    i5 = i12;
                    i12 = i8;
                }
                i10++;
                i16 = i14;
                i8 = i12;
                obj9 = obj10;
                i14 = i5;
                f3 = f4;
            }
            this.f1578f += getPaddingLeft() + getPaddingRight();
            if (!(iArr[1] == -1 && iArr[0] == -1 && iArr[2] == -1 && iArr[3] == -1)) {
                i8 = Math.max(i8, Math.max(iArr[3], Math.max(iArr[0], Math.max(iArr[1], iArr[2]))) + Math.max(iArr2[3], Math.max(iArr2[0], Math.max(iArr2[1], iArr2[2]))));
            }
            obj = obj9;
            i3 = i16;
            i7 = i15;
            i5 = i8;
        } else {
            i16 = Math.max(i8, i9);
            if (z2 && mode != 1073741824) {
                for (i5 = 0; i5 < virtualChildCount; i5++) {
                    View b4 = m3258b(i5);
                    if (!(b4 == null || b4.getVisibility() == 8 || ((bc) b4.getLayoutParams()).f2154g <= 0.0f)) {
                        b4.measure(MeasureSpec.makeMeasureSpec(i10, 1073741824), MeasureSpec.makeMeasureSpec(b4.getMeasuredHeight(), 1073741824));
                    }
                }
            }
            i3 = i16;
            i5 = i11;
        }
        if (obj != null || mode2 == 1073741824) {
            i3 = i5;
        }
        setMeasuredDimension((-16777216 & i7) | a2, bw.m1494a(Math.max(i3 + (getPaddingTop() + getPaddingBottom()), getSuggestedMinimumHeight()), i2, i7 << 16));
        if (obj2 != null) {
            m3247d(virtualChildCount, i);
        }
    }

    void m3260b(int i, int i2, int i3, int i4) {
        int paddingLeft;
        int i5;
        int i6;
        boolean a = av.m3442a(this);
        int paddingTop = getPaddingTop();
        int i7 = i4 - i2;
        int paddingBottom = i7 - getPaddingBottom();
        int paddingBottom2 = (i7 - paddingTop) - getPaddingBottom();
        int virtualChildCount = getVirtualChildCount();
        i7 = this.f1577e & 8388615;
        int i8 = this.f1577e & 112;
        boolean z = this.f1573a;
        int[] iArr = this.f1581i;
        int[] iArr2 = this.f1582j;
        switch (C0217q.m1968a(i7, bw.m1524h(this))) {
            case C0729b.View_android_focusable /*1*/:
                paddingLeft = getPaddingLeft() + (((i3 - i) - this.f1578f) / 2);
                break;
            case C0729b.Toolbar_contentInsetStart /*5*/:
                paddingLeft = ((getPaddingLeft() + i3) - i) - this.f1578f;
                break;
            default:
                paddingLeft = getPaddingLeft();
                break;
        }
        if (a) {
            i5 = -1;
            i6 = virtualChildCount - 1;
        } else {
            i5 = 1;
            i6 = 0;
        }
        int i9 = 0;
        while (i9 < virtualChildCount) {
            int i10 = i6 + (i5 * i9);
            View b = m3258b(i10);
            if (b == null) {
                paddingLeft += m3264d(i10);
                i7 = i9;
            } else if (b.getVisibility() != 8) {
                int i11;
                int measuredWidth = b.getMeasuredWidth();
                int measuredHeight = b.getMeasuredHeight();
                bc bcVar = (bc) b.getLayoutParams();
                i7 = (!z || bcVar.height == -1) ? -1 : b.getBaseline();
                int i12 = bcVar.f2155h;
                if (i12 < 0) {
                    i12 = i8;
                }
                switch (i12 & 112) {
                    case C0729b.Toolbar_titleMarginBottom /*16*/:
                        i11 = ((((paddingBottom2 - measuredHeight) / 2) + paddingTop) + bcVar.topMargin) - bcVar.bottomMargin;
                        break;
                    case C0729b.Theme_homeAsUpIndicator /*48*/:
                        i11 = paddingTop + bcVar.topMargin;
                        if (i7 != -1) {
                            i11 += iArr[1] - i7;
                            break;
                        }
                        break;
                    case C0729b.Theme_listChoiceBackgroundIndicator /*80*/:
                        i11 = (paddingBottom - measuredHeight) - bcVar.bottomMargin;
                        if (i7 != -1) {
                            i11 -= iArr2[2] - (b.getMeasuredHeight() - i7);
                            break;
                        }
                        break;
                    default:
                        i11 = paddingTop;
                        break;
                }
                paddingLeft = (m3263c(i10) ? this.f1584l + paddingLeft : paddingLeft) + bcVar.leftMargin;
                m3245a(b, paddingLeft + m3248a(b), i11, measuredWidth, measuredHeight);
                paddingLeft += (bcVar.rightMargin + measuredWidth) + m3255b(b);
                i7 = m3249a(b, i10) + i9;
            } else {
                i7 = i9;
            }
            i9 = i7 + 1;
        }
    }

    void m3261b(Canvas canvas) {
        int virtualChildCount = getVirtualChildCount();
        boolean a = av.m3442a(this);
        int i = 0;
        while (i < virtualChildCount) {
            View b = m3258b(i);
            if (!(b == null || b.getVisibility() == 8 || !m3263c(i))) {
                bc bcVar = (bc) b.getLayoutParams();
                m3262b(canvas, a ? bcVar.rightMargin + b.getRight() : (b.getLeft() - bcVar.leftMargin) - this.f1584l);
            }
            i++;
        }
        if (m3263c(virtualChildCount)) {
            int paddingLeft;
            View b2 = m3258b(virtualChildCount - 1);
            if (b2 == null) {
                paddingLeft = a ? getPaddingLeft() : (getWidth() - getPaddingRight()) - this.f1584l;
            } else {
                bcVar = (bc) b2.getLayoutParams();
                paddingLeft = a ? (b2.getLeft() - bcVar.leftMargin) - this.f1584l : bcVar.rightMargin + b2.getRight();
            }
            m3262b(canvas, paddingLeft);
        }
    }

    void m3262b(Canvas canvas, int i) {
        this.f1583k.setBounds(i, getPaddingTop() + this.f1587o, this.f1584l + i, (getHeight() - getPaddingBottom()) - this.f1587o);
        this.f1583k.draw(canvas);
    }

    protected boolean m3263c(int i) {
        if (i == 0) {
            return (this.f1586n & 1) != 0;
        } else {
            if (i == getChildCount()) {
                return (this.f1586n & 4) != 0;
            } else {
                if ((this.f1586n & 2) == 0) {
                    return false;
                }
                for (int i2 = i - 1; i2 >= 0; i2--) {
                    if (getChildAt(i2).getVisibility() != 8) {
                        return true;
                    }
                }
                return false;
            }
        }
    }

    protected boolean checkLayoutParams(LayoutParams layoutParams) {
        return layoutParams instanceof bc;
    }

    int m3264d(int i) {
        return 0;
    }

    protected /* synthetic */ LayoutParams generateDefaultLayoutParams() {
        return m3265j();
    }

    public /* synthetic */ LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return m3256b(attributeSet);
    }

    protected /* synthetic */ LayoutParams generateLayoutParams(LayoutParams layoutParams) {
        return m3257b(layoutParams);
    }

    public int getBaseline() {
        if (this.f1574b < 0) {
            return super.getBaseline();
        }
        if (getChildCount() <= this.f1574b) {
            throw new RuntimeException("mBaselineAlignedChildIndex of LinearLayout set to an index that is out of bounds.");
        }
        View childAt = getChildAt(this.f1574b);
        int baseline = childAt.getBaseline();
        if (baseline != -1) {
            int i;
            int i2 = this.f1575c;
            if (this.f1576d == 1) {
                i = this.f1577e & 112;
                if (i != 48) {
                    switch (i) {
                        case C0729b.Toolbar_titleMarginBottom /*16*/:
                            i = i2 + (((((getBottom() - getTop()) - getPaddingTop()) - getPaddingBottom()) - this.f1578f) / 2);
                            break;
                        case C0729b.Theme_listChoiceBackgroundIndicator /*80*/:
                            i = ((getBottom() - getTop()) - getPaddingBottom()) - this.f1578f;
                            break;
                    }
                }
            }
            i = i2;
            return (((bc) childAt.getLayoutParams()).topMargin + i) + baseline;
        } else if (this.f1574b == 0) {
            return -1;
        } else {
            throw new RuntimeException("mBaselineAlignedChildIndex of LinearLayout points to a View that doesn't know how to get its baseline.");
        }
    }

    public int getBaselineAlignedChildIndex() {
        return this.f1574b;
    }

    public Drawable getDividerDrawable() {
        return this.f1583k;
    }

    public int getDividerPadding() {
        return this.f1587o;
    }

    public int getDividerWidth() {
        return this.f1584l;
    }

    public int getOrientation() {
        return this.f1576d;
    }

    public int getShowDividers() {
        return this.f1586n;
    }

    int getVirtualChildCount() {
        return getChildCount();
    }

    public float getWeightSum() {
        return this.f1579g;
    }

    protected bc m3265j() {
        return this.f1576d == 0 ? new bc(-2, -2) : this.f1576d == 1 ? new bc(-1, -2) : null;
    }

    protected void onDraw(Canvas canvas) {
        if (this.f1583k != null) {
            if (this.f1576d == 1) {
                m3252a(canvas);
            } else {
                m3261b(canvas);
            }
        }
    }

    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        if (VERSION.SDK_INT >= 14) {
            super.onInitializeAccessibilityEvent(accessibilityEvent);
            accessibilityEvent.setClassName(bb.class.getName());
        }
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        if (VERSION.SDK_INT >= 14) {
            super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
            accessibilityNodeInfo.setClassName(bb.class.getName());
        }
    }

    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        if (this.f1576d == 1) {
            m3251a(i, i2, i3, i4);
        } else {
            m3260b(i, i2, i3, i4);
        }
    }

    protected void onMeasure(int i, int i2) {
        if (this.f1576d == 1) {
            m3250a(i, i2);
        } else {
            m3259b(i, i2);
        }
    }

    public void setBaselineAligned(boolean z) {
        this.f1573a = z;
    }

    public void setBaselineAlignedChildIndex(int i) {
        if (i < 0 || i >= getChildCount()) {
            throw new IllegalArgumentException("base aligned child index out of range (0, " + getChildCount() + ")");
        }
        this.f1574b = i;
    }

    public void setDividerDrawable(Drawable drawable) {
        boolean z = false;
        if (drawable != this.f1583k) {
            this.f1583k = drawable;
            if (drawable != null) {
                this.f1584l = drawable.getIntrinsicWidth();
                this.f1585m = drawable.getIntrinsicHeight();
            } else {
                this.f1584l = 0;
                this.f1585m = 0;
            }
            if (drawable == null) {
                z = true;
            }
            setWillNotDraw(z);
            requestLayout();
        }
    }

    public void setDividerPadding(int i) {
        this.f1587o = i;
    }

    public void setGravity(int i) {
        if (this.f1577e != i) {
            int i2 = (8388615 & i) == 0 ? 8388611 | i : i;
            if ((i2 & 112) == 0) {
                i2 |= 48;
            }
            this.f1577e = i2;
            requestLayout();
        }
    }

    public void setHorizontalGravity(int i) {
        int i2 = i & 8388615;
        if ((this.f1577e & 8388615) != i2) {
            this.f1577e = i2 | (this.f1577e & -8388616);
            requestLayout();
        }
    }

    public void setMeasureWithLargestChildEnabled(boolean z) {
        this.f1580h = z;
    }

    public void setOrientation(int i) {
        if (this.f1576d != i) {
            this.f1576d = i;
            requestLayout();
        }
    }

    public void setShowDividers(int i) {
        if (i != this.f1586n) {
            requestLayout();
        }
        this.f1586n = i;
    }

    public void setVerticalGravity(int i) {
        int i2 = i & 112;
        if ((this.f1577e & 112) != i2) {
            this.f1577e = i2 | (this.f1577e & -113);
            requestLayout();
        }
    }

    public void setWeightSum(float f) {
        this.f1579g = Math.max(0.0f, f);
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }
}
