package com.neatorobotics.android.activities.activation;

import android.content.SharedPreferences;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v7.app.ab;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.view.View.OnFocusChangeListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p032e.p033a.C0733a;
import com.neatorobotics.android.p032e.p042j.C0746c;
import com.neatorobotics.android.p043f.C0758a;
import com.neatorobotics.android.utils.C0767d;
import java.net.URL;
import org.json.JSONObject;

public class RobotActivationActivity extends C0539a implements OnFocusChangeListener {
    protected C0551j f2880i;
    protected C0550i f2881j;
    Toolbar f2882k;
    LinearLayout f2883l;
    LinearLayout f2884m;
    Button f2885n;
    protected C0758a f2886o;
    int f2887p;
    int f2888q;
    private SharedPreferences f2889r;
    private EditText f2890s;
    private EditText f2891t;

    private void m5388m() {
        m5389k();
    }

    protected void m5389k() {
        if (!this.f2890s.getText().toString().trim().equalsIgnoreCase("")) {
            this.f2885n.setEnabled(true);
        } else {
            this.f2885n.setEnabled(false);
        }
    }

    public void m5390l() {
        boolean z = false;
        if (this.f2891t.getText() == null || this.f2891t.getText().toString() == null || this.f2891t.getText().toString().trim().equalsIgnoreCase("")) {
            this.f2891t.setText("");
            z = true;
        } else if (this.f2891t.getText().toString().length() > 20) {
            this.f2891t.setTextColor(-65536);
            this.f2891t.setHintTextColor(-65536);
            ab a = C0733a.m5780a(this);
            a.m2640a((int) R.string.robot_name_is_too_long);
            a.m2648a(false);
            a.m2650b((int) R.string.robot_name_is_too_long_message);
            a.m2641a((int) R.string.tryagain, new C0545e(this));
            this.at = a.m2649b();
            this.at.show();
            C0733a.m5782a(getApplicationContext(), this.at);
        } else {
            z = true;
        }
        if (z) {
            try {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("name", this.f2891t.getText());
                C0549h a2 = this.f2881j.m5401a();
                a2.m5399a(jSONObject);
                a2.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5818b() + "/robots/" + this.f2886o.f3538a)});
            } catch (Exception e) {
                C0767d.m5867a("RobotActivationActivity", "Exception", e);
            } catch (Exception e2) {
                C0767d.m5867a("RobotActivationActivity", "Exception", e2);
            }
        }
    }

    public void okSubmit(View view) {
        Object obj = 1;
        if (this.f2890s.getText() == null || this.f2890s.getText().toString() == null || this.f2890s.getText().toString().trim().equalsIgnoreCase("")) {
            this.f2890s.setTextColor(-65536);
            this.f2890s.setHintTextColor(-65536);
            obj = null;
        }
        if (obj != null) {
            try {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("link_code", this.f2890s.getText());
                C0547f a = this.f2880i.m5402a();
                a.m5395a(jSONObject);
                a.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5818b() + "/links")});
            } catch (Exception e) {
                C0767d.m5867a("RobotActivationActivity", "Exception", e);
            } catch (Exception e2) {
                C0767d.m5867a("RobotActivationActivity", "Exception", e2);
            }
        }
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_robot_activation);
        this.f2889r = getApplicationContext().getSharedPreferences("RobotActivationActivity", 0);
        this.f2890s = (EditText) findViewById(R.id.link_code_field);
        this.f2890s.setOnFocusChangeListener(this);
        this.f2890s.addTextChangedListener(new C0541a(this));
        this.f2887p = this.f2890s.getTextColors().getDefaultColor();
        this.f2888q = this.f2890s.getCurrentHintTextColor();
        this.f2891t = (EditText) findViewById(R.id.robot_name_field);
        this.f2891t.setOnFocusChangeListener(this);
        this.f2891t.addTextChangedListener(new C0542b(this));
        this.f2883l = (LinearLayout) findViewById(R.id.link_code_container);
        this.f2884m = (LinearLayout) findViewById(R.id.rename_robot_container);
        this.f2885n = (Button) findViewById(R.id.link_btn);
        this.f2882k = (Toolbar) findViewById(R.id.toolbar);
        this.f2882k.setNavigationIcon((int) R.drawable.close);
        ((TextView) this.f2882k.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_robot_activation));
        this.f2882k.setNavigationOnClickListener(new C0543c(this));
        this.f2882k.setOnMenuItemClickListener(new C0544d(this));
        this.f2882k.m4004a((int) R.menu.menu_robot_activation);
        this.f2882k.getMenu().findItem(R.id.action_check).setVisible(false);
        this.f2880i = new C0551j(this);
        this.f2881j = new C0550i(this);
        if (bundle != null) {
            m5388m();
        }
    }

    public void onFocusChange(View view, boolean z) {
        if (z && (view instanceof EditText)) {
            ((EditText) view).setTextColor(this.f2887p);
            ((EditText) view).setHintTextColor(this.f2888q);
        }
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
    }

    protected void onStop() {
        super.onStop();
    }
}
