package com.neatorobotics.android.activities.cleaning;

import android.os.Bundle;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p032e.p040h.C0742a;

public class CleaningSettingsActivity extends C0539a {
    protected String f2906i;
    private String f2907j;
    private String f2908k;
    private String f2909l;
    private Button f2910m;
    private Button f2911n;
    private Button f2912o;
    private Button f2913p;
    private Button f2914q;
    private Button f2915r;
    private TextView f2916s;
    private TextView f2917t;
    private boolean f2918u;

    public CleaningSettingsActivity() {
        this.f2907j = "TURBO";
        this.f2908k = "AREA_LARGE";
        this.f2909l = "FREQUENCY_DOUBLE";
        this.f2906i = "HOUSE_CLEAN";
        this.f2918u = false;
    }

    private void m5403A() {
        this.f2914q.setEnabled(true);
        this.f2915r.setEnabled(false);
    }

    private void m5404B() {
        this.f2914q.setEnabled(false);
        this.f2915r.setEnabled(true);
    }

    private void m5405k() {
        m5416a(null);
    }

    private void m5406l() {
        this.f2910m.setEnabled(false);
        this.f2911n.setEnabled(true);
    }

    private void m5407m() {
        this.f2910m.setEnabled(true);
        this.f2911n.setEnabled(false);
    }

    private void m5408n() {
        this.f2910m.setEnabled(true);
        this.f2911n.setEnabled(false);
    }

    private void m5409t() {
        this.f2910m.setEnabled(false);
        this.f2911n.setEnabled(true);
    }

    private void m5410u() {
        this.f2912o.setEnabled(false);
        this.f2913p.setEnabled(true);
    }

    private void m5411v() {
        this.f2912o.setEnabled(true);
        this.f2913p.setEnabled(false);
    }

    private void m5412w() {
        this.f2912o.setEnabled(true);
        this.f2913p.setEnabled(false);
    }

    private void m5413x() {
        this.f2912o.setEnabled(false);
        this.f2913p.setEnabled(true);
    }

    private void m5414y() {
        this.f2914q.setEnabled(false);
        this.f2915r.setEnabled(true);
    }

    private void m5415z() {
        this.f2914q.setEnabled(true);
        this.f2915r.setEnabled(false);
    }

    protected void m5416a(String str) {
        this.f2907j = C0742a.m5810b(getApplicationContext(), "CLEANING_MODE", "TURBO");
        this.f2908k = C0742a.m5810b(getApplicationContext(), "SPOT_CLEANING_MODE_AREA_SIZE", "AREA_LARGE");
        this.f2909l = C0742a.m5810b(getApplicationContext(), "SPOT_CLEANING_MODE_FREQUENCY", "FREQUENCY_DOUBLE");
        if (str == null) {
            this.f2906i = C0742a.m5810b(getApplicationContext(), "CLEANING_MODALITY", "HOUSE_CLEAN");
        } else {
            this.f2906i = str;
        }
        if (this.f2907j.equals("TURBO")) {
            m5407m();
            m5408n();
        } else if (this.f2907j.equals("ECO")) {
            m5406l();
            m5409t();
        }
        if (this.f2908k.equals("AREA_SMALL")) {
            m5410u();
            m5413x();
        } else if (this.f2908k.equals("AREA_LARGE")) {
            m5411v();
            m5412w();
        }
        if (this.f2909l.equals("FREQUENCY_NORMAL")) {
            m5414y();
            m5404B();
        } else if (this.f2909l.equals("FREQUENCY_DOUBLE")) {
            m5415z();
            m5403A();
        }
        if (this.f2906i.equalsIgnoreCase("HOUSE_CLEAN") || this.f2906i.equalsIgnoreCase("MANUAL_CLEAN")) {
            this.f2918u = false;
            findViewById(R.id.spotOptionsMask).setVisibility(8);
            findViewById(R.id.spotOptionsMask).setClickable(true);
            findViewById(R.id.spotOptionsMask).setEnabled(false);
            return;
        }
        this.f2918u = true;
        findViewById(R.id.spotOptionsMask).setVisibility(0);
        findViewById(R.id.spotOptionsMask).setClickable(false);
        findViewById(R.id.spotOptionsMask).setEnabled(true);
    }

    public void ecoClick(View view) {
        m5406l();
        m5409t();
        this.f2907j = "ECO";
        C0742a.m5806a(getApplicationContext(), "CLEANING_MODE", this.f2907j);
    }

    public void frequencyDoubleClick(View view) {
        if (this.f2918u) {
            m5415z();
            m5403A();
            this.f2909l = "FREQUENCY_DOUBLE";
            C0742a.m5806a(getApplicationContext(), "SPOT_CLEANING_MODE_FREQUENCY", this.f2909l);
        }
    }

    public void frequencyNormalClick(View view) {
        if (this.f2918u) {
            m5414y();
            m5404B();
            this.f2909l = "FREQUENCY_NORMAL";
            C0742a.m5806a(getApplicationContext(), "SPOT_CLEANING_MODE_FREQUENCY", this.f2909l);
        }
    }

    public void largeAreaClick(View view) {
        if (this.f2918u) {
            m5411v();
            m5412w();
            this.f2908k = "AREA_LARGE";
            C0742a.m5806a(getApplicationContext(), "SPOT_CLEANING_MODE_AREA_SIZE", this.f2908k);
        }
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_cleaning_settings);
        this.f2916s = (TextView) findViewById(R.id.cleaningAreaText);
        this.f2917t = (TextView) findViewById(R.id.cleaningFrequencyText);
        this.f2910m = (Button) findViewById(R.id.modeEcoBtn);
        this.f2911n = (Button) findViewById(R.id.modeTurboBtn);
        this.f2912o = (Button) findViewById(R.id.smallAreaBtn);
        this.f2913p = (Button) findViewById(R.id.largeAreaBtn);
        this.f2914q = (Button) findViewById(R.id.frequencyNormalBtn);
        this.f2915r = (Button) findViewById(R.id.frequencyDoubleBtn);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        toolbar.setNavigationIcon((int) R.drawable.back);
        ((TextView) toolbar.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_cleaning_settings));
        toolbar.setNavigationOnClickListener(new C0554a(this));
        m5405k();
    }

    public void smallAreaClick(View view) {
        if (this.f2918u) {
            m5410u();
            m5413x();
            this.f2908k = "AREA_SMALL";
            C0742a.m5806a(getApplicationContext(), "SPOT_CLEANING_MODE_AREA_SIZE", this.f2908k);
        }
    }

    public void turboClick(View view) {
        m5407m();
        m5408n();
        this.f2907j = "TURBO";
        C0742a.m5806a(getApplicationContext(), "CLEANING_MODE", this.f2907j);
    }
}
