package com.neatorobotics.android.activities.easywifi;

import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.support.v7.widget.Toolbar;
import android.support.v7.widget.ao;
import android.support.v7.widget.ci;
import android.support.v7.widget.co;
import android.widget.EditText;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.activities.home.HomeActivity;
import com.neatorobotics.android.p028a.C0535a;
import com.neatorobotics.android.p028a.C0537c;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.utils.C0767d;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;

@C0535a
@C0537c
public class EasyWifiChooseWifiActivity extends C0539a {
    Toolbar f2929i;
    protected RecyclerView f2930j;
    List f2931k;
    protected C0566j f2932l;
    C0565i f2933m;
    private SharedPreferences f2934n;
    private final String f2935o;
    private EditText f2936p;
    private C0567k f2937q;
    private co f2938r;

    public EasyWifiChooseWifiActivity() {
        this.f2935o = "SSID";
        this.f2931k = new ArrayList();
    }

    private void m5426a(String str) {
        Intent intent = new Intent(getApplicationContext(), EasyWifiEnterWifiPasswordActivity.class);
        intent.setFlags(536870912);
        intent.putExtra("SSID", str);
        startActivity(intent);
    }

    private void m5428k() {
        this.f2936p.setText(this.f2934n.getString("SSID", ""));
    }

    public void onBackPressed() {
        Intent intent = new Intent(this, HomeActivity.class);
        intent.setFlags(67108864);
        startActivity(intent);
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_easy_wifi_choosewifi);
        this.f2934n = getApplicationContext().getSharedPreferences("EasyWifiChooseWifiActivity", 0);
        this.f2932l = new C0566j(this);
        this.f2930j = (RecyclerView) findViewById(R.id.wifi_recycler_view);
        this.f2930j.setHasFixedSize(true);
        ci aoVar = new ao();
        aoVar.m4116a(false);
        this.f2930j.setItemAnimator(aoVar);
        this.f2938r = new LinearLayoutManager(this);
        this.f2930j.setLayoutManager(this.f2938r);
        this.f2937q = new C0567k(this);
        this.f2930j.setAdapter(this.f2937q);
        this.f2929i = (Toolbar) findViewById(R.id.toolbar);
        this.f2929i.setNavigationIcon((int) R.drawable.close);
        ((TextView) this.f2929i.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_setup_robot));
        this.f2929i.setNavigationOnClickListener(new C0563g(this));
        this.f2936p = (EditText) findViewById(R.id.manualSSID);
        this.f2936p.setOnEditorActionListener(new C0564h(this));
        if (bundle != null) {
            m5428k();
        }
        try {
            this.f2933m = this.f2932l.m5460a();
            URL url = new URL(getString(R.string.easy_wifi_robot_endpoint) + "/wifis");
            this.f2933m.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{url});
        } catch (Exception e) {
            C0767d.m5867a("EasyWifiChooseWifiActivity", "Exception", e);
        }
    }

    protected void onDestroy() {
        super.onDestroy();
    }

    protected void onResume() {
        super.onResume();
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.f2934n.edit();
        edit.putString("SSID", this.f2936p.getText().toString());
        edit.commit();
    }

    protected void onStop() {
        super.onStop();
    }
}
