package com.neatorobotics.android.activities.home;

import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v4.app.al;
import android.support.v4.widget.DrawerLayout;
import android.support.v7.app.C0276e;
import android.support.v7.app.ab;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.activities.information.EULAActivity;
import com.neatorobotics.android.activities.information.PrivacyPolicyActivity;
import com.neatorobotics.android.activities.information.TermOfServiceActivity;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p032e.p033a.C0733a;
import com.neatorobotics.android.p032e.p042j.C0746c;
import com.neatorobotics.android.utils.C0767d;
import java.net.URL;
import java.util.ArrayList;
import java.util.HashMap;

public class HomeActivity extends C0539a {
    protected C0610z f3022i;
    Toolbar f3023j;
    public Fragment f3024k;
    private SharedPreferences f3025l;
    private final String f3026m;
    private final String f3027n;
    private final String f3028o;
    private final String f3029p;
    private String f3030q;
    private DrawerLayout f3031r;
    private C0276e f3032s;
    private RelativeLayout f3033t;
    private FrameLayout f3034u;
    private RelativeLayout f3035v;
    private RelativeLayout f3036w;
    private RelativeLayout f3037x;
    private RelativeLayout f3038y;

    public HomeActivity() {
        this.f3026m = "FRAGMENT_DASHBOARD";
        this.f3027n = "FRAGMENT_USER_SETTINGS";
        this.f3028o = "FRAGMENT_LEGAL";
        this.f3029p = "CURRENT_FRAGMENT_KEY";
        this.f3030q = "FRAGMENT_DASHBOARD";
    }

    private void m5476a(Bundle bundle) {
        if (bundle != null) {
            CharSequence string = bundle.getString("PUSH_MESSAGES");
            if (string != null) {
                ab a = C0733a.m5780a(this);
                a.m2640a((int) R.string.notification);
                a.m2648a(false);
                a.m2653b(string);
                a.m2641a((int) R.string.ok, new C0602r(this));
                this.at = a.m2649b();
                this.at.show();
                C0733a.m5782a(getApplicationContext(), this.at);
            }
        }
    }

    private void m5480k() {
        String string = this.f3025l.getString("CURRENT_FRAGMENT_KEY", "FRAGMENT_DASHBOARD");
        if ("FRAGMENT_LEGAL".equalsIgnoreCase(string)) {
            legalClick(null);
        } else if ("FRAGMENT_USER_SETTINGS".equalsIgnoreCase(string)) {
            settingsClick(null);
        } else {
            myRobotsClick(null);
        }
    }

    private void m5481l() {
        try {
            this.f3022i.m5538a().executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5818b() + "/sessions/logout")});
        } catch (Exception e) {
            C0767d.m5867a("HomeActivity", "Exception", e);
        }
    }

    private void m5482m() {
        if ("FRAGMENT_LEGAL".equalsIgnoreCase(this.f3030q)) {
            this.f3036w.setSelected(false);
            this.f3037x.setSelected(false);
            this.f3038y.setSelected(true);
        } else if ("FRAGMENT_USER_SETTINGS".equalsIgnoreCase(this.f3030q)) {
            this.f3036w.setSelected(false);
            this.f3037x.setSelected(true);
            this.f3038y.setSelected(false);
        } else {
            this.f3036w.setSelected(true);
            this.f3037x.setSelected(false);
            this.f3038y.setSelected(false);
        }
    }

    public void eulaClick(View view) {
        Intent intent = new Intent(this, EULAActivity.class);
        intent.setFlags(536870912);
        startActivity(intent);
    }

    public void hamburgherClick(View view) {
        if (this.f3031r.m2023f(3)) {
            this.f3031r.m2022e(3);
        } else {
            this.f3031r.m2020d(3);
        }
    }

    public void legalClick(View view) {
        m5367r();
        Fragment aaVar = new aa();
        al a = m643f().m314a();
        a.m398a((int) R.id.fragmentContainer, aaVar);
        a.m397a();
        ((TextView) this.f3023j.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_legal));
        if (this.f3031r.m2023f(3)) {
            this.f3031r.m2022e(3);
        }
        this.f3030q = "FRAGMENT_LEGAL";
        m5482m();
    }

    public void myRobotsClick(View view) {
        m5367r();
        this.f3024k = new C0585a();
        al a = m643f().m314a();
        a.m398a((int) R.id.fragmentContainer, this.f3024k);
        a.m397a();
        ((TextView) this.f3023j.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_add_robot));
        if (this.f3031r.m2023f(3)) {
            this.f3031r.m2022e(3);
        }
        this.f3030q = "FRAGMENT_DASHBOARD";
        m5482m();
    }

    public void onBackPressed() {
        if ("FRAGMENT_LEGAL".equalsIgnoreCase(this.f3030q)) {
            myRobotsClick(null);
        } else if ("FRAGMENT_USER_SETTINGS".equalsIgnoreCase(this.f3030q)) {
            myRobotsClick(null);
        } else {
            super.onBackPressed();
        }
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_home);
        this.f3025l = getApplicationContext().getSharedPreferences("HomeActivity", 0);
        this.f3022i = new C0610z(this);
        this.f3033t = (RelativeLayout) findViewById(R.id.menuLogout);
        this.f3033t.setOnClickListener(new C0603s(this));
        this.f3023j = (Toolbar) findViewById(R.id.toolbar);
        this.f3023j.setNavigationIcon((int) R.drawable.hamburger);
        ((TextView) this.f3023j.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_add_robot));
        this.f3023j.setNavigationOnClickListener(new C0606v(this));
        this.f3023j.setOnMenuItemClickListener(new C0607w(this));
        this.f3036w = (RelativeLayout) findViewById(R.id.menuMyRobots);
        this.f3037x = (RelativeLayout) findViewById(R.id.menuUserSettings);
        this.f3038y = (RelativeLayout) findViewById(R.id.menuLegal);
        this.f3031r = (DrawerLayout) findViewById(R.id.drawer_layout);
        this.f3034u = (FrameLayout) findViewById(R.id.frameMain);
        this.f3035v = (RelativeLayout) findViewById(R.id.left_drawer);
        this.f3032s = new C0608x(this, this, this.f3031r, R.string.my_robots, R.string.my_robots);
        this.f3031r.setDrawerListener(this.f3032s);
        if (bundle != null) {
            m5480k();
        } else {
            myRobotsClick(null);
        }
        m5476a(getIntent().getExtras());
        try {
            findViewById(R.id.debug_evironment).setVisibility(8);
        } catch (Exception e) {
            C0767d.m5867a("HomeActivity", "Exception", e);
        }
    }

    protected void onDestroy() {
        super.onDestroy();
        C0767d.m5868b("HomeActivity", "Home Page onDestroy -> cleaning data");
        try {
            C0585a.f3039e = new ArrayList();
            C0585a.f3040f = new HashMap();
            C0585a.f3041g = true;
        } catch (Exception e) {
            C0767d.m5867a("HomeActivity", "Exception", e);
        }
    }

    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        m5476a(intent.getExtras());
    }

    protected void onSaveInstanceState(Bundle bundle) {
        Editor edit = this.f3025l.edit();
        edit.putString("CURRENT_FRAGMENT_KEY", this.f3030q);
        edit.commit();
    }

    public void privacyPolicyClick(View view) {
        Intent intent = new Intent(this, PrivacyPolicyActivity.class);
        intent.setFlags(536870912);
        startActivity(intent);
    }

    public void settingsClick(View view) {
        m5367r();
        Fragment abVar = new ab();
        al a = m643f().m314a();
        a.m398a((int) R.id.fragmentContainer, abVar);
        a.m397a();
        ((TextView) this.f3023j.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_user_settings));
        if (this.f3031r.m2023f(3)) {
            this.f3031r.m2022e(3);
        }
        this.f3030q = "FRAGMENT_USER_SETTINGS";
        m5482m();
    }

    public void termsOfServiceClick(View view) {
        Intent intent = new Intent(this, TermOfServiceActivity.class);
        intent.setFlags(536870912);
        startActivity(intent);
    }
}
