package com.neatorobotics.android.activities.register;

import android.content.Intent;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.activities.BootActivity;
import com.neatorobotics.android.p028a.C0536b;
import com.neatorobotics.android.p029b.C0539a;
import java.util.Timer;

@C0536b
public class RegisterSuccessMessageActivity extends C0539a {
    private ImageView f3128i;
    private boolean f3129j;

    public RegisterSuccessMessageActivity() {
        this.f3129j = false;
    }

    private void m5549k() {
        if ("neatoProduction".contains("neato") && !this.f3129j) {
            this.f3129j = true;
            this.f3128i.post(new C0635q(this));
        }
    }

    private void m5550l() {
        if (VERSION.SDK_INT >= 21) {
            getWindow().setStatusBarColor(getResources().getColor(R.color.register_success_status_bar_color));
        }
    }

    public void jumpToSignIn(View view) {
        Intent intent = new Intent(getApplicationContext(), BootActivity.class);
        intent.setFlags(67108864);
        BootActivity.f2871i = true;
        startActivity(intent);
    }

    public void onBackPressed() {
        jumpToSignIn(null);
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_register_success);
        this.f3128i = (ImageView) findViewById(R.id.letterImage);
        this.f3128i.setScaleX(0.0f);
        this.f3128i.setScaleY(0.0f);
        if (!"neatoProduction".contains("neato")) {
            Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
            ((TextView) toolbar.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_register_success));
            toolbar.setNavigationOnClickListener(new C0631m(this));
            toolbar.setOnMenuItemClickListener(new C0632n(this));
            toolbar.m4004a((int) R.menu.menu_registration_success);
        }
        m5550l();
    }

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        if (z) {
            new Timer().schedule(new C0633o(this), 500);
        }
    }
}
