package com.neatorobotics.android.activities.robot;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.Bundle;
import android.os.SystemClock;
import android.support.v4.app.al;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.view.animation.DecelerateInterpolator;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.neatorobotics.android.NeatoApplication;
import com.neatorobotics.android.R;
import com.neatorobotics.android.activities.cleaning.CleaningSettingsActivity;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p031d.C0731a;
import com.neatorobotics.android.p032e.p036d.C0738a;
import com.neatorobotics.android.p032e.p038f.C0740a;
import com.neatorobotics.android.p032e.p040h.C0742a;
import com.neatorobotics.android.p032e.p042j.C0757n;
import com.neatorobotics.android.p043f.C0761d;
import com.neatorobotics.android.utils.C0767d;
import java.util.LinkedList;
import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

public class CommandActivity extends C0539a {
    public static C0761d f3148i;
    public static String f3149j;
    public static String f3150k;
    public static String f3151l;
    public static String f3152m;
    public static String f3153n;
    ImageView f3154A;
    AnimatorSet f3155B;
    RelativeLayout f3156C;
    RelativeLayout f3157D;
    RelativeLayout f3158E;
    RelativeLayout f3159F;
    ImageView f3160G;
    ImageView f3161H;
    TextView f3162I;
    RelativeLayout f3163J;
    TextView f3164K;
    ImageButton f3165L;
    ImageView f3166M;
    RelativeLayout f3167N;
    TextView f3168O;
    ImageView f3169P;
    RelativeLayout f3170Q;
    TextView f3171R;
    ImageButton f3172S;
    ImageView f3173T;
    RelativeLayout f3174U;
    TextView f3175V;
    ImageView f3176W;
    RelativeLayout f3177X;
    TextView f3178Y;
    protected LinkedList f3179Z;
    private String aA;
    protected boolean aa;
    protected boolean ab;
    protected boolean ac;
    protected boolean ad;
    protected boolean ae;
    protected boolean af;
    protected boolean ag;
    protected boolean ah;
    protected boolean ai;
    protected boolean aj;
    protected boolean ak;
    protected boolean al;
    protected int am;
    boolean an;
    Runnable ao;
    ScheduledThreadPoolExecutor ap;
    private SharedPreferences av;
    private int aw;
    private int ax;
    private int ay;
    private String az;
    protected String f3180o;
    protected C0644i f3181p;
    protected C0761d f3182q;
    Toolbar f3183r;
    RelativeLayout f3184s;
    C0645j f3185t;
    RelativeLayout f3186u;
    protected TextView f3187v;
    ImageButton f3188w;
    ImageView f3189x;
    ImageView f3190y;
    TextView f3191z;

    static {
        f3148i = null;
        f3149j = "ROBOT_NAME";
        f3150k = "ROBOT_ID";
        f3151l = "ROBOT_AVAILABLE";
        f3152m = "ROBOT_SECRET_KEY";
        f3153n = "IS_SCHEDULE_ENABLED";
    }

    public CommandActivity() {
        this.aw = 0;
        this.ax = 1;
        this.ay = 2;
        this.az = "";
        this.aA = "";
        this.f3180o = "";
        this.f3179Z = new LinkedList();
        this.aa = false;
        this.ab = false;
        this.ac = false;
        this.ad = false;
        this.ae = false;
        this.af = false;
        this.ag = false;
        this.ah = false;
        this.ai = false;
        this.aj = false;
        this.ak = false;
        this.al = false;
        this.am = this.aw;
        this.ao = new C0643h(this);
    }

    private void m5557a(double d) {
        int[] a = C0740a.m5801a();
        if (d < ((double) a[0])) {
            this.f3189x.setImageResource(R.drawable.battery_empty);
        } else if (d <= ((double) a[1])) {
            this.f3189x.setImageResource(R.drawable.battery_one);
        } else if (d <= ((double) a[2])) {
            this.f3189x.setImageResource(R.drawable.battery_two);
        } else if (d <= ((double) a[3])) {
            this.f3189x.setImageResource(R.drawable.battery_three);
        } else {
            this.f3189x.setImageResource(R.drawable.battery_full);
        }
        if (this.f3185t != null && this.f3185t.m289k()) {
            this.f3185t.m5647a(d);
        }
    }

    private void m5560a(C0761d c0761d) {
        if (c0761d != null) {
            if (c0761d.f3580v != 3 || this.am == this.ay) {
                this.f3186u.setVisibility(8);
            } else {
                this.f3186u.setVisibility(0);
            }
            if (c0761d.f3560b && c0761d.m5833b() == R.string.charging) {
                m5561a(getString(c0761d.m5833b()));
                m5557a(c0761d.f3579u);
                m5563b(null);
                this.f3188w.setEnabled(false);
            } else if (c0761d.m5833b() == R.string.suspended_cleaning) {
                m5561a(getString(c0761d.m5833b()));
                m5557a(c0761d.f3579u);
                m5563b(c0761d);
                this.f3188w.setEnabled(false);
            } else if (c0761d.f3560b && (c0761d.m5833b() == R.string.not_available || c0761d.m5833b() == R.string.robot_menu_active || c0761d.m5833b() == R.string.error)) {
                m5561a(getString(c0761d.m5830a(true)));
                try {
                    m5557a(c0761d.f3579u);
                } catch (Exception e) {
                    m5557a(-1.0d);
                    C0767d.m5867a("CommandActivity", "Exception", e);
                }
                m5563b(null);
                this.f3188w.setEnabled(false);
            } else if (c0761d.f3560b) {
                m5561a(getString(c0761d.m5833b()));
                m5557a(c0761d.f3579u);
                if (c0761d.f3566h || c0761d.f3569k) {
                    this.f3188w.setImageResource(R.drawable.play_command_bg_selector);
                } else if (c0761d.f3568j || c0761d.f3567i) {
                    this.f3188w.setImageResource(R.drawable.pause_command_bg_selector);
                }
                m5563b(c0761d);
                this.f3188w.setEnabled(true);
            } else if (c0761d.f3560b) {
                m5561a(getString(R.string.not_available));
                m5557a(-1.0d);
                m5563b(null);
                this.f3188w.setEnabled(false);
            } else {
                m5561a(getString(R.string.offline));
                m5557a(-1.0d);
                m5563b(null);
                this.f3188w.setEnabled(false);
            }
            if (this.f3154A == null) {
                return;
            }
            if (c0761d.m5833b() == R.string.cleaning) {
                m5568w();
                return;
            } else {
                m5569x();
                return;
            }
        }
        m5557a(-1.0d);
        m5561a(getString(R.string.not_available));
        m5563b(null);
        this.f3188w.setEnabled(false);
    }

    private void m5561a(String str) {
        this.f3187v.setText(str);
        if (this.f3185t != null && this.f3185t.m289k()) {
            this.f3185t.m5652b(str);
            this.f3185t.m5649a(this.f3182q);
        }
    }

    private void m5563b(C0761d c0761d) {
        if (c0761d == null) {
            this.f3160G.setImageResource(R.drawable.house);
            this.f3162I.setText(R.string.clean_house_title);
            this.f3161H.setImageResource(R.drawable.arrow_up_disabled);
            this.f3183r.getMenu().findItem(R.id.action_settings).setEnabled(false);
            m5564b(false);
            return;
        }
        if (c0761d.f3567i) {
            this.ad = true;
        } else {
            this.ad = false;
        }
        this.ai = false;
        this.aj = false;
        this.al = false;
        this.ak = false;
        this.aa = c0761d.f3577s == 1;
        if (this.aa || this.am == this.ay) {
            this.f3183r.getMenu().findItem(R.id.action_settings).setEnabled(true);
        } else {
            this.f3183r.getMenu().findItem(R.id.action_settings).setEnabled(false);
        }
        if (c0761d.f3577s == 1) {
            this.af = true;
            this.ag = true;
            this.ah = true;
            this.ae = false;
        }
        if (c0761d.f3577s == 3) {
            this.af = false;
            this.ag = false;
            this.ah = false;
            this.ae = true;
        }
        if (c0761d.m5833b() == R.string.suspended_cleaning) {
            this.af = false;
            this.ag = false;
            this.ah = false;
            this.ae = false;
            this.ad = true;
        }
        if (this.af) {
            this.f3165L.setImageResource(R.drawable.info_active);
        } else {
            this.f3165L.setImageResource(R.drawable.info_deactive);
        }
        if (this.ag) {
            this.f3172S.setImageResource(R.drawable.info_active);
        } else {
            this.f3172S.setImageResource(R.drawable.info_deactive);
        }
        if (!this.aa) {
            this.f3165L.setImageResource(R.drawable.info_deactive);
            this.f3172S.setImageResource(R.drawable.info_deactive);
        }
        this.f3164K.setTextColor(getResources().getColor(R.color.slide_up_title_color));
        this.f3171R.setTextColor(getResources().getColor(R.color.slide_up_title_color));
        this.f3168O.setTextColor(getResources().getColor(R.color.slide_up_title_color));
        this.f3175V.setTextColor(getResources().getColor(R.color.slide_up_title_color));
        this.f3166M.setImageResource(R.drawable.house_disabled);
        this.f3173T.setImageResource(R.drawable.clean_spot_disabled);
        this.f3169P.setImageResource(R.drawable.return_to_start_disabled);
        this.f3176W.setImageResource(R.drawable.manual_clean_disabled);
        if (!c0761d.f3564f || this.aa) {
            if (c0761d.m5833b() == R.string.returning_to_base || c0761d.m5833b() == R.string.returning_to_start || c0761d.m5833b() == R.string.return_to_base_paused || c0761d.m5833b() == R.string.return_to_base_started) {
                this.f3160G.setImageResource(R.drawable.return_to_start);
                this.f3162I.setText(R.string.goto_base_title);
                this.f3168O.setTextColor(getResources().getColor(R.color.slide_up_title_accent));
                this.f3169P.setImageResource(R.drawable.return_to_start);
                this.ae = false;
                this.al = true;
            } else {
                if (this.am == this.ay) {
                    this.f3160G.setImageResource(R.drawable.manual_clean);
                    this.f3162I.setText(R.string.manual_cleaning_title);
                    if (c0761d.m5833b() != R.string.suspended_cleaning) {
                        this.f3175V.setTextColor(getResources().getColor(R.color.slide_up_title_accent));
                        this.f3176W.setImageResource(R.drawable.manual_clean);
                        this.ak = true;
                        this.ah = false;
                    }
                } else if (this.am == this.ax) {
                    String b = C0742a.m5810b(getApplicationContext(), "SPOT_CLEANING_MODE_AREA_SIZE", "AREA_LARGE");
                    String b2 = C0742a.m5810b(getApplicationContext(), "SPOT_CLEANING_MODE_FREQUENCY", "FREQUENCY_DOUBLE");
                    if (b.equalsIgnoreCase("AREA_LARGE")) {
                        if (b2.equalsIgnoreCase("FREQUENCY_NORMAL")) {
                            this.f3160G.setImageResource(R.drawable.clean_spot_extended);
                        } else {
                            this.f3160G.setImageResource(R.drawable.clean_spot_extended_repeat);
                        }
                    } else if (b2.equalsIgnoreCase("FREQUENCY_NORMAL")) {
                        this.f3160G.setImageResource(R.drawable.clean_spot);
                    } else {
                        this.f3160G.setImageResource(R.drawable.clean_spot_repeat);
                    }
                    this.f3162I.setText(R.string.spot_cleaning_title);
                    if (c0761d.m5833b() != R.string.suspended_cleaning) {
                        this.f3171R.setTextColor(getResources().getColor(R.color.slide_up_title_accent));
                        this.f3173T.setImageResource(R.drawable.clean_spot);
                        this.aj = true;
                        this.ag = false;
                    }
                } else {
                    this.f3160G.setImageResource(R.drawable.house);
                    this.f3162I.setText(R.string.clean_house_title);
                    if (c0761d.m5833b() != R.string.suspended_cleaning) {
                        this.f3164K.setTextColor(getResources().getColor(R.color.slide_up_title_accent));
                        this.f3166M.setImageResource(R.drawable.house);
                        this.ai = true;
                        this.af = false;
                    }
                }
                if (c0761d.m5833b() == R.string.suspended_cleaning) {
                    this.ai = false;
                    this.aj = false;
                    this.ak = false;
                }
            }
        } else if (c0761d.f3580v == 2) {
            if (c0761d.f3573o == C0738a.f3502p) {
                if (c0761d.f3571m == C0738a.f3503q) {
                    this.f3160G.setImageResource(R.drawable.clean_spot_extended);
                } else {
                    this.f3160G.setImageResource(R.drawable.clean_spot_extended_repeat);
                }
            } else if (c0761d.f3571m == C0738a.f3503q) {
                this.f3160G.setImageResource(R.drawable.clean_spot);
            } else {
                this.f3160G.setImageResource(R.drawable.clean_spot_repeat);
            }
            this.f3162I.setText(R.string.spot_cleaning_title);
            this.f3171R.setTextColor(getResources().getColor(R.color.slide_up_title_accent));
            this.f3173T.setImageResource(R.drawable.clean_spot);
            this.aj = true;
            this.ag = false;
        } else if (c0761d.f3580v == 3) {
            this.f3160G.setImageResource(R.drawable.manual_clean);
            this.f3162I.setText(R.string.manual_cleaning_title);
            this.f3175V.setTextColor(getResources().getColor(R.color.slide_up_title_accent));
            this.f3176W.setImageResource(R.drawable.manual_clean);
            this.ak = true;
            this.ah = false;
        } else {
            this.f3160G.setImageResource(R.drawable.house);
            this.f3162I.setText(R.string.clean_house_title);
            this.f3164K.setTextColor(getResources().getColor(R.color.slide_up_title_accent));
            this.f3166M.setImageResource(R.drawable.house);
            this.ai = true;
            this.af = false;
        }
        if (!(this.af || this.ai)) {
            this.f3164K.setTextColor(getResources().getColor(R.color.text_color_light));
        }
        if (!(this.ag || this.aj)) {
            this.f3171R.setTextColor(getResources().getColor(R.color.text_color_light));
        }
        if (!(this.ae || this.al)) {
            this.f3168O.setTextColor(getResources().getColor(R.color.text_color_light));
        }
        if (!(this.ah || this.ak)) {
            this.f3175V.setTextColor(getResources().getColor(R.color.text_color_light));
        }
        if (this.ad) {
            this.f3178Y.setTextColor(getResources().getColor(R.color.slide_up_title_color));
        } else {
            this.f3178Y.setTextColor(getResources().getColor(R.color.text_color_light));
        }
        m5570y();
        if (c0761d.f3580v == 3) {
            this.f3161H.setImageResource(R.drawable.arrow_up);
            m5564b(true);
        } else if (c0761d.m5833b() == R.string.charging) {
            this.f3161H.setImageResource(R.drawable.arrow_up_disabled);
            m5564b(false);
        } else if (c0761d.m5833b() == R.string.suspended_cleaning) {
            this.f3161H.setImageResource(R.drawable.arrow_up);
            m5564b(true);
        } else if (c0761d.f3566h || c0761d.f3569k) {
            this.f3161H.setImageResource(R.drawable.arrow_up);
            m5564b(true);
        } else if (c0761d.f3568j || c0761d.f3567i) {
            this.f3161H.setImageResource(R.drawable.arrow_up_disabled);
            m5564b(false);
        }
    }

    private void m5564b(boolean z) {
        this.ac = z;
        if (this.ab && !z) {
            slideDown(null);
        }
    }

    private void m5565t() {
        this.az = this.av.getString(f3149j, "");
        this.aA = this.av.getString(f3150k, "");
        this.f3180o = this.av.getString(f3152m, "");
    }

    private void m5566u() {
        this.f3183r.getMenu().findItem(R.id.action_settings).setVisible(true);
    }

    private void m5567v() {
        if (this.am == this.ax) {
            cleanSpotSettingsClick(null);
        } else if (this.am == this.ay) {
            manualCleanSettingsClick(null);
        } else {
            cleanHouseSettingsClick(null);
        }
    }

    private void m5568w() {
        if (!NeatoApplication.f2866a) {
            try {
                if (!this.f3155B.isRunning()) {
                    this.f3154A.setVisibility(0);
                    this.f3155B.start();
                }
            } catch (Exception e) {
                C0767d.m5867a("CommandActivity", "Exception", e);
            }
        }
    }

    private void m5569x() {
        if (!NeatoApplication.f2866a) {
            try {
                this.f3154A.setVisibility(4);
                this.f3155B.end();
            } catch (Exception e) {
                C0767d.m5867a("CommandActivity", "Exception", e);
            }
        }
    }

    private void m5570y() {
        if (this.aa) {
            int i = C0738a.f3499m;
            if (C0742a.m5810b(getApplicationContext(), "CLEANING_MODE", "TURBO").equals("TURBO")) {
                i = C0738a.f3500n;
            }
            if (i == C0738a.f3499m) {
                this.f3190y.setImageResource(R.drawable.eco_leaf);
                this.f3191z.setText(getString(R.string.eco));
                return;
            }
            this.f3190y.setImageResource(R.drawable.turbo);
            this.f3191z.setText(getString(R.string.turbo));
        } else if (this.f3182q == null) {
        } else {
            if (this.f3182q.f3572n == C0738a.f3499m) {
                this.f3190y.setImageResource(R.drawable.eco_leaf);
                this.f3191z.setText(getString(R.string.eco));
                return;
            }
            this.f3190y.setImageResource(R.drawable.turbo);
            this.f3191z.setText(getString(R.string.turbo));
        }
    }

    public void cleanHomeClick(View view) {
        if (this.af) {
            m5571k();
        }
        if (this.ai) {
            if (this.ab) {
                slideDown(null);
            }
        } else if (this.af) {
            if (this.af) {
                this.am = this.aw;
            }
            m5566u();
            m5563b(this.f3182q);
            this.f3157D.setVisibility(8);
            this.f3156C.setVisibility(0);
            if (this.ab) {
                slideDown(null);
            }
        }
    }

    public void cleanHouseSettingsClick(View view) {
        if (SystemClock.elapsedRealtime() - this.as >= ((long) C0731a.f3478a)) {
            this.as = SystemClock.elapsedRealtime();
            if (this.aa) {
                C0742a.m5806a(getApplicationContext(), "CLEANING_MODALITY", "HOUSE_CLEAN");
                Intent intent = new Intent(getApplicationContext(), CleaningSettingsActivity.class);
                intent.setFlags(536870912);
                startActivity(intent);
            }
        }
    }

    public void cleanSpotClick(View view) {
        if (this.ag) {
            m5571k();
        }
        if (this.aj) {
            if (this.ab) {
                slideDown(null);
            }
        } else if (this.ag) {
            if (this.ag) {
                this.am = this.ax;
            }
            m5566u();
            m5563b(this.f3182q);
            this.f3157D.setVisibility(8);
            this.f3156C.setVisibility(0);
            if (this.ab) {
                slideDown(null);
            }
        }
    }

    public void cleanSpotSettingsClick(View view) {
        if (SystemClock.elapsedRealtime() - this.as >= ((long) C0731a.f3478a)) {
            this.as = SystemClock.elapsedRealtime();
            if (this.aa) {
                C0742a.m5806a(getApplicationContext(), "CLEANING_MODALITY", "SPOT_CLEAN");
                Intent intent = new Intent(getApplicationContext(), CleaningSettingsActivity.class);
                intent.setFlags(536870912);
                startActivity(intent);
            }
        }
    }

    public void m5571k() {
        this.f3156C.setVisibility(0);
        if (this.f3185t != null && this.f3185t.m289k()) {
            al a = m643f().m314a();
            a.m400a(this.f3185t);
            a.m397a();
        }
    }

    protected void m5572l() {
        try {
            String str;
            if (this.f3179Z.isEmpty()) {
                this.an = false;
                str = C0738a.f3493g;
            } else {
                this.an = true;
                str = (String) this.f3179Z.poll();
            }
            if (str != null) {
                C0757n a = this.f3181p.m5614a(str);
                C0761d c0761d = new C0761d(this.aA);
                if (a == null || a.m5827b() == null) {
                    this.f3182q = null;
                    if (this.an) {
                        runOnUiThread(new C0642g(this));
                        return;
                    }
                    return;
                }
                c0761d.m5831a(a.m5826a(), a.m5827b());
                this.f3182q = c0761d;
                runOnUiThread(new C0641f(this));
                if (this.an) {
                    runOnUiThread(new C0642g(this));
                }
            } else if (this.an) {
                runOnUiThread(new C0642g(this));
            }
        } catch (Exception e) {
            C0767d.m5867a("CommandActivity", "Exception", e);
            if (this.an) {
                runOnUiThread(new C0642g(this));
            }
        } catch (Throwable th) {
            if (this.an) {
                runOnUiThread(new C0642g(this));
            }
        }
    }

    protected void m5573m() {
        if (!NeatoApplication.f2866a) {
            C0767d.m5868b("CommandActivity", "### START POLLING");
            if (this.ap == null || this.ap.isShutdown() || this.ap.isTerminated() || this.ap.isTerminating()) {
                this.ap = (ScheduledThreadPoolExecutor) Executors.newScheduledThreadPool(5);
                this.ap.scheduleAtFixedRate(this.ao, 1, 3, TimeUnit.SECONDS);
            }
        }
    }

    public void manualCleanClick(View view) {
        if (this.ak) {
            if (this.ab) {
                slideDown(null);
            }
        } else if (this.ah) {
            if (this.ah) {
                this.am = this.ay;
            }
            m5566u();
            m5563b(this.f3182q);
            this.f3157D.setVisibility(0);
            this.f3156C.setVisibility(8);
            this.f3185t = new C0645j();
            this.f3185t.f3262c = this.aA;
            al a = m643f().m314a();
            a.m398a((int) R.id.manualCleaningContainer, this.f3185t);
            a.m397a();
            if (this.ab) {
                slideDown(null);
            }
        }
    }

    public void manualCleanSettingsClick(View view) {
        if (SystemClock.elapsedRealtime() - this.as >= ((long) C0731a.f3478a)) {
            this.as = SystemClock.elapsedRealtime();
            C0742a.m5806a(getApplicationContext(), "CLEANING_MODALITY", "MANUAL_CLEAN");
            Intent intent = new Intent(getApplicationContext(), CleaningSettingsActivity.class);
            intent.setFlags(536870912);
            startActivity(intent);
        }
    }

    protected void m5574n() {
        if (!NeatoApplication.f2866a) {
            C0767d.m5868b("CommandActivity", "### STOP POLLING");
            if (this.ap != null) {
                this.ap.shutdown();
            }
        }
    }

    public void onBackPressed() {
        if (this.ab) {
            slideDown(null);
        } else {
            super.onBackPressed();
        }
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_command);
        this.av = getApplicationContext().getSharedPreferences("CommandActivity", 0);
        this.f3181p = new C0644i(this);
        this.f3184s = (RelativeLayout) findViewById(R.id.commandProgressWheel);
        this.f3187v = (TextView) findViewById(R.id.statusField);
        this.f3189x = (ImageView) findViewById(R.id.batteryImage);
        this.f3188w = (ImageButton) findViewById(R.id.commandBtn);
        this.f3190y = (ImageView) findViewById(R.id.ecoImage);
        this.f3191z = (TextView) findViewById(R.id.modeText);
        this.f3186u = (RelativeLayout) findViewById(R.id.manualCleanLockScreen);
        if (findViewById(R.id.animationCommandImage) != null) {
            this.f3154A = (ImageView) findViewById(R.id.animationCommandImage);
        }
        this.f3158E = (RelativeLayout) findViewById(R.id.slideUpPanel);
        this.f3158E.setVisibility(4);
        this.f3158E.post(new C0636a(this));
        this.f3159F = (RelativeLayout) findViewById(R.id.slideUpTrigger);
        this.f3161H = (ImageView) this.f3159F.findViewById(R.id.rightImage);
        this.f3160G = (ImageView) this.f3159F.findViewById(R.id.leftIcon);
        this.f3162I = (TextView) this.f3159F.findViewById(R.id.title);
        this.f3163J = (RelativeLayout) findViewById(R.id.houseCleaningItem);
        this.f3164K = (TextView) this.f3163J.findViewById(R.id.title);
        this.f3165L = (ImageButton) this.f3163J.findViewById(R.id.rightImage);
        this.f3166M = (ImageView) this.f3163J.findViewById(R.id.leftIcon);
        this.f3167N = (RelativeLayout) findViewById(R.id.goToBaseItem);
        this.f3168O = (TextView) this.f3167N.findViewById(R.id.title);
        this.f3169P = (ImageView) this.f3167N.findViewById(R.id.leftIcon);
        this.f3170Q = (RelativeLayout) findViewById(R.id.spotCleaningItem);
        this.f3171R = (TextView) this.f3170Q.findViewById(R.id.title);
        this.f3172S = (ImageButton) this.f3170Q.findViewById(R.id.rightImage);
        this.f3173T = (ImageView) this.f3170Q.findViewById(R.id.leftIcon);
        this.f3174U = (RelativeLayout) findViewById(R.id.manualCleanItem);
        this.f3175V = (TextView) this.f3174U.findViewById(R.id.title);
        this.f3176W = (ImageView) this.f3174U.findViewById(R.id.leftIcon);
        this.f3177X = (RelativeLayout) findViewById(R.id.stopItem);
        this.f3178Y = (TextView) this.f3177X.findViewById(R.id.title);
        this.f3156C = (RelativeLayout) findViewById(R.id.mainContent);
        this.f3157D = (RelativeLayout) findViewById(R.id.manualCleaningContainer);
        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            this.az = extras.getString(f3149j);
            this.aA = extras.getString(f3150k);
            this.f3180o = extras.getString(f3152m);
        }
        if (bundle != null) {
            m5565t();
        }
        this.f3183r = (Toolbar) findViewById(R.id.toolbar);
        this.f3183r.setNavigationIcon((int) R.drawable.back);
        ((TextView) this.f3183r.findViewById(R.id.toolbarTitle)).setText(this.az);
        this.f3183r.setNavigationOnClickListener(new C0637b(this));
        this.f3183r.setOnMenuItemClickListener(new C0638c(this));
        this.f3183r.m4004a((int) R.menu.menu_command);
        Animator ofFloat = ObjectAnimator.ofFloat(this.f3154A, "rotation", new float[]{0.0f, 36000.0f});
        ofFloat.setDuration(400000);
        ofFloat.setInterpolator(new DecelerateInterpolator());
        ofFloat.setRepeatMode(-1);
        ObjectAnimator ofFloat2 = ObjectAnimator.ofFloat(this.f3154A, "scaleX", new float[]{1.0f, 0.95f});
        ofFloat2.setDuration(1000);
        ofFloat2.setRepeatMode(2);
        ofFloat2.setRepeatCount(-1);
        ofFloat2 = ObjectAnimator.ofFloat(this.f3154A, "scaleY", new float[]{1.0f, 0.95f});
        ofFloat2.setDuration(1000);
        ofFloat2.setRepeatMode(2);
        ofFloat2.setRepeatCount(-1);
        this.f3155B = new AnimatorSet();
        this.f3155B.play(ofFloat);
        this.f3188w.setEnabled(false);
        C0740a.m5800a(getApplicationContext());
        if (f3148i != null) {
            this.f3182q = f3148i;
            m5560a(f3148i);
        }
    }

    protected void onDestroy() {
        super.onDestroy();
    }

    protected void onResume() {
        super.onResume();
        m5570y();
        m5563b(this.f3182q);
        m5573m();
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.av.edit();
        edit.putString(f3149j, this.az);
        edit.putString(f3150k, this.aA);
        edit.putString(f3152m, this.f3180o);
        edit.commit();
    }

    protected void onStop() {
        super.onStop();
        m5574n();
    }

    public void playPauseClick(View view) {
        int i = C0738a.f3499m;
        if (C0742a.m5810b(getApplicationContext(), "CLEANING_MODE", "TURBO").equals("TURBO")) {
            i = C0738a.f3500n;
        }
        int i2 = C0738a.f3502p;
        if (C0742a.m5810b(getApplicationContext(), "SPOT_CLEANING_MODE_AREA_SIZE", "AREA_LARGE").equals("AREA_SMALL")) {
            i2 = C0738a.f3501o;
        }
        int i3 = C0738a.f3504r;
        if (C0742a.m5810b(getApplicationContext(), "SPOT_CLEANING_MODE_FREQUENCY", "FREQUENCY_DOUBLE").equals("FREQUENCY_NORMAL")) {
            i3 = C0738a.f3503q;
        }
        if (this.f3182q == null) {
            if (f3148i != null) {
                this.f3182q = f3148i;
            } else {
                return;
            }
        }
        String str = null;
        if (this.f3182q.f3566h) {
            str = this.am == this.ax ? C0738a.f3488b : C0738a.f3487a;
        } else if (this.f3182q.f3568j) {
            str = C0738a.f3489c;
        } else if (this.f3182q.f3569k) {
            str = C0738a.f3490d;
        } else if (this.f3182q.f3567i) {
            str = C0738a.f3491e;
        } else if (this.f3182q.f3570l) {
            str = C0738a.f3492f;
        }
        if (str == null) {
            C0767d.m5866a("CommandActivity", "no command possible..");
            return;
        }
        Object replace;
        if (str.contains("params")) {
            replace = str.replace("ECO_MODE_PLACEHOLDER", "" + i);
            if (this.am == this.ax) {
                replace = replace.replace("MODIFIER_PLACEHOLDER", "" + i3).replace("SPOT_WIDTH_PLACEHOLDER", "" + i2).replace("SPOT_HEIGHT_PLACEHOLDER", "" + i2);
            }
        } else {
            String str2 = str;
        }
        this.f3179Z.push(replace);
        showProgress(this.f3184s);
    }

    public void returnToBaseClick(View view) {
        if (this.al) {
            if (this.ab) {
                slideDown(null);
            }
        } else if (this.ae) {
            this.f3179Z.push(C0738a.f3492f);
            showProgress(this.f3184s);
            if (this.ab) {
                slideDown(null);
            }
        }
    }

    public void slideDown(View view) {
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(this.f3158E, "translationY", new float[]{0.0f, (float) this.f3158E.getMeasuredHeight()});
        ofFloat.setDuration(250);
        ofFloat.addListener(new C0640e(this));
        ofFloat.start();
        m5566u();
        this.ab = false;
    }

    public void slideUp(View view) {
        if (this.ac) {
            ObjectAnimator ofFloat = ObjectAnimator.ofFloat(this.f3159F, "translationY", new float[]{0.0f, (float) this.f3159F.getHeight()});
            ofFloat.setDuration(250);
            ofFloat.addListener(new C0639d(this));
            ofFloat.start();
            this.f3183r.getMenu().findItem(R.id.action_settings).setVisible(false);
            this.ab = true;
        }
    }

    public void stopClick(View view) {
        if (this.ad) {
            if (this.am == this.ay) {
                cleanHomeClick(null);
                this.f3179Z.push(C0738a.f3493g);
                showProgress(this.f3184s);
            } else {
                this.f3179Z.push(C0738a.f3491e);
                showProgress(this.f3184s);
            }
            if (this.ab) {
                slideDown(null);
            }
        }
    }
}
