package com.neatorobotics.android.activities.settings;

import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.graphics.Typeface;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v7.app.ab;
import android.support.v7.widget.Toolbar;
import android.text.method.PasswordTransformationMethod;
import android.text.method.SingleLineTransformationMethod;
import android.view.View;
import android.view.View.OnFocusChangeListener;
import android.widget.EditText;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p032e.p033a.C0733a;
import com.neatorobotics.android.p032e.p042j.C0746c;
import com.neatorobotics.android.utils.C0767d;
import java.net.URL;
import org.json.JSONObject;

public class ChangePasswordActivity extends C0539a implements OnFocusChangeListener {
    protected C0698v f3362i;
    Toolbar f3363j;
    int f3364k;
    int f3365l;
    private SharedPreferences f3366m;
    private final String f3367n;
    private final String f3368o;
    private final String f3369p;
    private EditText f3370q;
    private EditText f3371r;
    private EditText f3372s;

    public ChangePasswordActivity() {
        this.f3367n = "OLD_PASSWORD";
        this.f3368o = "PASSWORD";
        this.f3369p = "VERIFY_PASSWORD";
    }

    private void m5705l() {
        this.f3370q.setText(this.f3366m.getString("OLD_PASSWORD", ""));
        this.f3371r.setText(this.f3366m.getString("PASSWORD", ""));
        this.f3372s.setText(this.f3366m.getString("VERIFY_PASSWORD", ""));
        m5706k();
    }

    protected boolean m5706k() {
        boolean z = !this.f3370q.getText().toString().trim().equalsIgnoreCase("");
        if (this.f3371r.getText().toString().trim().equalsIgnoreCase("")) {
            z = false;
        }
        if (this.f3372s.getText().toString().trim().equalsIgnoreCase("")) {
            z = false;
        }
        if ("neatoProduction".contains("neato")) {
            if (z) {
                findViewById(R.id.submit_btn).setEnabled(true);
            } else {
                findViewById(R.id.submit_btn).setEnabled(false);
            }
        } else if (z) {
            this.f3363j.getMenu().findItem(R.id.action_check).setEnabled(true);
        } else {
            this.f3363j.getMenu().findItem(R.id.action_check).setEnabled(false);
        }
        return z;
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_change_password);
        this.f3366m = getApplicationContext().getSharedPreferences("ChangePasswordActivity", 0);
        this.f3370q = (EditText) findViewById(R.id.old_password_field);
        this.f3371r = (EditText) findViewById(R.id.password_field);
        this.f3372s = (EditText) findViewById(R.id.verify_password_field);
        this.f3370q.setOnFocusChangeListener(this);
        this.f3371r.setOnFocusChangeListener(this);
        this.f3372s.setOnFocusChangeListener(this);
        this.f3364k = this.f3370q.getTextColors().getDefaultColor();
        this.f3365l = this.f3370q.getCurrentHintTextColor();
        this.f3370q.setTypeface(Typeface.DEFAULT);
        this.f3370q.setTransformationMethod(new PasswordTransformationMethod());
        this.f3371r.setTypeface(Typeface.DEFAULT);
        this.f3371r.setTransformationMethod(new PasswordTransformationMethod());
        this.f3372s.setTypeface(Typeface.DEFAULT);
        this.f3372s.setTransformationMethod(new PasswordTransformationMethod());
        this.f3363j = (Toolbar) findViewById(R.id.toolbar);
        this.f3363j.setNavigationIcon((int) R.drawable.back);
        ((TextView) this.f3363j.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_change_password));
        this.f3363j.setNavigationOnClickListener(new C0688l(this));
        this.f3363j.setOnMenuItemClickListener(new C0689m(this));
        if (!"neatoProduction".contains("neato")) {
            this.f3363j.m4004a((int) R.menu.menu_change_password);
            this.f3363j.getMenu().findItem(R.id.action_check).setEnabled(false);
        }
        this.f3370q.addTextChangedListener(new C0690n(this));
        this.f3371r.addTextChangedListener(new C0691o(this));
        this.f3372s.addTextChangedListener(new C0692p(this));
        this.f3372s.setOnEditorActionListener(new C0693q(this));
        this.f3362i = new C0698v(this);
        if (bundle != null) {
            m5705l();
        }
    }

    public void onFocusChange(View view, boolean z) {
        if (z && (view instanceof EditText)) {
            ((EditText) view).setTextColor(this.f3364k);
            ((EditText) view).setHintTextColor(this.f3365l);
        }
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.f3366m.edit();
        edit.putString("OLD_PASSWORD", this.f3370q.getText().toString());
        edit.putString("PASSWORD", this.f3371r.getText().toString());
        edit.putString("VERIFY_PASSWORD", this.f3372s.getText().toString());
        edit.commit();
    }

    public void showPasswordClick(View view) {
        if (((TextView) view).getText().equals(getString(R.string.show_password))) {
            this.f3371r.setTransformationMethod(new SingleLineTransformationMethod());
            this.f3372s.setTransformationMethod(new SingleLineTransformationMethod());
            this.f3370q.setTransformationMethod(new SingleLineTransformationMethod());
            this.f3371r.setSelection(this.f3371r.getText().length());
            this.f3372s.setSelection(this.f3372s.getText().length());
            this.f3370q.setSelection(this.f3370q.getText().length());
            ((TextView) view).setText(R.string.hide_password);
            return;
        }
        this.f3371r.setTransformationMethod(new PasswordTransformationMethod());
        this.f3372s.setTransformationMethod(new PasswordTransformationMethod());
        this.f3370q.setTransformationMethod(new PasswordTransformationMethod());
        this.f3371r.setSelection(this.f3371r.getText().length());
        this.f3372s.setSelection(this.f3372s.getText().length());
        this.f3370q.setSelection(this.f3370q.getText().length());
        ((TextView) view).setText(R.string.show_password);
    }

    public void submitClick(View view) {
        boolean z = true;
        boolean z2 = false;
        this.f3372s.setBackgroundResource(R.drawable.input_bg_normal);
        this.f3371r.setBackgroundResource(R.drawable.input_bg_normal);
        this.f3370q.setBackgroundResource(R.drawable.input_bg_normal);
        this.f3370q.setTextColor(this.f3364k);
        this.f3371r.setTextColor(this.f3364k);
        this.f3372s.setTextColor(this.f3364k);
        this.f3370q.setHintTextColor(this.f3365l);
        this.f3371r.setHintTextColor(this.f3365l);
        this.f3372s.setHintTextColor(this.f3365l);
        if (this.f3370q.getText() == null || this.f3370q.getText().toString() == null || this.f3370q.getText().toString().trim().equalsIgnoreCase("")) {
            this.f3370q.setTextColor(-65536);
            this.f3370q.setHintTextColor(-65536);
            z = false;
        }
        if (this.f3371r.getText() == null || this.f3371r.getText().toString() == null || this.f3371r.getText().toString().trim().equalsIgnoreCase("")) {
            this.f3371r.setTextColor(-65536);
            this.f3371r.setHintTextColor(-65536);
            z = false;
        }
        if (this.f3372s.getText() == null || this.f3372s.getText().toString() == null || this.f3372s.getText().toString().trim().equalsIgnoreCase("")) {
            this.f3372s.setTextColor(-65536);
            this.f3372s.setHintTextColor(-65536);
        } else if (this.f3372s.getText().toString().equals(this.f3371r.getText().toString())) {
            z2 = z;
        } else {
            this.f3372s.setTextColor(-65536);
            this.f3372s.setHintTextColor(-65536);
            ab a = C0733a.m5780a(this);
            a.m2640a((int) R.string.cannot_change_password);
            a.m2648a(false);
            a.m2650b((int) R.string.password_does_not_match);
            a.m2641a((int) R.string.ok, new C0694r(this));
            this.at = a.m2649b();
            this.at.show();
            C0733a.m5782a(getApplicationContext(), this.at);
        }
        if (z2) {
            C0695s a2 = this.f3362i.m5728a();
            JSONObject jSONObject = new JSONObject();
            try {
                jSONObject.put("password_previous", this.f3370q.getText());
                jSONObject.put("password", this.f3371r.getText());
                a2.m5726a(jSONObject);
                a2.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5818b() + "/users/me/password")});
            } catch (Exception e) {
                C0767d.m5867a("ChangePasswordActivity", "Exception", e);
            } catch (Exception e2) {
                C0767d.m5867a("ChangePasswordActivity", "Exception", e2);
            }
        }
    }
}
