package android.support.v4.app;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.text.TextUtils;
import android.util.Log;
import java.util.ArrayList;

final class BackStackState implements Parcelable {
    public static final Creator CREATOR;
    final int[] f116a;
    final int f117b;
    final int f118c;
    final String f119d;
    final int f120e;
    final int f121f;
    final CharSequence f122g;
    final int f123h;
    final CharSequence f124i;
    final ArrayList f125j;
    final ArrayList f126k;

    static {
        CREATOR = new C0068k();
    }

    public BackStackState(Parcel parcel) {
        this.f116a = parcel.createIntArray();
        this.f117b = parcel.readInt();
        this.f118c = parcel.readInt();
        this.f119d = parcel.readString();
        this.f120e = parcel.readInt();
        this.f121f = parcel.readInt();
        this.f122g = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.f123h = parcel.readInt();
        this.f124i = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.f125j = parcel.createStringArrayList();
        this.f126k = parcel.createStringArrayList();
    }

    public BackStackState(C0062e c0062e) {
        int i = 0;
        for (C0066i c0066i = c0062e.f353c; c0066i != null; c0066i = c0066i.f388a) {
            if (c0066i.f396i != null) {
                i += c0066i.f396i.size();
            }
        }
        this.f116a = new int[(i + (c0062e.f355e * 7))];
        if (c0062e.f362l) {
            i = 0;
            for (C0066i c0066i2 = c0062e.f353c; c0066i2 != null; c0066i2 = c0066i2.f388a) {
                int i2 = i + 1;
                this.f116a[i] = c0066i2.f390c;
                int i3 = i2 + 1;
                this.f116a[i2] = c0066i2.f391d != null ? c0066i2.f391d.f161p : -1;
                int i4 = i3 + 1;
                this.f116a[i3] = c0066i2.f392e;
                i2 = i4 + 1;
                this.f116a[i4] = c0066i2.f393f;
                i4 = i2 + 1;
                this.f116a[i2] = c0066i2.f394g;
                i2 = i4 + 1;
                this.f116a[i4] = c0066i2.f395h;
                if (c0066i2.f396i != null) {
                    int size = c0066i2.f396i.size();
                    i4 = i2 + 1;
                    this.f116a[i2] = size;
                    i2 = 0;
                    while (i2 < size) {
                        i3 = i4 + 1;
                        this.f116a[i4] = ((Fragment) c0066i2.f396i.get(i2)).f161p;
                        i2++;
                        i4 = i3;
                    }
                    i = i4;
                } else {
                    i = i2 + 1;
                    this.f116a[i2] = 0;
                }
            }
            this.f117b = c0062e.f360j;
            this.f118c = c0062e.f361k;
            this.f119d = c0062e.f364n;
            this.f120e = c0062e.f366p;
            this.f121f = c0062e.f367q;
            this.f122g = c0062e.f368r;
            this.f123h = c0062e.f369s;
            this.f124i = c0062e.f370t;
            this.f125j = c0062e.f371u;
            this.f126k = c0062e.f372v;
            return;
        }
        throw new IllegalStateException("Not on back stack");
    }

    public C0062e m229a(aa aaVar) {
        C0062e c0062e = new C0062e(aaVar);
        int i = 0;
        int i2 = 0;
        while (i2 < this.f116a.length) {
            C0066i c0066i = new C0066i();
            int i3 = i2 + 1;
            c0066i.f390c = this.f116a[i2];
            if (aa.f197a) {
                Log.v("FragmentManager", "Instantiate " + c0062e + " op #" + i + " base fragment #" + this.f116a[i3]);
            }
            int i4 = i3 + 1;
            i2 = this.f116a[i3];
            if (i2 >= 0) {
                c0066i.f391d = (Fragment) aaVar.f203f.get(i2);
            } else {
                c0066i.f391d = null;
            }
            i3 = i4 + 1;
            c0066i.f392e = this.f116a[i4];
            i4 = i3 + 1;
            c0066i.f393f = this.f116a[i3];
            i3 = i4 + 1;
            c0066i.f394g = this.f116a[i4];
            int i5 = i3 + 1;
            c0066i.f395h = this.f116a[i3];
            i4 = i5 + 1;
            int i6 = this.f116a[i5];
            if (i6 > 0) {
                c0066i.f396i = new ArrayList(i6);
                i3 = 0;
                while (i3 < i6) {
                    if (aa.f197a) {
                        Log.v("FragmentManager", "Instantiate " + c0062e + " set remove fragment #" + this.f116a[i4]);
                    }
                    i5 = i4 + 1;
                    c0066i.f396i.add((Fragment) aaVar.f203f.get(this.f116a[i4]));
                    i3++;
                    i4 = i5;
                }
            }
            c0062e.m600a(c0066i);
            i++;
            i2 = i4;
        }
        c0062e.f360j = this.f117b;
        c0062e.f361k = this.f118c;
        c0062e.f364n = this.f119d;
        c0062e.f366p = this.f120e;
        c0062e.f362l = true;
        c0062e.f367q = this.f121f;
        c0062e.f368r = this.f122g;
        c0062e.f369s = this.f123h;
        c0062e.f370t = this.f124i;
        c0062e.f371u = this.f125j;
        c0062e.f372v = this.f126k;
        c0062e.m599a(1);
        return c0062e;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeIntArray(this.f116a);
        parcel.writeInt(this.f117b);
        parcel.writeInt(this.f118c);
        parcel.writeString(this.f119d);
        parcel.writeInt(this.f120e);
        parcel.writeInt(this.f121f);
        TextUtils.writeToParcel(this.f122g, parcel, 0);
        parcel.writeInt(this.f123h);
        TextUtils.writeToParcel(this.f124i, parcel, 0);
        parcel.writeStringList(this.f125j);
        parcel.writeStringList(this.f126k);
    }
}
