package android.support.v4.app;

import android.content.Context;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import android.util.Log;

final class FragmentState implements Parcelable {
    public static final Creator CREATOR;
    final String f175a;
    final int f176b;
    final boolean f177c;
    final int f178d;
    final int f179e;
    final String f180f;
    final boolean f181g;
    final boolean f182h;
    final Bundle f183i;
    Bundle f184j;
    Fragment f185k;

    static {
        CREATOR = new ah();
    }

    public FragmentState(Parcel parcel) {
        boolean z = true;
        this.f175a = parcel.readString();
        this.f176b = parcel.readInt();
        this.f177c = parcel.readInt() != 0;
        this.f178d = parcel.readInt();
        this.f179e = parcel.readInt();
        this.f180f = parcel.readString();
        this.f181g = parcel.readInt() != 0;
        if (parcel.readInt() == 0) {
            z = false;
        }
        this.f182h = z;
        this.f183i = parcel.readBundle();
        this.f184j = parcel.readBundle();
    }

    public FragmentState(Fragment fragment) {
        this.f175a = fragment.getClass().getName();
        this.f176b = fragment.f161p;
        this.f177c = fragment.f170y;
        this.f178d = fragment.f136G;
        this.f179e = fragment.f137H;
        this.f180f = fragment.f138I;
        this.f181g = fragment.f141L;
        this.f182h = fragment.f140K;
        this.f183i = fragment.f163r;
    }

    public Fragment m305a(C0078x c0078x, Fragment fragment) {
        if (this.f185k != null) {
            return this.f185k;
        }
        Context g = c0078x.m660g();
        if (this.f183i != null) {
            this.f183i.setClassLoader(g.getClassLoader());
        }
        this.f185k = Fragment.m231a(g, this.f175a, this.f183i);
        if (this.f184j != null) {
            this.f184j.setClassLoader(g.getClassLoader());
            this.f185k.f159n = this.f184j;
        }
        this.f185k.m248a(this.f176b, fragment);
        this.f185k.f170y = this.f177c;
        this.f185k.f130A = true;
        this.f185k.f136G = this.f178d;
        this.f185k.f137H = this.f179e;
        this.f185k.f138I = this.f180f;
        this.f185k.f141L = this.f181g;
        this.f185k.f140K = this.f182h;
        this.f185k.f132C = c0078x.f424d;
        if (aa.f197a) {
            Log.v("FragmentManager", "Instantiated fragment " + this.f185k);
        }
        return this.f185k;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        int i2 = 1;
        parcel.writeString(this.f175a);
        parcel.writeInt(this.f176b);
        parcel.writeInt(this.f177c ? 1 : 0);
        parcel.writeInt(this.f178d);
        parcel.writeInt(this.f179e);
        parcel.writeString(this.f180f);
        parcel.writeInt(this.f181g ? 1 : 0);
        if (!this.f182h) {
            i2 = 0;
        }
        parcel.writeInt(i2);
        parcel.writeBundle(this.f183i);
        parcel.writeBundle(this.f184j);
    }
}
