package android.support.v4.app;

import android.os.Bundle;
import android.support.v4.p009b.C0057l;
import android.support.v4.p009b.C0058m;
import android.support.v4.p009b.C0092k;
import android.support.v4.p016g.C0145d;
import android.util.Log;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.lang.reflect.Modifier;

final class aw implements C0057l, C0058m {
    final int f265a;
    final Bundle f266b;
    au f267c;
    C0092k f268d;
    boolean f269e;
    boolean f270f;
    Object f271g;
    boolean f272h;
    boolean f273i;
    boolean f274j;
    boolean f275k;
    boolean f276l;
    boolean f277m;
    aw f278n;
    final /* synthetic */ av f279o;

    void m444a() {
        if (this.f273i && this.f274j) {
            this.f272h = true;
        } else if (!this.f272h) {
            this.f272h = true;
            if (av.f258a) {
                Log.v("LoaderManager", "  Starting: " + this);
            }
            if (this.f268d == null && this.f267c != null) {
                this.f268d = this.f267c.m430a(this.f265a, this.f266b);
            }
            if (this.f268d == null) {
                return;
            }
            if (!this.f268d.getClass().isMemberClass() || Modifier.isStatic(this.f268d.getClass().getModifiers())) {
                if (!this.f277m) {
                    this.f268d.m727a(this.f265a, this);
                    this.f268d.m728a((C0057l) this);
                    this.f277m = true;
                }
                this.f268d.m726a();
                return;
            }
            throw new IllegalArgumentException("Object returned from onCreateLoader must not be a non-static inner member class: " + this.f268d);
        }
    }

    void m445a(C0092k c0092k, Object obj) {
        String str;
        if (this.f267c != null) {
            if (this.f279o.f264g != null) {
                String str2 = this.f279o.f264g.f424d.f218u;
                this.f279o.f264g.f424d.f218u = "onLoadFinished";
                str = str2;
            } else {
                str = null;
            }
            try {
                if (av.f258a) {
                    Log.v("LoaderManager", "  onLoadFinished in " + c0092k + ": " + c0092k.m725a(obj));
                }
                this.f267c.m432a(c0092k, obj);
                this.f270f = true;
            } finally {
                if (this.f279o.f264g != null) {
                    this.f279o.f264g.f424d.f218u = str;
                }
            }
        }
    }

    public void m446a(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        printWriter.print(str);
        printWriter.print("mId=");
        printWriter.print(this.f265a);
        printWriter.print(" mArgs=");
        printWriter.println(this.f266b);
        printWriter.print(str);
        printWriter.print("mCallbacks=");
        printWriter.println(this.f267c);
        printWriter.print(str);
        printWriter.print("mLoader=");
        printWriter.println(this.f268d);
        if (this.f268d != null) {
            this.f268d.m730a(str + "  ", fileDescriptor, printWriter, strArr);
        }
        if (this.f269e || this.f270f) {
            printWriter.print(str);
            printWriter.print("mHaveData=");
            printWriter.print(this.f269e);
            printWriter.print("  mDeliveredData=");
            printWriter.println(this.f270f);
            printWriter.print(str);
            printWriter.print("mData=");
            printWriter.println(this.f271g);
        }
        printWriter.print(str);
        printWriter.print("mStarted=");
        printWriter.print(this.f272h);
        printWriter.print(" mReportNextStart=");
        printWriter.print(this.f275k);
        printWriter.print(" mDestroyed=");
        printWriter.println(this.f276l);
        printWriter.print(str);
        printWriter.print("mRetaining=");
        printWriter.print(this.f273i);
        printWriter.print(" mRetainingStarted=");
        printWriter.print(this.f274j);
        printWriter.print(" mListenerRegistered=");
        printWriter.println(this.f277m);
        if (this.f278n != null) {
            printWriter.print(str);
            printWriter.println("Pending Loader ");
            printWriter.print(this.f278n);
            printWriter.println(":");
            this.f278n.m446a(str + "  ", fileDescriptor, printWriter, strArr);
        }
    }

    void m447b() {
        if (av.f258a) {
            Log.v("LoaderManager", "  Retaining: " + this);
        }
        this.f273i = true;
        this.f274j = this.f272h;
        this.f272h = false;
        this.f267c = null;
    }

    void m448c() {
        if (this.f273i) {
            if (av.f258a) {
                Log.v("LoaderManager", "  Finished Retaining: " + this);
            }
            this.f273i = false;
            if (!(this.f272h == this.f274j || this.f272h)) {
                m450e();
            }
        }
        if (this.f272h && this.f269e && !this.f275k) {
            m445a(this.f268d, this.f271g);
        }
    }

    void m449d() {
        if (this.f272h && this.f275k) {
            this.f275k = false;
            if (this.f269e) {
                m445a(this.f268d, this.f271g);
            }
        }
    }

    void m450e() {
        if (av.f258a) {
            Log.v("LoaderManager", "  Stopping: " + this);
        }
        this.f272h = false;
        if (!this.f273i && this.f268d != null && this.f277m) {
            this.f277m = false;
            this.f268d.m729a((C0058m) this);
            this.f268d.m732b(this);
            this.f268d.m733c();
        }
    }

    void m451f() {
        String str;
        au auVar = null;
        if (av.f258a) {
            Log.v("LoaderManager", "  Destroying: " + this);
        }
        this.f276l = true;
        boolean z = this.f270f;
        this.f270f = false;
        if (this.f267c != null && this.f268d != null && this.f269e && z) {
            if (av.f258a) {
                Log.v("LoaderManager", "  Reseting: " + this);
            }
            if (this.f279o.f264g != null) {
                String str2 = this.f279o.f264g.f424d.f218u;
                this.f279o.f264g.f424d.f218u = "onLoaderReset";
                str = str2;
            } else {
                str = null;
            }
            try {
                this.f267c.m431a(this.f268d);
            } finally {
                auVar = this.f279o.f264g;
                if (auVar != null) {
                    auVar = this.f279o.f264g.f424d;
                    auVar.f218u = str;
                }
            }
        }
        this.f267c = auVar;
        this.f271g = auVar;
        this.f269e = false;
        if (this.f268d != null) {
            if (this.f277m) {
                this.f277m = false;
                this.f268d.m729a((C0058m) this);
                this.f268d.m732b(this);
            }
            this.f268d.m735e();
        }
        if (this.f278n != null) {
            this.f278n.m451f();
        }
    }

    public String toString() {
        StringBuilder stringBuilder = new StringBuilder(64);
        stringBuilder.append("LoaderInfo{");
        stringBuilder.append(Integer.toHexString(System.identityHashCode(this)));
        stringBuilder.append(" #");
        stringBuilder.append(this.f265a);
        stringBuilder.append(" : ");
        C0145d.m891a(this.f268d, stringBuilder);
        stringBuilder.append("}}");
        return stringBuilder.toString();
    }
}
