package android.support.v7.internal.view.menu;

import android.content.Context;
import android.support.v7.internal.widget.ap;
import android.util.AttributeSet;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;

public final class ExpandedMenuView extends ListView implements C0328k, C0329z, OnItemClickListener {
    private static final int[] f1362a;
    private C0333i f1363b;
    private int f1364c;

    static {
        f1362a = new int[]{16842964, 16843049};
    }

    public ExpandedMenuView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 16842868);
    }

    public ExpandedMenuView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet);
        setOnItemClickListener(this);
        ap a = ap.m3341a(context, attributeSet, f1362a, i, 0);
        if (a.m3356e(0)) {
            setBackgroundDrawable(a.m3345a(0));
        }
        if (a.m3356e(1)) {
            setDivider(a.m3345a(1));
        }
        a.m3349b();
    }

    public void m2984a(C0333i c0333i) {
        this.f1363b = c0333i;
    }

    public boolean m2985a(C0341m c0341m) {
        return this.f1363b.m3031a((MenuItem) c0341m, 0);
    }

    public int getWindowAnimations() {
        return this.f1364c;
    }

    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        setChildrenDrawingCacheEnabled(false);
    }

    public void onItemClick(AdapterView adapterView, View view, int i, long j) {
        m2985a((C0341m) getAdapter().getItem(i));
    }
}
