package android.support.v7.internal.widget;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.support.v4.p010c.p011a.C0094a;
import android.util.AttributeSet;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup.LayoutParams;
import android.widget.AbsListView;
import android.widget.ListAdapter;
import android.widget.ListView;
import java.lang.reflect.Field;

public class aa extends ListView {
    private static final int[] f1621f;
    final Rect f1622a;
    int f1623b;
    int f1624c;
    int f1625d;
    int f1626e;
    private Field f1627g;
    private ab f1628h;

    static {
        f1621f = new int[]{0};
    }

    public aa(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f1622a = new Rect();
        this.f1623b = 0;
        this.f1624c = 0;
        this.f1625d = 0;
        this.f1626e = 0;
        try {
            this.f1627g = AbsListView.class.getDeclaredField("mIsChildViewEnabled");
            this.f1627g.setAccessible(true);
        } catch (NoSuchFieldException e) {
            e.printStackTrace();
        }
    }

    public int m3282a(int i, int i2, int i3, int i4, int i5) {
        int listPaddingTop = getListPaddingTop();
        int listPaddingBottom = getListPaddingBottom();
        getListPaddingLeft();
        getListPaddingRight();
        int dividerHeight = getDividerHeight();
        Drawable divider = getDivider();
        ListAdapter adapter = getAdapter();
        if (adapter == null) {
            return listPaddingTop + listPaddingBottom;
        }
        listPaddingBottom += listPaddingTop;
        if (dividerHeight <= 0 || divider == null) {
            dividerHeight = 0;
        }
        int i6 = 0;
        View view = null;
        int i7 = 0;
        int count = adapter.getCount();
        int i8 = 0;
        while (i8 < count) {
            View view2;
            listPaddingTop = adapter.getItemViewType(i8);
            if (listPaddingTop != i7) {
                int i9 = listPaddingTop;
                view2 = null;
                i7 = i9;
            } else {
                view2 = view;
            }
            view = adapter.getView(i8, view2, this);
            LayoutParams layoutParams = view.getLayoutParams();
            listPaddingTop = (layoutParams == null || layoutParams.height <= 0) ? MeasureSpec.makeMeasureSpec(0, 0) : MeasureSpec.makeMeasureSpec(layoutParams.height, 1073741824);
            view.measure(i, listPaddingTop);
            listPaddingTop = (i8 > 0 ? listPaddingBottom + dividerHeight : listPaddingBottom) + view.getMeasuredHeight();
            if (listPaddingTop >= i4) {
                return (i5 < 0 || i8 <= i5 || i6 <= 0 || listPaddingTop == i4) ? i4 : i6;
            } else {
                if (i5 >= 0 && i8 >= i5) {
                    i6 = listPaddingTop;
                }
                i8++;
                listPaddingBottom = listPaddingTop;
            }
        }
        return listPaddingBottom;
    }

    protected void m3283a() {
        Drawable selector = getSelector();
        if (selector != null && m3288b()) {
            selector.setState(getDrawableState());
        }
    }

    protected void m3284a(int i, View view) {
        boolean z = true;
        Drawable selector = getSelector();
        boolean z2 = (selector == null || i == -1) ? false : true;
        if (z2) {
            selector.setVisible(false, false);
        }
        m3287b(i, view);
        if (z2) {
            Rect rect = this.f1622a;
            float exactCenterX = rect.exactCenterX();
            float exactCenterY = rect.exactCenterY();
            if (getVisibility() != 0) {
                z = false;
            }
            selector.setVisible(z, false);
            C0094a.m740a(selector, exactCenterX, exactCenterY);
        }
    }

    protected void m3285a(int i, View view, float f, float f2) {
        m3284a(i, view);
        Drawable selector = getSelector();
        if (selector != null && i != -1) {
            C0094a.m740a(selector, f, f2);
        }
    }

    protected void m3286a(Canvas canvas) {
        if (!this.f1622a.isEmpty()) {
            Drawable selector = getSelector();
            if (selector != null) {
                selector.setBounds(this.f1622a);
                selector.draw(canvas);
            }
        }
    }

    protected void m3287b(int i, View view) {
        Rect rect = this.f1622a;
        rect.set(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
        rect.left -= this.f1623b;
        rect.top -= this.f1624c;
        rect.right += this.f1625d;
        rect.bottom += this.f1626e;
        try {
            boolean z = this.f1627g.getBoolean(this);
            if (view.isEnabled() != z) {
                this.f1627g.set(this, Boolean.valueOf(!z));
                if (i != -1) {
                    refreshDrawableState();
                }
            }
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        }
    }

    protected boolean m3288b() {
        return m3289c() && isPressed();
    }

    protected boolean m3289c() {
        return false;
    }

    protected void dispatchDraw(Canvas canvas) {
        m3286a(canvas);
        super.dispatchDraw(canvas);
    }

    protected void drawableStateChanged() {
        super.drawableStateChanged();
        setSelectorEnabled(true);
        m3283a();
    }

    public void setSelector(Drawable drawable) {
        this.f1628h = drawable != null ? new ab(drawable) : null;
        super.setSelector(this.f1628h);
        Rect rect = new Rect();
        if (drawable != null) {
            drawable.getPadding(rect);
        }
        this.f1623b = rect.left;
        this.f1624c = rect.top;
        this.f1625d = rect.right;
        this.f1626e = rect.bottom;
    }

    protected void setSelectorEnabled(boolean z) {
        if (this.f1628h != null) {
            this.f1628h.m3290a(z);
        }
    }
}
