package android.support.v7.internal.widget;

import android.content.res.Configuration;
import android.os.Build.VERSION;
import android.support.v7.app.C0275d;
import android.support.v7.internal.view.C0317a;
import android.support.v7.p019a.C0254b;
import android.support.v7.widget.ac;
import android.support.v7.widget.bb;
import android.support.v7.widget.bc;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Interpolator;
import android.widget.AbsListView.LayoutParams;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.HorizontalScrollView;
import android.widget.Spinner;

public class ae extends HorizontalScrollView implements OnItemSelectedListener {
    private static final Interpolator f1639j;
    Runnable f1640a;
    int f1641b;
    int f1642c;
    private ah f1643d;
    private bb f1644e;
    private Spinner f1645f;
    private boolean f1646g;
    private int f1647h;
    private int f1648i;

    static {
        f1639j = new DecelerateInterpolator();
    }

    private ai m3298a(C0275d c0275d, boolean z) {
        ai aiVar = new ai(this, getContext(), c0275d, z);
        if (z) {
            aiVar.setBackgroundDrawable(null);
            aiVar.setLayoutParams(new LayoutParams(-1, this.f1647h));
        } else {
            aiVar.setFocusable(true);
            if (this.f1643d == null) {
                this.f1643d = new ah();
            }
            aiVar.setOnClickListener(this.f1643d);
        }
        return aiVar;
    }

    private boolean m3301a() {
        return this.f1645f != null && this.f1645f.getParent() == this;
    }

    private void m3302b() {
        if (!m3301a()) {
            if (this.f1645f == null) {
                this.f1645f = m3304d();
            }
            removeView(this.f1644e);
            addView(this.f1645f, new ViewGroup.LayoutParams(-2, -1));
            if (this.f1645f.getAdapter() == null) {
                this.f1645f.setAdapter(new ag());
            }
            if (this.f1640a != null) {
                removeCallbacks(this.f1640a);
                this.f1640a = null;
            }
            this.f1645f.setSelection(this.f1648i);
        }
    }

    private boolean m3303c() {
        if (m3301a()) {
            removeView(this.f1645f);
            addView(this.f1644e, new ViewGroup.LayoutParams(-2, -1));
            setTabSelected(this.f1645f.getSelectedItemPosition());
        }
        return false;
    }

    private Spinner m3304d() {
        Spinner acVar = new ac(getContext(), null, C0254b.actionDropDownStyle);
        acVar.setLayoutParams(new bc(-2, -1));
        acVar.setOnItemSelectedListener(this);
        return acVar;
    }

    public void m3305a(int i) {
        View childAt = this.f1644e.getChildAt(i);
        if (this.f1640a != null) {
            removeCallbacks(this.f1640a);
        }
        this.f1640a = new af(this, childAt);
        post(this.f1640a);
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.f1640a != null) {
            post(this.f1640a);
        }
    }

    protected void onConfigurationChanged(Configuration configuration) {
        if (VERSION.SDK_INT >= 8) {
            super.onConfigurationChanged(configuration);
        }
        C0317a a = C0317a.m2903a(getContext());
        setContentHeight(a.m2908e());
        this.f1642c = a.m2910g();
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (this.f1640a != null) {
            removeCallbacks(this.f1640a);
        }
    }

    public void onItemSelected(AdapterView adapterView, View view, int i, long j) {
        ((ai) view).m3308b().m2711d();
    }

    public void onMeasure(int i, int i2) {
        int i3 = 1;
        int mode = MeasureSpec.getMode(i);
        boolean z = mode == 1073741824;
        setFillViewport(z);
        int childCount = this.f1644e.getChildCount();
        if (childCount <= 1 || !(mode == 1073741824 || mode == Integer.MIN_VALUE)) {
            this.f1641b = -1;
        } else {
            if (childCount > 2) {
                this.f1641b = (int) (((float) MeasureSpec.getSize(i)) * 0.4f);
            } else {
                this.f1641b = MeasureSpec.getSize(i) / 2;
            }
            this.f1641b = Math.min(this.f1641b, this.f1642c);
        }
        mode = MeasureSpec.makeMeasureSpec(this.f1647h, 1073741824);
        if (z || !this.f1646g) {
            i3 = 0;
        }
        if (i3 != 0) {
            this.f1644e.measure(0, mode);
            if (this.f1644e.getMeasuredWidth() > MeasureSpec.getSize(i)) {
                m3302b();
            } else {
                m3303c();
            }
        } else {
            m3303c();
        }
        i3 = getMeasuredWidth();
        super.onMeasure(i, mode);
        int measuredWidth = getMeasuredWidth();
        if (z && i3 != measuredWidth) {
            setTabSelected(this.f1648i);
        }
    }

    public void onNothingSelected(AdapterView adapterView) {
    }

    public void setAllowCollapse(boolean z) {
        this.f1646g = z;
    }

    public void setContentHeight(int i) {
        this.f1647h = i;
        requestLayout();
    }

    public void setTabSelected(int i) {
        this.f1648i = i;
        int childCount = this.f1644e.getChildCount();
        int i2 = 0;
        while (i2 < childCount) {
            View childAt = this.f1644e.getChildAt(i2);
            boolean z = i2 == i;
            childAt.setSelected(z);
            if (z) {
                m3305a(i);
            }
            i2++;
        }
        if (this.f1645f != null && i >= 0) {
            this.f1645f.setSelection(i);
        }
    }
}
