package android.support.v7.internal.widget;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.os.Build.VERSION;
import android.support.v7.app.C0275d;
import android.support.v7.p019a.C0254b;
import android.support.v7.widget.ak;
import android.support.v7.widget.bb;
import android.support.v7.widget.bc;
import android.text.TextUtils;
import android.text.TextUtils.TruncateAt;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.View.OnLongClickListener;
import android.view.ViewGroup.LayoutParams;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

class ai extends bb implements OnLongClickListener {
    final /* synthetic */ ae f1653a;
    private final int[] f1654b;
    private C0275d f1655c;
    private TextView f1656d;
    private ImageView f1657e;
    private View f1658f;

    public ai(ae aeVar, Context context, C0275d c0275d, boolean z) {
        this.f1653a = aeVar;
        super(context, null, C0254b.actionBarTabStyle);
        this.f1654b = new int[]{16842964};
        this.f1655c = c0275d;
        ap a = ap.m3341a(context, null, this.f1654b, C0254b.actionBarTabStyle, 0);
        if (a.m3356e(0)) {
            setBackgroundDrawable(a.m3345a(0));
        }
        a.m3349b();
        if (z) {
            setGravity(8388627);
        }
        m3306a();
    }

    public void m3306a() {
        C0275d c0275d = this.f1655c;
        View c = c0275d.m2710c();
        if (c != null) {
            ai parent = c.getParent();
            if (parent != this) {
                if (parent != null) {
                    parent.removeView(c);
                }
                addView(c);
            }
            this.f1658f = c;
            if (this.f1656d != null) {
                this.f1656d.setVisibility(8);
            }
            if (this.f1657e != null) {
                this.f1657e.setVisibility(8);
                this.f1657e.setImageDrawable(null);
                return;
            }
            return;
        }
        if (this.f1658f != null) {
            removeView(this.f1658f);
            this.f1658f = null;
        }
        Drawable a = c0275d.m2708a();
        CharSequence b = c0275d.m2709b();
        if (a != null) {
            if (this.f1657e == null) {
                View imageView = new ImageView(getContext());
                LayoutParams bcVar = new bc(-2, -2);
                bcVar.f2155h = 16;
                imageView.setLayoutParams(bcVar);
                addView(imageView, 0);
                this.f1657e = imageView;
            }
            this.f1657e.setImageDrawable(a);
            this.f1657e.setVisibility(0);
        } else if (this.f1657e != null) {
            this.f1657e.setVisibility(8);
            this.f1657e.setImageDrawable(null);
        }
        boolean z = !TextUtils.isEmpty(b);
        if (z) {
            if (this.f1656d == null) {
                imageView = new ak(getContext(), null, C0254b.actionBarTabTextStyle);
                imageView.setEllipsize(TruncateAt.END);
                bcVar = new bc(-2, -2);
                bcVar.f2155h = 16;
                imageView.setLayoutParams(bcVar);
                addView(imageView);
                this.f1656d = imageView;
            }
            this.f1656d.setText(b);
            this.f1656d.setVisibility(0);
        } else if (this.f1656d != null) {
            this.f1656d.setVisibility(8);
            this.f1656d.setText(null);
        }
        if (this.f1657e != null) {
            this.f1657e.setContentDescription(c0275d.m2712e());
        }
        if (z || TextUtils.isEmpty(c0275d.m2712e())) {
            setOnLongClickListener(null);
            setLongClickable(false);
            return;
        }
        setOnLongClickListener(this);
    }

    public void m3307a(C0275d c0275d) {
        this.f1655c = c0275d;
        m3306a();
    }

    public C0275d m3308b() {
        return this.f1655c;
    }

    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        accessibilityEvent.setClassName(C0275d.class.getName());
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        if (VERSION.SDK_INT >= 14) {
            accessibilityNodeInfo.setClassName(C0275d.class.getName());
        }
    }

    public boolean onLongClick(View view) {
        int[] iArr = new int[2];
        getLocationOnScreen(iArr);
        Context context = getContext();
        int width = getWidth();
        int height = getHeight();
        int i = context.getResources().getDisplayMetrics().widthPixels;
        Toast makeText = Toast.makeText(context, this.f1655c.m2712e(), 0);
        makeText.setGravity(49, (iArr[0] + (width / 2)) - (i / 2), height);
        makeText.show();
        return true;
    }

    public void onMeasure(int i, int i2) {
        super.onMeasure(i, i2);
        if (this.f1653a.f1641b > 0 && getMeasuredWidth() > this.f1653a.f1641b) {
            super.onMeasure(MeasureSpec.makeMeasureSpec(this.f1653a.f1641b, 1073741824), i2);
        }
    }

    public void setSelected(boolean z) {
        Object obj = isSelected() != z ? 1 : null;
        super.setSelected(z);
        if (obj != null && z) {
            sendAccessibilityEvent(4);
        }
    }
}
