package android.support.v7.internal.widget;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.support.v4.view.bw;
import android.support.v4.view.ea;
import android.support.v7.internal.view.menu.C0265j;
import android.support.v7.internal.view.menu.C0271y;
import android.support.v7.internal.view.menu.C0333i;
import android.support.v7.p019a.C0254b;
import android.support.v7.p019a.C0258f;
import android.support.v7.p019a.C0259g;
import android.support.v7.p019a.C0262j;
import android.support.v7.p019a.C0264l;
import android.support.v7.widget.ActionMenuPresenter;
import android.support.v7.widget.Toolbar;
import android.support.v7.widget.dz;
import android.text.TextUtils;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import android.view.Window.Callback;

public class aq implements C0355w {
    private Toolbar f1691a;
    private int f1692b;
    private View f1693c;
    private View f1694d;
    private Drawable f1695e;
    private Drawable f1696f;
    private Drawable f1697g;
    private boolean f1698h;
    private CharSequence f1699i;
    private CharSequence f1700j;
    private CharSequence f1701k;
    private Callback f1702l;
    private boolean f1703m;
    private ActionMenuPresenter f1704n;
    private int f1705o;
    private final an f1706p;
    private int f1707q;
    private Drawable f1708r;

    public aq(Toolbar toolbar, boolean z) {
        this(toolbar, z, C0262j.abc_action_bar_up_description, C0258f.abc_ic_ab_back_mtrl_am_alpha);
    }

    public aq(Toolbar toolbar, boolean z, int i, int i2) {
        this.f1705o = 0;
        this.f1707q = 0;
        this.f1691a = toolbar;
        this.f1699i = toolbar.getTitle();
        this.f1700j = toolbar.getSubtitle();
        this.f1698h = this.f1699i != null;
        this.f1697g = toolbar.getNavigationIcon();
        if (z) {
            ap a = ap.m3341a(toolbar.getContext(), null, C0264l.ActionBar, C0254b.actionBarStyle, 0);
            CharSequence c = a.m3352c(C0264l.ActionBar_title);
            if (!TextUtils.isEmpty(c)) {
                m3412b(c);
            }
            c = a.m3352c(C0264l.ActionBar_subtitle);
            if (!TextUtils.isEmpty(c)) {
                m3416c(c);
            }
            Drawable a2 = a.m3345a(C0264l.ActionBar_logo);
            if (a2 != null) {
                m3415c(a2);
            }
            a2 = a.m3345a(C0264l.ActionBar_icon);
            if (this.f1697g == null && a2 != null) {
                m3401a(a2);
            }
            a2 = a.m3345a(C0264l.ActionBar_homeAsUpIndicator);
            if (a2 != null) {
                m3420d(a2);
            }
            m3414c(a.m3344a(C0264l.ActionBar_displayOptions, 0));
            int g = a.m3358g(C0264l.ActionBar_customNavigationLayout, 0);
            if (g != 0) {
                m3405a(LayoutInflater.from(this.f1691a.getContext()).inflate(g, this.f1691a, false));
                m3414c(this.f1692b | 16);
            }
            g = a.m3357f(C0264l.ActionBar_height, 0);
            if (g > 0) {
                LayoutParams layoutParams = this.f1691a.getLayoutParams();
                layoutParams.height = g;
                this.f1691a.setLayoutParams(layoutParams);
            }
            g = a.m3353d(C0264l.ActionBar_contentInsetStart, -1);
            int d = a.m3353d(C0264l.ActionBar_contentInsetEnd, -1);
            if (g >= 0 || d >= 0) {
                this.f1691a.m4005a(Math.max(g, 0), Math.max(d, 0));
            }
            g = a.m3358g(C0264l.ActionBar_titleTextStyle, 0);
            if (g != 0) {
                this.f1691a.m4006a(this.f1691a.getContext(), g);
            }
            g = a.m3358g(C0264l.ActionBar_subtitleTextStyle, 0);
            if (g != 0) {
                this.f1691a.m4010b(this.f1691a.getContext(), g);
            }
            int g2 = a.m3358g(C0264l.ActionBar_popupTheme, 0);
            if (g2 != 0) {
                this.f1691a.setPopupTheme(g2);
            }
            a.m3349b();
            this.f1706p = a.m3351c();
        } else {
            this.f1692b = m3394r();
            this.f1706p = an.m3319a(toolbar.getContext());
        }
        m3423e(i);
        this.f1701k = this.f1691a.getNavigationContentDescription();
        m3411b(this.f1706p.m3332a(i2));
        this.f1691a.setNavigationOnClickListener(new ar(this));
    }

    private void m3393e(CharSequence charSequence) {
        this.f1699i = charSequence;
        if ((this.f1692b & 8) != 0) {
            this.f1691a.setTitle(charSequence);
        }
    }

    private int m3394r() {
        return this.f1691a.getNavigationIcon() != null ? 15 : 11;
    }

    private void m3395s() {
        Drawable drawable = null;
        if ((this.f1692b & 2) != 0) {
            drawable = (this.f1692b & 1) != 0 ? this.f1696f != null ? this.f1696f : this.f1695e : this.f1695e;
        }
        this.f1691a.setLogo(drawable);
    }

    private void m3396t() {
        if ((this.f1692b & 4) == 0) {
            return;
        }
        if (TextUtils.isEmpty(this.f1701k)) {
            this.f1691a.setNavigationContentDescription(this.f1707q);
        } else {
            this.f1691a.setNavigationContentDescription(this.f1701k);
        }
    }

    private void m3397u() {
        if ((this.f1692b & 4) != 0) {
            this.f1691a.setNavigationIcon(this.f1697g != null ? this.f1697g : this.f1708r);
        }
    }

    public ea m3398a(int i, long j) {
        ea a;
        if (i == 8) {
            a = bw.m1533q(this.f1691a).m1844a(0.0f);
            a.m1845a(j);
            a.m1846a(new as(this));
            return a;
        } else if (i != 0) {
            return null;
        } else {
            a = bw.m1533q(this.f1691a).m1844a(1.0f);
            a.m1845a(j);
            a.m1846a(new at(this));
            return a;
        }
    }

    public ViewGroup m3399a() {
        return this.f1691a;
    }

    public void m3400a(int i) {
        m3401a(i != 0 ? this.f1706p.m3332a(i) : null);
    }

    public void m3401a(Drawable drawable) {
        this.f1695e = drawable;
        m3395s();
    }

    public void m3402a(C0271y c0271y, C0265j c0265j) {
        this.f1691a.m4008a(c0271y, c0265j);
    }

    public void m3403a(ae aeVar) {
        if (this.f1693c != null && this.f1693c.getParent() == this.f1691a) {
            this.f1691a.removeView(this.f1693c);
        }
        this.f1693c = aeVar;
        if (aeVar != null && this.f1705o == 2) {
            this.f1691a.addView(this.f1693c, 0);
            dz dzVar = (dz) this.f1693c.getLayoutParams();
            dzVar.width = -2;
            dzVar.height = -2;
            dzVar.a = 8388691;
            aeVar.setAllowCollapse(true);
        }
    }

    public void m3404a(Menu menu, C0271y c0271y) {
        if (this.f1704n == null) {
            this.f1704n = new ActionMenuPresenter(this.f1691a.getContext());
            this.f1704n.m3094a(C0259g.action_menu_presenter);
        }
        this.f1704n.m3098a(c0271y);
        this.f1691a.m4007a((C0333i) menu, this.f1704n);
    }

    public void m3405a(View view) {
        if (!(this.f1694d == null || (this.f1692b & 16) == 0)) {
            this.f1691a.removeView(this.f1694d);
        }
        this.f1694d = view;
        if (view != null && (this.f1692b & 16) != 0) {
            this.f1691a.addView(this.f1694d);
        }
    }

    public void m3406a(Callback callback) {
        this.f1702l = callback;
    }

    public void m3407a(CharSequence charSequence) {
        if (!this.f1698h) {
            m3393e(charSequence);
        }
    }

    public void m3408a(boolean z) {
        this.f1691a.setCollapsible(z);
    }

    public Context m3409b() {
        return this.f1691a.getContext();
    }

    public void m3410b(int i) {
        m3415c(i != 0 ? this.f1706p.m3332a(i) : null);
    }

    public void m3411b(Drawable drawable) {
        if (this.f1708r != drawable) {
            this.f1708r = drawable;
            m3397u();
        }
    }

    public void m3412b(CharSequence charSequence) {
        this.f1698h = true;
        m3393e(charSequence);
    }

    public void m3413b(boolean z) {
    }

    public void m3414c(int i) {
        int i2 = this.f1692b ^ i;
        this.f1692b = i;
        if (i2 != 0) {
            if ((i2 & 4) != 0) {
                if ((i & 4) != 0) {
                    m3397u();
                    m3396t();
                } else {
                    this.f1691a.setNavigationIcon(null);
                }
            }
            if ((i2 & 3) != 0) {
                m3395s();
            }
            if ((i2 & 8) != 0) {
                if ((i & 8) != 0) {
                    this.f1691a.setTitle(this.f1699i);
                    this.f1691a.setSubtitle(this.f1700j);
                } else {
                    this.f1691a.setTitle(null);
                    this.f1691a.setSubtitle(null);
                }
            }
            if ((i2 & 16) != 0 && this.f1694d != null) {
                if ((i & 16) != 0) {
                    this.f1691a.addView(this.f1694d);
                } else {
                    this.f1691a.removeView(this.f1694d);
                }
            }
        }
    }

    public void m3415c(Drawable drawable) {
        this.f1696f = drawable;
        m3395s();
    }

    public void m3416c(CharSequence charSequence) {
        this.f1700j = charSequence;
        if ((this.f1692b & 8) != 0) {
            this.f1691a.setSubtitle(charSequence);
        }
    }

    public boolean m3417c() {
        return this.f1691a.m4016g();
    }

    public void m3418d() {
        this.f1691a.m4017h();
    }

    public void m3419d(int i) {
        m3421d(i == 0 ? null : m3409b().getString(i));
    }

    public void m3420d(Drawable drawable) {
        this.f1697g = drawable;
        m3397u();
    }

    public void m3421d(CharSequence charSequence) {
        this.f1701k = charSequence;
        m3396t();
    }

    public CharSequence m3422e() {
        return this.f1691a.getTitle();
    }

    public void m3423e(int i) {
        if (i != this.f1707q) {
            this.f1707q = i;
            if (TextUtils.isEmpty(this.f1691a.getNavigationContentDescription())) {
                m3419d(this.f1707q);
            }
        }
    }

    public void m3424f() {
        Log.i("ToolbarWidgetWrapper", "Progress display unsupported");
    }

    public void m3425g() {
        Log.i("ToolbarWidgetWrapper", "Progress display unsupported");
    }

    public boolean m3426h() {
        return this.f1691a.m4009a();
    }

    public boolean m3427i() {
        return this.f1691a.m4011b();
    }

    public boolean m3428j() {
        return this.f1691a.m4012c();
    }

    public boolean m3429k() {
        return this.f1691a.m4013d();
    }

    public boolean m3430l() {
        return this.f1691a.m4014e();
    }

    public void m3431m() {
        this.f1703m = true;
    }

    public void m3432n() {
        this.f1691a.m4015f();
    }

    public int m3433o() {
        return this.f1692b;
    }

    public int m3434p() {
        return this.f1705o;
    }

    public Menu m3435q() {
        return this.f1691a.getMenu();
    }
}
