package android.support.v7.widget;

import android.os.SystemClock;
import android.support.v4.view.ba;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.view.ViewConfiguration;
import com.neatorobotics.android.C0729b;

public abstract class bm implements OnTouchListener {
    private final float f1424a;
    private final int f1425b;
    private final int f1426c;
    private final View f1427d;
    private Runnable f1428e;
    private Runnable f1429f;
    private boolean f1430g;
    private boolean f1431h;
    private int f1432i;
    private final int[] f1433j;

    public bm(View view) {
        this.f1433j = new int[2];
        this.f1427d = view;
        this.f1424a = (float) ViewConfiguration.get(view.getContext()).getScaledTouchSlop();
        this.f1425b = ViewConfiguration.getTapTimeout();
        this.f1426c = (this.f1425b + ViewConfiguration.getLongPressTimeout()) / 2;
    }

    private boolean m3070a(MotionEvent motionEvent) {
        View view = this.f1427d;
        if (!view.isEnabled()) {
            return false;
        }
        switch (ba.m1414a(motionEvent)) {
            case C0729b.View_android_theme /*0*/:
                this.f1432i = motionEvent.getPointerId(0);
                this.f1431h = false;
                if (this.f1428e == null) {
                    this.f1428e = new bn();
                }
                view.postDelayed(this.f1428e, (long) this.f1425b);
                if (this.f1429f == null) {
                    this.f1429f = new bo();
                }
                view.postDelayed(this.f1429f, (long) this.f1426c);
                return false;
            case C0729b.View_android_focusable /*1*/:
            case C0729b.View_paddingEnd /*3*/:
                m3076d();
                return false;
            case C0729b.View_paddingStart /*2*/:
                int findPointerIndex = motionEvent.findPointerIndex(this.f1432i);
                if (findPointerIndex < 0 || m3071a(view, motionEvent.getX(findPointerIndex), motionEvent.getY(findPointerIndex), this.f1424a)) {
                    return false;
                }
                m3076d();
                view.getParent().requestDisallowInterceptTouchEvent(true);
                return true;
            default:
                return false;
        }
    }

    private static boolean m3071a(View view, float f, float f2, float f3) {
        return f >= (-f3) && f2 >= (-f3) && f < ((float) (view.getRight() - view.getLeft())) + f3 && f2 < ((float) (view.getBottom() - view.getTop())) + f3;
    }

    private boolean m3072a(View view, MotionEvent motionEvent) {
        int[] iArr = this.f1433j;
        view.getLocationOnScreen(iArr);
        motionEvent.offsetLocation((float) (-iArr[0]), (float) (-iArr[1]));
        return true;
    }

    private boolean m3074b(MotionEvent motionEvent) {
        boolean z = true;
        View view = this.f1427d;
        bh a = m3078a();
        if (a == null || !a.m4060k()) {
            return false;
        }
        View a2 = a.f2055f;
        if (a2 == null || !a2.isShown()) {
            return false;
        }
        MotionEvent obtainNoHistory = MotionEvent.obtainNoHistory(motionEvent);
        m3075b(view, obtainNoHistory);
        m3072a(a2, obtainNoHistory);
        boolean a3 = a2.m4211a(obtainNoHistory, this.f1432i);
        obtainNoHistory.recycle();
        int a4 = ba.m1414a(motionEvent);
        boolean z2 = (a4 == 1 || a4 == 3) ? false : true;
        if (!(a3 && z2)) {
            z = false;
        }
        return z;
    }

    private boolean m3075b(View view, MotionEvent motionEvent) {
        int[] iArr = this.f1433j;
        view.getLocationOnScreen(iArr);
        motionEvent.offsetLocation((float) iArr[0], (float) iArr[1]);
        return true;
    }

    private void m3076d() {
        if (this.f1429f != null) {
            this.f1427d.removeCallbacks(this.f1429f);
        }
        if (this.f1428e != null) {
            this.f1427d.removeCallbacks(this.f1428e);
        }
    }

    private void m3077e() {
        m3076d();
        View view = this.f1427d;
        if (view.isEnabled() && !view.isLongClickable() && m3079b()) {
            view.getParent().requestDisallowInterceptTouchEvent(true);
            long uptimeMillis = SystemClock.uptimeMillis();
            MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
            view.onTouchEvent(obtain);
            obtain.recycle();
            this.f1430g = true;
            this.f1431h = true;
        }
    }

    public abstract bh m3078a();

    protected boolean m3079b() {
        bh a = m3078a();
        if (!(a == null || a.m4060k())) {
            a.m4046c();
        }
        return true;
    }

    protected boolean m3080c() {
        bh a = m3078a();
        if (a != null && a.m4060k()) {
            a.m4058i();
        }
        return true;
    }

    public boolean onTouch(View view, MotionEvent motionEvent) {
        boolean b;
        boolean z = this.f1430g;
        if (z) {
            b = this.f1431h ? m3074b(motionEvent) : m3074b(motionEvent) || !m3080c();
        } else {
            boolean z2 = m3070a(motionEvent) && m3079b();
            if (z2) {
                long uptimeMillis = SystemClock.uptimeMillis();
                MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, 0.0f, 0.0f, 0);
                this.f1427d.onTouchEvent(obtain);
                obtain.recycle();
            }
            b = z2;
        }
        this.f1430g = b;
        return b || z;
    }
}
