package android.support.v7.widget;

import android.content.Context;
import android.graphics.Rect;
import android.os.Bundle;
import android.os.Parcelable;
import android.support.v4.view.bw;
import android.support.v4.view.p017a.C0172a;
import android.support.v4.view.p017a.C0179g;
import android.support.v4.view.p017a.C0190r;
import android.support.v4.view.p017a.C0191s;
import android.support.v4.view.p017a.al;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.View.MeasureSpec;
import android.view.ViewGroup.LayoutParams;
import android.view.ViewGroup.MarginLayoutParams;
import android.view.accessibility.AccessibilityEvent;
import java.util.ArrayList;

public abstract class co {
    private boolean f1798a;
    private boolean f1799b;
    al f1800h;
    RecyclerView f1801i;
    cy f1802j;

    public co() {
        this.f1798a = false;
        this.f1799b = false;
    }

    public static int m3544a(int i, int i2, int i3, boolean z) {
        int i4 = 1073741824;
        int max = Math.max(0, i - i2);
        if (z) {
            if (i3 < 0) {
                i4 = 0;
                i3 = 0;
            }
        } else if (i3 < 0) {
            if (i3 == -1) {
                i3 = max;
            } else if (i3 == -2) {
                i4 = Integer.MIN_VALUE;
                i3 = max;
            } else {
                i4 = 0;
                i3 = 0;
            }
        }
        return MeasureSpec.makeMeasureSpec(i3, i4);
    }

    private void m3545a(int i, View view) {
        this.f1800h.m4091d(i);
    }

    private void m3547a(cu cuVar, int i, View view) {
        dd b = RecyclerView.m3748b(view);
        if (!b.m4461c()) {
            if (!b.m4471m() || b.m4475q() || b.m4473o() || this.f1801i.f1854o.m4300b()) {
                m3623e(i);
                cuVar.m4372c(view);
                return;
            }
            m3618d(i);
            cuVar.m4366b(b);
        }
    }

    private void m3548a(cy cyVar) {
        if (this.f1802j == cyVar) {
            this.f1802j = null;
        }
    }

    private void m3549a(View view, int i, boolean z) {
        dd b = RecyclerView.m3748b(view);
        if (z || b.m4475q()) {
            this.f1801i.f1846e.m4423b(view);
        } else {
            this.f1801i.f1846e.m4421a(view);
        }
        cp cpVar = (cp) view.getLayoutParams();
        if (b.m4468j() || b.m4466h()) {
            if (b.m4466h()) {
                b.m4467i();
            } else {
                b.m4469k();
            }
            this.f1800h.m4082a(view, i, view.getLayoutParams(), false);
        } else if (view.getParent() == this.f1801i) {
            int b2 = this.f1800h.m4086b(view);
            if (i == -1) {
                i = this.f1800h.m4085b();
            }
            if (b2 == -1) {
                throw new IllegalStateException("Added View has RecyclerView as parent but view is not a real child. Unfiltered index:" + this.f1801i.indexOfChild(view));
            } else if (b2 != i) {
                this.f1801i.f1855p.m3557a(b2, i);
            }
        } else {
            this.f1800h.m4083a(view, i, false);
            cpVar.f2208c = true;
            if (this.f1802j != null && this.f1802j.m4400c()) {
                this.f1802j.m4398b(view);
            }
        }
        if (cpVar.f2209d) {
            b.f2259a.invalidate();
            cpVar.f2209d = false;
        }
    }

    public int m3552a(int i, cu cuVar, da daVar) {
        return 0;
    }

    public abstract cp m3553a();

    public cp m3554a(Context context, AttributeSet attributeSet) {
        return new cp(context, attributeSet);
    }

    public cp m3555a(LayoutParams layoutParams) {
        return layoutParams instanceof cp ? new cp((cp) layoutParams) : layoutParams instanceof MarginLayoutParams ? new cp((MarginLayoutParams) layoutParams) : new cp(layoutParams);
    }

    public View m3556a(View view, int i, cu cuVar, da daVar) {
        return null;
    }

    public void m3557a(int i, int i2) {
        View f = m3628f(i);
        if (f == null) {
            throw new IllegalArgumentException("Cannot move a child from non-existing index:" + i);
        }
        m3623e(i);
        m3612c(f, i2);
    }

    public void m3558a(int i, cu cuVar) {
        View f = m3628f(i);
        m3618d(i);
        cuVar.m4360a(f);
    }

    public void m3559a(Parcelable parcelable) {
    }

    void m3560a(C0179g c0179g) {
        m3570a(this.f1801i.f1842a, this.f1801i.f1846e, c0179g);
    }

    void m3561a(RecyclerView recyclerView) {
        if (recyclerView == null) {
            this.f1801i = null;
            this.f1800h = null;
            return;
        }
        this.f1801i = recyclerView;
        this.f1800h = recyclerView.f1844c;
    }

    public void m3562a(RecyclerView recyclerView, int i, int i2) {
    }

    public void m3563a(RecyclerView recyclerView, int i, int i2, int i3) {
    }

    public void m3564a(RecyclerView recyclerView, int i, int i2, Object obj) {
        m3609c(recyclerView, i, i2);
    }

    public void m3565a(RecyclerView recyclerView, cu cuVar) {
        m3619d(recyclerView);
    }

    public void m3566a(ce ceVar, ce ceVar2) {
    }

    public void m3567a(cu cuVar) {
        for (int q = m3648q() - 1; q >= 0; q--) {
            m3547a(cuVar, q, m3628f(q));
        }
    }

    public void m3568a(cu cuVar, da daVar) {
        Log.e("RecyclerView", "You must override onLayoutChildren(Recycler recycler, State state) ");
    }

    public void m3569a(cu cuVar, da daVar, int i, int i2) {
        this.f1801i.m3770i(i, i2);
    }

    public void m3570a(cu cuVar, da daVar, C0179g c0179g) {
        if (bw.m1513b(this.f1801i, -1) || bw.m1509a(this.f1801i, -1)) {
            c0179g.m1076a(8192);
            c0179g.m1105i(true);
        }
        if (bw.m1513b(this.f1801i, 1) || bw.m1509a(this.f1801i, 1)) {
            c0179g.m1076a(4096);
            c0179g.m1105i(true);
        }
        c0179g.m1086b(C0190r.m1259a(m3605c(cuVar, daVar), m3614d(cuVar, daVar), m3625e(cuVar, daVar), m3594b(cuVar, daVar)));
    }

    public void m3571a(cu cuVar, da daVar, View view, C0179g c0179g) {
        c0179g.m1091c(C0191s.m1260a(m3620d() ? m3616d(view) : 0, 1, m3613c() ? m3616d(view) : 0, 1, false, false));
    }

    public void m3572a(cu cuVar, da daVar, AccessibilityEvent accessibilityEvent) {
        boolean z = true;
        al a = C0172a.m1000a(accessibilityEvent);
        if (this.f1801i != null && a != null) {
            if (!(bw.m1513b(this.f1801i, 1) || bw.m1513b(this.f1801i, -1) || bw.m1509a(this.f1801i, -1) || bw.m1509a(this.f1801i, 1))) {
                z = false;
            }
            a.m1024a(z);
            if (this.f1801i.f1854o != null) {
                a.m1023a(this.f1801i.f1854o.m4285a());
            }
        }
    }

    public void m3573a(View view) {
        m3574a(view, -1);
    }

    public void m3574a(View view, int i) {
        m3549a(view, i, true);
    }

    public void m3575a(View view, int i, int i2) {
        cp cpVar = (cp) view.getLayoutParams();
        Rect f = this.f1801i.m3820f(view);
        view.measure(m3544a(m3649r(), ((f.left + f.right) + i) + (((m3651t() + m3653v()) + cpVar.leftMargin) + cpVar.rightMargin), cpVar.width, m3613c()), m3544a(m3650s(), ((f.bottom + f.top) + i2) + (((m3652u() + m3654w()) + cpVar.topMargin) + cpVar.bottomMargin), cpVar.height, m3620d()));
    }

    public void m3576a(View view, int i, int i2, int i3, int i4) {
        Rect rect = ((cp) view.getLayoutParams()).f2207b;
        view.layout(rect.left + i, rect.top + i2, i3 - rect.right, i4 - rect.bottom);
    }

    public void m3577a(View view, int i, cp cpVar) {
        dd b = RecyclerView.m3748b(view);
        if (b.m4475q()) {
            this.f1801i.f1846e.m4423b(view);
        } else {
            this.f1801i.f1846e.m4421a(view);
        }
        this.f1800h.m4082a(view, i, cpVar, b.m4475q());
    }

    public void m3578a(View view, Rect rect) {
        if (this.f1801i == null) {
            rect.set(0, 0, 0, 0);
        } else {
            rect.set(this.f1801i.m3820f(view));
        }
    }

    void m3579a(View view, C0179g c0179g) {
        dd b = RecyclerView.m3748b(view);
        if (b != null && !b.m4475q() && !this.f1800h.m4090c(b.f2259a)) {
            m3571a(this.f1801i.f1842a, this.f1801i.f1846e, view, c0179g);
        }
    }

    public void m3580a(View view, cu cuVar) {
        m3611c(view);
        cuVar.m4360a(view);
    }

    public void m3581a(AccessibilityEvent accessibilityEvent) {
        m3572a(this.f1801i.f1842a, this.f1801i.f1846e, accessibilityEvent);
    }

    public void m3582a(Runnable runnable) {
        if (this.f1801i != null) {
            bw.m1505a(this.f1801i, runnable);
        }
    }

    public void m3583a(String str) {
        if (this.f1801i != null) {
            this.f1801i.m3802a(str);
        }
    }

    boolean m3584a(int i, Bundle bundle) {
        return m3590a(this.f1801i.f1842a, this.f1801i.f1846e, i, bundle);
    }

    public boolean m3585a(RecyclerView recyclerView, da daVar, View view, View view2) {
        return m3587a(recyclerView, view, view2);
    }

    public boolean m3586a(RecyclerView recyclerView, View view, Rect rect, boolean z) {
        int t = m3651t();
        int u = m3652u();
        int r = m3649r() - m3653v();
        int s = m3650s() - m3654w();
        int left = view.getLeft() + rect.left;
        int top = view.getTop() + rect.top;
        int width = left + rect.width();
        int height = top + rect.height();
        int min = Math.min(0, left - t);
        int min2 = Math.min(0, top - u);
        int max = Math.max(0, width - r);
        s = Math.max(0, height - s);
        if (m3646o() == 1) {
            if (max == 0) {
                max = Math.max(min, width - r);
            }
            min = max;
        } else {
            min = min != 0 ? min : Math.min(left - t, max);
        }
        max = min2 != 0 ? min2 : Math.min(top - u, s);
        if (min == 0 && max == 0) {
            return false;
        }
        if (z) {
            recyclerView.scrollBy(min, max);
        } else {
            recyclerView.m3798a(min, max);
        }
        return true;
    }

    @Deprecated
    public boolean m3587a(RecyclerView recyclerView, View view, View view2) {
        return m3645n() || recyclerView.m3828k();
    }

    public boolean m3588a(RecyclerView recyclerView, ArrayList arrayList, int i, int i2) {
        return false;
    }

    public boolean m3589a(cp cpVar) {
        return cpVar != null;
    }

    /* JADX WARNING: inconsistent code. */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public boolean m3590a(android.support.v7.widget.cu r7, android.support.v7.widget.da r8, int r9, android.os.Bundle r10) {
        /*
        r6 = this;
        r4 = -1;
        r2 = 1;
        r1 = 0;
        r0 = r6.f1801i;
        if (r0 != 0) goto L_0x0008;
    L_0x0007:
        return r1;
    L_0x0008:
        switch(r9) {
            case 4096: goto L_0x004a;
            case 8192: goto L_0x0018;
            default: goto L_0x000b;
        };
    L_0x000b:
        r0 = r1;
        r3 = r1;
    L_0x000d:
        if (r3 != 0) goto L_0x0011;
    L_0x000f:
        if (r0 == 0) goto L_0x0007;
    L_0x0011:
        r1 = r6.f1801i;
        r1.scrollBy(r0, r3);
        r1 = r2;
        goto L_0x0007;
    L_0x0018:
        r0 = r6.f1801i;
        r0 = android.support.v4.view.bw.m1513b(r0, r4);
        if (r0 == 0) goto L_0x007f;
    L_0x0020:
        r0 = r6.m3650s();
        r3 = r6.m3652u();
        r0 = r0 - r3;
        r3 = r6.m3654w();
        r0 = r0 - r3;
        r0 = -r0;
    L_0x002f:
        r3 = r6.f1801i;
        r3 = android.support.v4.view.bw.m1509a(r3, r4);
        if (r3 == 0) goto L_0x007a;
    L_0x0037:
        r3 = r6.m3649r();
        r4 = r6.m3651t();
        r3 = r3 - r4;
        r4 = r6.m3653v();
        r3 = r3 - r4;
        r3 = -r3;
        r5 = r3;
        r3 = r0;
        r0 = r5;
        goto L_0x000d;
    L_0x004a:
        r0 = r6.f1801i;
        r0 = android.support.v4.view.bw.m1513b(r0, r2);
        if (r0 == 0) goto L_0x007d;
    L_0x0052:
        r0 = r6.m3650s();
        r3 = r6.m3652u();
        r0 = r0 - r3;
        r3 = r6.m3654w();
        r0 = r0 - r3;
    L_0x0060:
        r3 = r6.f1801i;
        r3 = android.support.v4.view.bw.m1509a(r3, r2);
        if (r3 == 0) goto L_0x007a;
    L_0x0068:
        r3 = r6.m3649r();
        r4 = r6.m3651t();
        r3 = r3 - r4;
        r4 = r6.m3653v();
        r3 = r3 - r4;
        r5 = r3;
        r3 = r0;
        r0 = r5;
        goto L_0x000d;
    L_0x007a:
        r3 = r0;
        r0 = r1;
        goto L_0x000d;
    L_0x007d:
        r0 = r1;
        goto L_0x0060;
    L_0x007f:
        r0 = r1;
        goto L_0x002f;
        */
        throw new UnsupportedOperationException("Method not decompiled: android.support.v7.widget.co.a(android.support.v7.widget.cu, android.support.v7.widget.da, int, android.os.Bundle):boolean");
    }

    public boolean m3591a(cu cuVar, da daVar, View view, int i, Bundle bundle) {
        return false;
    }

    boolean m3592a(View view, int i, Bundle bundle) {
        return m3591a(this.f1801i.f1842a, this.f1801i.f1846e, view, i, bundle);
    }

    public int m3593b(int i, cu cuVar, da daVar) {
        return 0;
    }

    public int m3594b(cu cuVar, da daVar) {
        return 0;
    }

    public int m3595b(da daVar) {
        return 0;
    }

    public Parcelable m3596b() {
        return null;
    }

    public View m3597b(int i) {
        int q = m3648q();
        for (int i2 = 0; i2 < q; i2++) {
            View f = m3628f(i2);
            dd b = RecyclerView.m3748b(f);
            if (b != null && b.m4462d() == i && !b.m4461c() && (this.f1801i.f1846e.m4422a() || !b.m4475q())) {
                return f;
            }
        }
        return null;
    }

    void m3598b(RecyclerView recyclerView) {
        this.f1799b = true;
        m3608c(recyclerView);
    }

    public void m3599b(RecyclerView recyclerView, int i, int i2) {
    }

    void m3600b(RecyclerView recyclerView, cu cuVar) {
        this.f1799b = false;
        m3565a(recyclerView, cuVar);
    }

    void m3601b(cu cuVar) {
        int d = cuVar.m4373d();
        for (int i = d - 1; i >= 0; i--) {
            View d2 = cuVar.m4374d(i);
            dd b = RecyclerView.m3748b(d2);
            if (!b.m4461c()) {
                b.m4457a(false);
                if (b.m4476r()) {
                    this.f1801i.removeDetachedView(d2, false);
                }
                if (this.f1801i.f1845d != null) {
                    this.f1801i.f1845d.m4124c(b);
                }
                b.m4457a(true);
                cuVar.m4367b(d2);
            }
        }
        cuVar.m4377e();
        if (d > 0) {
            this.f1801i.invalidate();
        }
    }

    public void m3602b(View view) {
        m3603b(view, -1);
    }

    public void m3603b(View view, int i) {
        m3549a(view, i, false);
    }

    public boolean m3604b(Runnable runnable) {
        return this.f1801i != null ? this.f1801i.removeCallbacks(runnable) : false;
    }

    public int m3605c(cu cuVar, da daVar) {
        return (this.f1801i == null || this.f1801i.f1854o == null || !m3620d()) ? 1 : this.f1801i.f1854o.m4285a();
    }

    public int m3606c(da daVar) {
        return 0;
    }

    public void m3607c(int i) {
    }

    public void m3608c(RecyclerView recyclerView) {
    }

    public void m3609c(RecyclerView recyclerView, int i, int i2) {
    }

    public void m3610c(cu cuVar) {
        for (int q = m3648q() - 1; q >= 0; q--) {
            if (!RecyclerView.m3748b(m3628f(q)).m4461c()) {
                m3558a(q, cuVar);
            }
        }
    }

    public void m3611c(View view) {
        this.f1800h.m4081a(view);
    }

    public void m3612c(View view, int i) {
        m3577a(view, i, (cp) view.getLayoutParams());
    }

    public boolean m3613c() {
        return false;
    }

    public int m3614d(cu cuVar, da daVar) {
        return (this.f1801i == null || this.f1801i.f1854o == null || !m3613c()) ? 1 : this.f1801i.f1854o.m4285a();
    }

    public int m3615d(da daVar) {
        return 0;
    }

    public int m3616d(View view) {
        return ((cp) view.getLayoutParams()).m4332c();
    }

    public View m3617d(View view, int i) {
        return null;
    }

    public void m3618d(int i) {
        if (m3628f(i) != null) {
            this.f1800h.m4080a(i);
        }
    }

    @Deprecated
    public void m3619d(RecyclerView recyclerView) {
    }

    public boolean m3620d() {
        return false;
    }

    public int m3621e(da daVar) {
        return 0;
    }

    public int m3622e(View view) {
        Rect rect = ((cp) view.getLayoutParams()).f2207b;
        return rect.right + (view.getMeasuredWidth() + rect.left);
    }

    public void m3623e(int i) {
        m3545a(i, m3628f(i));
    }

    public void m3624e(RecyclerView recyclerView) {
    }

    public boolean m3625e(cu cuVar, da daVar) {
        return false;
    }

    public int m3626f(da daVar) {
        return 0;
    }

    public int m3627f(View view) {
        Rect rect = ((cp) view.getLayoutParams()).f2207b;
        return rect.bottom + (view.getMeasuredHeight() + rect.top);
    }

    public View m3628f(int i) {
        return this.f1800h != null ? this.f1800h.m4087b(i) : null;
    }

    public int m3629g(da daVar) {
        return 0;
    }

    public int m3630g(View view) {
        return view.getLeft() - m3642m(view);
    }

    public void m3631g(int i) {
        if (this.f1801i != null) {
            this.f1801i.m3807b(i);
        }
    }

    public int m3632h(View view) {
        return view.getTop() - m3638k(view);
    }

    public void m3633h(int i) {
        if (this.f1801i != null) {
            this.f1801i.m3797a(i);
        }
    }

    public int m3634i(View view) {
        return view.getRight() + m3644n(view);
    }

    public void m3635i(int i) {
    }

    public int m3636j(View view) {
        return view.getBottom() + m3640l(view);
    }

    public boolean m3637j() {
        return false;
    }

    public int m3638k(View view) {
        return ((cp) view.getLayoutParams()).f2207b.top;
    }

    public void m3639k() {
        if (this.f1801i != null) {
            this.f1801i.requestLayout();
        }
    }

    public int m3640l(View view) {
        return ((cp) view.getLayoutParams()).f2207b.bottom;
    }

    public boolean m3641l() {
        return this.f1799b;
    }

    public int m3642m(View view) {
        return ((cp) view.getLayoutParams()).f2207b.left;
    }

    public boolean m3643m() {
        return this.f1801i != null && this.f1801i.f1851l;
    }

    public int m3644n(View view) {
        return ((cp) view.getLayoutParams()).f2207b.right;
    }

    public boolean m3645n() {
        return this.f1802j != null && this.f1802j.m4400c();
    }

    public int m3646o() {
        return bw.m1524h(this.f1801i);
    }

    public int m3647p() {
        return -1;
    }

    public int m3648q() {
        return this.f1800h != null ? this.f1800h.m4085b() : 0;
    }

    public int m3649r() {
        return this.f1801i != null ? this.f1801i.getWidth() : 0;
    }

    public int m3650s() {
        return this.f1801i != null ? this.f1801i.getHeight() : 0;
    }

    public int m3651t() {
        return this.f1801i != null ? this.f1801i.getPaddingLeft() : 0;
    }

    public int m3652u() {
        return this.f1801i != null ? this.f1801i.getPaddingTop() : 0;
    }

    public int m3653v() {
        return this.f1801i != null ? this.f1801i.getPaddingRight() : 0;
    }

    public int m3654w() {
        return this.f1801i != null ? this.f1801i.getPaddingBottom() : 0;
    }

    public View m3655x() {
        if (this.f1801i == null) {
            return null;
        }
        View focusedChild = this.f1801i.getFocusedChild();
        return (focusedChild == null || this.f1800h.m4090c(focusedChild)) ? null : focusedChild;
    }

    void m3656y() {
        if (this.f1802j != null) {
            this.f1802j.m4394a();
        }
    }

    public void m3657z() {
        this.f1798a = true;
    }
}
