package android.support.v7.widget;

import android.support.v4.view.bw;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewGroup.LayoutParams;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public final class cu {
    final ArrayList f2213a;
    final ArrayList f2214b;
    final /* synthetic */ RecyclerView f2215c;
    private ArrayList f2216d;
    private final List f2217e;
    private int f2218f;
    private ct f2219g;
    private db f2220h;

    public cu(RecyclerView recyclerView) {
        this.f2215c = recyclerView;
        this.f2213a = new ArrayList();
        this.f2216d = null;
        this.f2214b = new ArrayList();
        this.f2217e = Collections.unmodifiableList(this.f2213a);
        this.f2218f = 2;
    }

    private void m4348a(ViewGroup viewGroup, boolean z) {
        for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = viewGroup.getChildAt(childCount);
            if (childAt instanceof ViewGroup) {
                m4348a((ViewGroup) childAt, true);
            }
        }
        if (!z) {
            return;
        }
        if (viewGroup.getVisibility() == 4) {
            viewGroup.setVisibility(0);
            viewGroup.setVisibility(4);
            return;
        }
        int visibility = viewGroup.getVisibility();
        viewGroup.setVisibility(4);
        viewGroup.setVisibility(visibility);
    }

    private void m4349d(View view) {
        if (this.f2215c.m3827j()) {
            if (bw.m1519e(view) == 0) {
                bw.m1515c(view, 1);
            }
            if (!bw.m1512b(view)) {
                bw.m1503a(view, this.f2215c.af.m4486b());
            }
        }
    }

    private void m4350f(dd ddVar) {
        if (ddVar.f2259a instanceof ViewGroup) {
            m4348a((ViewGroup) ddVar.f2259a, false);
        }
    }

    dd m4351a(int i, int i2, boolean z) {
        int i3 = 0;
        int size = this.f2213a.size();
        int i4 = 0;
        while (i4 < size) {
            View a;
            dd ddVar = (dd) this.f2213a.get(i4);
            if (ddVar.m4468j() || ddVar.m4462d() != i || ddVar.m4471m() || (!this.f2215c.f1846e.f2248k && ddVar.m4475q())) {
                i4++;
            } else if (i2 == -1 || ddVar.m4465g() == i2) {
                ddVar.m4460b(32);
                return ddVar;
            } else {
                Log.e("RecyclerView", "Scrap view for position " + i + " isn't dirty but has" + " wrong view type! (found " + ddVar.m4465g() + " but expected " + i2 + ")");
                if (!z) {
                    a = this.f2215c.f1844c.m4078a(i, i2);
                    if (a != null) {
                        this.f2215c.f1845d.m4124c(this.f2215c.m3795a(a));
                    }
                }
                i4 = this.f2214b.size();
                while (i3 < i4) {
                    ddVar = (dd) this.f2214b.get(i3);
                    if (ddVar.m4471m() || ddVar.m4462d() != i) {
                        i3++;
                    } else if (z) {
                        return ddVar;
                    } else {
                        this.f2214b.remove(i3);
                        return ddVar;
                    }
                }
                return null;
            }
        }
        if (z) {
            a = this.f2215c.f1844c.m4078a(i, i2);
            if (a != null) {
                this.f2215c.f1845d.m4124c(this.f2215c.m3795a(a));
            }
        }
        i4 = this.f2214b.size();
        while (i3 < i4) {
            ddVar = (dd) this.f2214b.get(i3);
            if (ddVar.m4471m()) {
            }
            i3++;
        }
        return null;
    }

    dd m4352a(long j, int i, boolean z) {
        int size;
        for (size = this.f2213a.size() - 1; size >= 0; size--) {
            dd ddVar = (dd) this.f2213a.get(size);
            if (ddVar.m4464f() == j && !ddVar.m4468j()) {
                if (i == ddVar.m4465g()) {
                    ddVar.m4460b(32);
                    if (!ddVar.m4475q() || this.f2215c.f1846e.m4422a()) {
                        return ddVar;
                    }
                    ddVar.m4452a(2, 14);
                    return ddVar;
                } else if (!z) {
                    this.f2213a.remove(size);
                    this.f2215c.removeDetachedView(ddVar.f2259a, false);
                    m4367b(ddVar.f2259a);
                }
            }
        }
        for (size = this.f2214b.size() - 1; size >= 0; size--) {
            ddVar = (dd) this.f2214b.get(size);
            if (ddVar.m4464f() == j) {
                if (i == ddVar.m4465g()) {
                    if (z) {
                        return ddVar;
                    }
                    this.f2214b.remove(size);
                    return ddVar;
                } else if (!z) {
                    m4369c(size);
                }
            }
        }
        return null;
    }

    View m4353a(int i, boolean z) {
        boolean z2 = true;
        if (i < 0 || i >= this.f2215c.f1846e.m4427e()) {
            throw new IndexOutOfBoundsException("Invalid item position " + i + "(" + i + "). Item count:" + this.f2215c.f1846e.m4427e());
        }
        boolean z3;
        dd ddVar;
        boolean z4;
        int a;
        dd b;
        boolean z5;
        int a2;
        LayoutParams layoutParams;
        cp cpVar;
        if (this.f2215c.f1846e.m4422a()) {
            dd e = m4376e(i);
            dd ddVar2 = e;
            z3 = e != null;
            ddVar = ddVar2;
        } else {
            ddVar = null;
            z3 = false;
        }
        if (ddVar == null) {
            ddVar = m4351a(i, -1, z);
            if (ddVar != null) {
                if (m4361a(ddVar)) {
                    z4 = true;
                } else {
                    if (!z) {
                        ddVar.m4460b(4);
                        if (ddVar.m4466h()) {
                            this.f2215c.removeDetachedView(ddVar.f2259a, false);
                            ddVar.m4467i();
                        } else if (ddVar.m4468j()) {
                            ddVar.m4469k();
                        }
                        m4366b(ddVar);
                    }
                    ddVar = null;
                    z4 = z3;
                }
                if (ddVar == null) {
                    a = this.f2215c.f1843b.m4583a(i);
                    if (a >= 0 || a >= this.f2215c.f1854o.m4285a()) {
                        throw new IndexOutOfBoundsException("Inconsistency detected. Invalid item position " + i + "(offset:" + a + ")." + "state:" + this.f2215c.f1846e.m4427e());
                    }
                    int a3 = this.f2215c.f1854o.m4286a(a);
                    if (this.f2215c.f1854o.m4300b()) {
                        ddVar = m4352a(this.f2215c.f1854o.m4294b(a), a3, z);
                        if (ddVar != null) {
                            ddVar.f2260b = a;
                            z4 = true;
                        }
                    }
                    if (ddVar == null && this.f2220h != null) {
                        View a4 = this.f2220h.m4428a(this, i, a3);
                        if (a4 != null) {
                            ddVar = this.f2215c.m3795a(a4);
                            if (ddVar == null) {
                                throw new IllegalArgumentException("getViewForPositionAndType returned a view which does not have a ViewHolder");
                            } else if (ddVar.m4461c()) {
                                throw new IllegalArgumentException("getViewForPositionAndType returned a view that is ignored. You must call stopIgnoring before returning this view.");
                            }
                        }
                    }
                    if (ddVar == null) {
                        ddVar = m4379f().m4341a(a3);
                        if (ddVar != null) {
                            ddVar.m4480v();
                            if (RecyclerView.f1817h) {
                                m4350f(ddVar);
                            }
                        }
                    }
                    if (ddVar == null) {
                        z3 = z4;
                        b = this.f2215c.f1854o.m4295b(this.f2215c, a3);
                        if (!this.f2215c.f1846e.m4422a() && b.m4474p()) {
                            b.f2264f = i;
                            z5 = false;
                        } else if (b.m4474p() || b.m4472n() || b.m4471m()) {
                            a2 = this.f2215c.f1843b.m4583a(i);
                            b.f2269k = this.f2215c;
                            this.f2215c.f1854o.m4299b(b, a2);
                            m4349d(b.f2259a);
                            if (this.f2215c.f1846e.m4422a()) {
                                b.f2264f = i;
                            }
                            z5 = true;
                        } else {
                            z5 = false;
                        }
                        layoutParams = b.f2259a.getLayoutParams();
                        if (layoutParams != null) {
                            cpVar = (cp) this.f2215c.generateDefaultLayoutParams();
                            b.f2259a.setLayoutParams(cpVar);
                        } else if (this.f2215c.checkLayoutParams(layoutParams)) {
                            cpVar = (cp) layoutParams;
                        } else {
                            cpVar = (cp) this.f2215c.generateLayoutParams(layoutParams);
                            b.f2259a.setLayoutParams(cpVar);
                        }
                        cpVar.f2206a = b;
                        if (!(z3 && r5)) {
                            z2 = false;
                        }
                        cpVar.f2209d = z2;
                        return b.f2259a;
                    }
                }
                z3 = z4;
                b = ddVar;
                if (!this.f2215c.f1846e.m4422a()) {
                }
                if (b.m4474p()) {
                }
                a2 = this.f2215c.f1843b.m4583a(i);
                b.f2269k = this.f2215c;
                this.f2215c.f1854o.m4299b(b, a2);
                m4349d(b.f2259a);
                if (this.f2215c.f1846e.m4422a()) {
                    b.f2264f = i;
                }
                z5 = true;
                layoutParams = b.f2259a.getLayoutParams();
                if (layoutParams != null) {
                    cpVar = (cp) this.f2215c.generateDefaultLayoutParams();
                    b.f2259a.setLayoutParams(cpVar);
                } else if (this.f2215c.checkLayoutParams(layoutParams)) {
                    cpVar = (cp) layoutParams;
                } else {
                    cpVar = (cp) this.f2215c.generateLayoutParams(layoutParams);
                    b.f2259a.setLayoutParams(cpVar);
                }
                cpVar.f2206a = b;
                z2 = false;
                cpVar.f2209d = z2;
                return b.f2259a;
            }
        }
        z4 = z3;
        if (ddVar == null) {
            a = this.f2215c.f1843b.m4583a(i);
            if (a >= 0) {
            }
            throw new IndexOutOfBoundsException("Inconsistency detected. Invalid item position " + i + "(offset:" + a + ")." + "state:" + this.f2215c.f1846e.m4427e());
        }
        z3 = z4;
        b = ddVar;
        if (!this.f2215c.f1846e.m4422a()) {
        }
        if (b.m4474p()) {
        }
        a2 = this.f2215c.f1843b.m4583a(i);
        b.f2269k = this.f2215c;
        this.f2215c.f1854o.m4299b(b, a2);
        m4349d(b.f2259a);
        if (this.f2215c.f1846e.m4422a()) {
            b.f2264f = i;
        }
        z5 = true;
        layoutParams = b.f2259a.getLayoutParams();
        if (layoutParams != null) {
            cpVar = (cp) this.f2215c.generateDefaultLayoutParams();
            b.f2259a.setLayoutParams(cpVar);
        } else if (this.f2215c.checkLayoutParams(layoutParams)) {
            cpVar = (cp) this.f2215c.generateLayoutParams(layoutParams);
            b.f2259a.setLayoutParams(cpVar);
        } else {
            cpVar = (cp) layoutParams;
        }
        cpVar.f2206a = b;
        z2 = false;
        cpVar.f2209d = z2;
        return b.f2259a;
    }

    public void m4354a() {
        this.f2213a.clear();
        m4368c();
    }

    public void m4355a(int i) {
        this.f2218f = i;
        for (int size = this.f2214b.size() - 1; size >= 0 && this.f2214b.size() > i; size--) {
            m4369c(size);
        }
    }

    void m4356a(int i, int i2) {
        int i3;
        int i4;
        int i5;
        if (i < i2) {
            i3 = -1;
            i4 = i2;
            i5 = i;
        } else {
            i3 = 1;
            i4 = i;
            i5 = i2;
        }
        int size = this.f2214b.size();
        for (int i6 = 0; i6 < size; i6++) {
            dd ddVar = (dd) this.f2214b.get(i6);
            if (ddVar != null && ddVar.f2260b >= r3 && ddVar.f2260b <= r2) {
                if (ddVar.f2260b == i) {
                    ddVar.m4454a(i2 - i, false);
                } else {
                    ddVar.m4454a(i3, false);
                }
            }
        }
    }

    void m4357a(ce ceVar, ce ceVar2, boolean z) {
        m4354a();
        m4379f().m4344a(ceVar, ceVar2, z);
    }

    void m4358a(ct ctVar) {
        if (this.f2219g != null) {
            this.f2219g.m4346b();
        }
        this.f2219g = ctVar;
        if (ctVar != null) {
            this.f2219g.m4343a(this.f2215c.getAdapter());
        }
    }

    void m4359a(db dbVar) {
        this.f2220h = dbVar;
    }

    public void m4360a(View view) {
        dd b = RecyclerView.m3748b(view);
        if (b.m4476r()) {
            this.f2215c.removeDetachedView(view, false);
        }
        if (b.m4466h()) {
            b.m4467i();
        } else if (b.m4468j()) {
            b.m4469k();
        }
        m4366b(b);
    }

    boolean m4361a(dd ddVar) {
        if (ddVar.m4475q()) {
            return true;
        }
        if (ddVar.f2260b >= 0 && ddVar.f2260b < this.f2215c.f1854o.m4285a()) {
            return (this.f2215c.f1846e.m4422a() || this.f2215c.f1854o.m4286a(ddVar.f2260b) == ddVar.m4465g()) ? !this.f2215c.f1854o.m4300b() || ddVar.m4464f() == this.f2215c.f1854o.m4294b(ddVar.f2260b) : false;
        } else {
            throw new IndexOutOfBoundsException("Inconsistency detected. Invalid view holder adapter position" + ddVar);
        }
    }

    public View m4362b(int i) {
        return m4353a(i, false);
    }

    public List m4363b() {
        return this.f2217e;
    }

    void m4364b(int i, int i2) {
        int size = this.f2214b.size();
        for (int i3 = 0; i3 < size; i3++) {
            dd ddVar = (dd) this.f2214b.get(i3);
            if (ddVar != null && ddVar.m4462d() >= i) {
                ddVar.m4454a(i2, true);
            }
        }
    }

    void m4365b(int i, int i2, boolean z) {
        int i3 = i + i2;
        for (int size = this.f2214b.size() - 1; size >= 0; size--) {
            dd ddVar = (dd) this.f2214b.get(size);
            if (ddVar != null) {
                if (ddVar.m4462d() >= i3) {
                    ddVar.m4454a(-i2, z);
                } else if (ddVar.m4462d() >= i) {
                    ddVar.m4460b(8);
                    m4369c(size);
                }
            }
        }
    }

    void m4366b(dd ddVar) {
        boolean z = true;
        int i = 0;
        if (ddVar.m4466h() || ddVar.f2259a.getParent() != null) {
            StringBuilder append = new StringBuilder().append("Scrapped or attached views may not be recycled. isScrap:").append(ddVar.m4466h()).append(" isAttached:");
            if (ddVar.f2259a.getParent() == null) {
                z = false;
            }
            throw new IllegalArgumentException(append.append(z).toString());
        } else if (ddVar.m4476r()) {
            throw new IllegalArgumentException("Tmp detached view should be removed from RecyclerView before it can be recycled: " + ddVar);
        } else if (ddVar.m4461c()) {
            throw new IllegalArgumentException("Trying to recycle an ignored view holder. You should first call stopIgnoringView(view) before calling recycle.");
        } else {
            int i2;
            boolean c = ddVar.m4441B();
            boolean z2 = this.f2215c.f1854o != null && c && this.f2215c.f1854o.m4301b(ddVar);
            if (z2 || ddVar.m4481w()) {
                if (!ddVar.m4458a(78)) {
                    int size = this.f2214b.size();
                    if (size == this.f2218f && size > 0) {
                        m4369c(0);
                    }
                    if (size < this.f2218f) {
                        this.f2214b.add(ddVar);
                        z2 = true;
                        if (z2) {
                            m4371c(ddVar);
                            i = 1;
                            i2 = z2;
                        } else {
                            z = z2;
                        }
                    }
                }
                z2 = false;
                if (z2) {
                    z = z2;
                } else {
                    m4371c(ddVar);
                    i = 1;
                    i2 = z2;
                }
            } else {
                i2 = 0;
            }
            this.f2215c.f1846e.m4420a(ddVar);
            if (i2 == 0 && r1 == 0 && c) {
                ddVar.f2269k = null;
            }
        }
    }

    void m4367b(View view) {
        dd b = RecyclerView.m3748b(view);
        b.f2272o = null;
        b.m4469k();
        m4366b(b);
    }

    void m4368c() {
        for (int size = this.f2214b.size() - 1; size >= 0; size--) {
            m4369c(size);
        }
        this.f2214b.clear();
    }

    void m4369c(int i) {
        m4371c((dd) this.f2214b.get(i));
        this.f2214b.remove(i);
    }

    void m4370c(int i, int i2) {
        int i3 = i + i2;
        for (int size = this.f2214b.size() - 1; size >= 0; size--) {
            dd ddVar = (dd) this.f2214b.get(size);
            if (ddVar != null) {
                int d = ddVar.m4462d();
                if (d >= i && d < i3) {
                    ddVar.m4460b(2);
                    m4369c(size);
                }
            }
        }
    }

    void m4371c(dd ddVar) {
        bw.m1503a(ddVar.f2259a, null);
        m4378e(ddVar);
        ddVar.f2269k = null;
        m4379f().m4345a(ddVar);
    }

    void m4372c(View view) {
        dd b = RecyclerView.m3748b(view);
        b.m4455a(this);
        if (b.m4473o() && this.f2215c.m3726D()) {
            if (this.f2216d == null) {
                this.f2216d = new ArrayList();
            }
            this.f2216d.add(b);
        } else if (!b.m4471m() || b.m4475q() || this.f2215c.f1854o.m4300b()) {
            this.f2213a.add(b);
        } else {
            throw new IllegalArgumentException("Called scrap view with an invalid view. Invalid views cannot be reused from scrap, they should rebound from recycler pool.");
        }
    }

    int m4373d() {
        return this.f2213a.size();
    }

    View m4374d(int i) {
        return ((dd) this.f2213a.get(i)).f2259a;
    }

    void m4375d(dd ddVar) {
        if (ddVar.m4473o() && this.f2215c.m3726D() && this.f2216d != null) {
            this.f2216d.remove(ddVar);
        } else {
            this.f2213a.remove(ddVar);
        }
        ddVar.f2272o = null;
        ddVar.m4469k();
    }

    dd m4376e(int i) {
        int i2 = 0;
        if (this.f2216d != null) {
            int size = this.f2216d.size();
            if (size != 0) {
                dd ddVar;
                int i3 = 0;
                while (i3 < size) {
                    ddVar = (dd) this.f2216d.get(i3);
                    if (ddVar.m4468j() || ddVar.m4462d() != i) {
                        i3++;
                    } else {
                        ddVar.m4460b(32);
                        return ddVar;
                    }
                }
                if (this.f2215c.f1854o.m4300b()) {
                    int a = this.f2215c.f1843b.m4583a(i);
                    if (a > 0 && a < this.f2215c.f1854o.m4285a()) {
                        long b = this.f2215c.f1854o.m4294b(a);
                        while (i2 < size) {
                            ddVar = (dd) this.f2216d.get(i2);
                            if (ddVar.m4468j() || ddVar.m4464f() != b) {
                                i2++;
                            } else {
                                ddVar.m4460b(32);
                                return ddVar;
                            }
                        }
                    }
                }
                return null;
            }
        }
        return null;
    }

    void m4377e() {
        this.f2213a.clear();
    }

    void m4378e(dd ddVar) {
        if (this.f2215c.f1856q != null) {
            this.f2215c.f1856q.m4384a(ddVar);
        }
        if (this.f2215c.f1854o != null) {
            this.f2215c.f1854o.m4291a(ddVar);
        }
        if (this.f2215c.f1846e != null) {
            this.f2215c.f1846e.m4420a(ddVar);
        }
    }

    ct m4379f() {
        if (this.f2219g == null) {
            this.f2219g = new ct();
        }
        return this.f2219g;
    }

    void m4380g() {
        int size = this.f2214b.size();
        for (int i = 0; i < size; i++) {
            dd ddVar = (dd) this.f2214b.get(i);
            if (ddVar != null) {
                ddVar.m4460b(512);
            }
        }
    }

    void m4381h() {
        if (this.f2215c.f1854o == null || !this.f2215c.f1854o.m4300b()) {
            m4368c();
            return;
        }
        int size = this.f2214b.size();
        for (int i = 0; i < size; i++) {
            dd ddVar = (dd) this.f2214b.get(i);
            if (ddVar != null) {
                ddVar.m4460b(6);
                ddVar.m4456a(null);
            }
        }
    }

    void m4382i() {
        int i;
        int i2 = 0;
        int size = this.f2214b.size();
        for (i = 0; i < size; i++) {
            ((dd) this.f2214b.get(i)).m4451a();
        }
        size = this.f2213a.size();
        for (i = 0; i < size; i++) {
            ((dd) this.f2213a.get(i)).m4451a();
        }
        if (this.f2216d != null) {
            i = this.f2216d.size();
            while (i2 < i) {
                ((dd) this.f2216d.get(i2)).m4451a();
                i2++;
            }
        }
    }

    void m4383j() {
        int size = this.f2214b.size();
        for (int i = 0; i < size; i++) {
            cp cpVar = (cp) ((dd) this.f2214b.get(i)).f2259a.getLayoutParams();
            if (cpVar != null) {
                cpVar.f2208c = true;
            }
        }
    }
}
