package com.neatorobotics.android.activities.easywifi;

import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v7.widget.Toolbar;
import android.widget.TextView;
import com.neatorobotics.android.NeatoApplication;
import com.neatorobotics.android.R;
import com.neatorobotics.android.activities.home.HomeActivity;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p032e.p040h.C0742a;
import com.neatorobotics.android.p032e.p042j.C0746c;
import com.neatorobotics.android.utils.C0764a;
import com.neatorobotics.android.utils.C0767d;
import java.net.URL;
import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

public class EasyConnectCheckNewRobotActivity extends C0539a {
    public long f2922i;
    public long f2923j;
    public C0562f f2924k;
    Runnable f2925l;
    ScheduledThreadPoolExecutor f2926m;
    private SharedPreferences f2927n;
    private boolean f2928o;

    public EasyConnectCheckNewRobotActivity() {
        this.f2923j = 0;
        this.f2928o = false;
        this.f2925l = new C0558b(this);
    }

    private void m5419n() {
        this.f2922i = this.f2927n.getLong("ROBOT_START_TIMESTAMP", 0);
        this.f2923j = this.f2927n.getLong("START_TIMESTAMP", 0);
    }

    private void m5420t() {
        Intent intent = new Intent(getApplicationContext(), HomeActivity.class);
        intent.setFlags(67108864);
        startActivity(intent);
    }

    public void m5421k() {
        try {
            this.f2924k.m5456a().executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5818b() + "/dashboard")});
        } catch (Exception e) {
            C0767d.m5867a("EasyConnectCheckNewRobotActivity", "Exception", e);
        }
    }

    public void m5422l() {
        if (!NeatoApplication.f2866a) {
            if (this.f2926m == null || this.f2926m.isShutdown() || this.f2926m.isTerminated() || this.f2926m.isTerminating()) {
                C0767d.m5868b("EasyConnectCheckNewRobotActivity", "### START CHECK NEW ROBOT POLLING");
                this.f2926m = (ScheduledThreadPoolExecutor) Executors.newScheduledThreadPool(5);
                this.f2926m.scheduleAtFixedRate(this.f2925l, 1, 6, TimeUnit.SECONDS);
            }
        }
    }

    public void m5423m() {
        if (!NeatoApplication.f2866a) {
            C0767d.m5868b("EasyConnectCheckNewRobotActivity", "### STOP CHECK NEW ROBOT POLLING");
            if (this.f2926m != null && !this.f2926m.isShutdown()) {
                this.f2926m.shutdown();
                this.f2926m = null;
            }
        }
    }

    public void onBackPressed() {
        Intent intent = new Intent(this, HomeActivity.class);
        intent.setFlags(67108864);
        startActivity(intent);
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_easy_wifi_checknewrobot);
        this.f2927n = getApplicationContext().getSharedPreferences("EasyConnectCheckNewRobotActivity", 0);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        ((TextView) toolbar.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_setup_robot));
        toolbar.setNavigationOnClickListener(new C0557a(this));
        this.f2924k = new C0562f(this);
        this.f2922i = C0764a.m5840a() - C0742a.m5809b(NeatoApplication.m5360a(), "SERVER_DEVICE_TIME_DELTA_MILLIS", 0);
        this.f2923j = C0764a.m5840a();
        if (bundle != null) {
            m5419n();
        }
        m5422l();
    }

    protected void onResume() {
        super.onResume();
        m5422l();
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.f2927n.edit();
        edit.putLong("ROBOT_START_TIMESTAMP", this.f2922i);
        edit.putLong("START_TIMESTAMP", this.f2923j);
        edit.commit();
    }

    public void onStop() {
        super.onStop();
        m5423m();
    }
}
