package com.neatorobotics.android.activities.easywifi;

import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.graphics.Typeface;
import android.os.Bundle;
import android.support.v7.widget.Toolbar;
import android.text.method.PasswordTransformationMethod;
import android.text.method.SingleLineTransformationMethod;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.p028a.C0535a;
import com.neatorobotics.android.p028a.C0537c;
import com.neatorobotics.android.p029b.C0539a;

@C0535a
@C0537c
public class EasyWifiEnterWifiPasswordActivity extends C0539a {
    Toolbar f2939i;
    private SharedPreferences f2940j;
    private final String f2941k;
    private final String f2942l;
    private String f2943m;
    private EditText f2944n;
    private TextView f2945o;

    public EasyWifiEnterWifiPasswordActivity() {
        this.f2941k = "SSID";
        this.f2942l = "WIFI_PWD";
    }

    private void m5429k() {
        this.f2943m = this.f2940j.getString("SSID", "");
        this.f2944n.setText(this.f2940j.getString("WIFI_PWD", ""));
    }

    public void nextSubmit(View view) {
        Intent intent = new Intent(getApplicationContext(), EasyWifiFinalActivity.class);
        intent.setFlags(536870912);
        intent.putExtra("SSID", this.f2943m);
        intent.putExtra("PASSWORD", this.f2944n.getText().toString());
        startActivity(intent);
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_easy_wifi_set_wifi_password);
        this.f2940j = getApplicationContext().getSharedPreferences("EasyWifiEnterWifiPasswordActivity", 0);
        this.f2945o = (TextView) findViewById(R.id.messageText);
        this.f2939i = (Toolbar) findViewById(R.id.toolbar);
        this.f2939i.setNavigationIcon((int) R.drawable.back);
        ((TextView) this.f2939i.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_setup_robot));
        this.f2939i.setNavigationOnClickListener(new C0569m(this));
        this.f2944n = (EditText) findViewById(R.id.wifi_password_field);
        this.f2944n.setTypeface(Typeface.DEFAULT);
        this.f2944n.setTransformationMethod(new PasswordTransformationMethod());
        this.f2944n.setOnEditorActionListener(new C0570n(this));
        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            this.f2943m = extras.getString("SSID");
        }
        if (bundle != null) {
            m5429k();
        }
        this.f2945o.setText(this.f2945o.getText().toString() + " \"" + this.f2943m + "\"");
    }

    protected void onDestroy() {
        super.onDestroy();
    }

    protected void onResume() {
        super.onResume();
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.f2940j.edit();
        edit.putString("SSID", this.f2943m);
        edit.putString("WIFI_PWD", this.f2944n.getText().toString());
        edit.commit();
    }

    protected void onStop() {
        super.onStop();
    }

    public void showPasswordClick(View view) {
        if (((TextView) view).getText().equals(getString(R.string.show_password))) {
            this.f2944n.setTransformationMethod(new SingleLineTransformationMethod());
            this.f2944n.setSelection(this.f2944n.getText().length());
            ((TextView) view).setText(R.string.hide_password);
            return;
        }
        this.f2944n.setTransformationMethod(new PasswordTransformationMethod());
        this.f2944n.setSelection(this.f2944n.getText().length());
        ((TextView) view).setText(R.string.show_password);
    }
}
