package com.neatorobotics.android.activities.easywifi;

import android.content.BroadcastReceiver;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiManager;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v7.app.aa;
import android.support.v7.app.ab;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.ImageButton;
import android.widget.ListAdapter;
import android.widget.TextView;
import android.widget.Toast;
import com.neatorobotics.android.NeatoApplication;
import com.neatorobotics.android.R;
import com.neatorobotics.android.p028a.C0535a;
import com.neatorobotics.android.p028a.C0537c;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p031d.C0732b;
import com.neatorobotics.android.p032e.p033a.C0733a;
import com.neatorobotics.android.p032e.p037e.C0739a;
import com.neatorobotics.android.p032e.p040h.C0742a;
import com.neatorobotics.android.p032e.p042j.C0746c;
import com.neatorobotics.android.utils.C0767d;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

@C0535a
@C0537c
public class EasyWifiIntroActivity extends C0539a {
    protected aj f2958i;
    Toolbar f2959j;
    boolean f2960k;
    WifiManager f2961l;
    BroadcastReceiver f2962m;
    boolean f2963n;
    List f2964o;
    String f2965p;
    Runnable f2966q;
    long f2967r;
    ScheduledThreadPoolExecutor f2968s;
    private final BroadcastReceiver f2969t;
    private boolean f2970u;

    public EasyWifiIntroActivity() {
        this.f2960k = false;
        this.f2963n = false;
        this.f2969t = new C0580x(this);
        this.f2970u = false;
        this.f2966q = new C0582z(this);
    }

    private void m5435a(String str, String str2) {
        this.f2965p = str;
        for (ScanResult scanResult : this.f2964o) {
            if (scanResult.SSID.replace("\"", "").equalsIgnoreCase(str.replace("\"", ""))) {
                if (C0739a.m5785a(scanResult) != 1) {
                    new ad(this, scanResult).start();
                    m5447k();
                    return;
                } else if (str2 == null) {
                    m5441n();
                    return;
                } else {
                    new ac(this, scanResult, str2).start();
                    m5447k();
                    return;
                }
            }
        }
    }

    private void m5440m() {
        Toast.makeText(getApplicationContext(), getString(R.string.no_neato_network_found), 0).show();
    }

    private void m5441n() {
        View inflate = getLayoutInflater().inflate(R.layout.dialog_get_network_password, null);
        ab a = C0733a.m5780a(this);
        a.m2646a(getString(R.string.password));
        EditText editText = (EditText) inflate.findViewById(R.id.password);
        editText.setHint(getString(R.string.password));
        editText.setBackgroundResource(R.drawable.input_bg);
        editText.setInputType(129);
        a.m2652b(inflate);
        a.m2647a(getString(R.string.ok), new ae(this, editText));
        a.m2651b((int) R.string.cancel, new af(this));
        this.at = a.m2649b();
        this.at.setCancelable(false);
        this.at.show();
        C0733a.m5782a(getApplicationContext(), this.at);
    }

    private void m5442t() {
        m5367r();
        ab a = C0733a.m5780a(this);
        a.m2646a(getString(R.string.cannot_connect_to_robot));
        a.m2653b(getString(R.string.failed_to_connect_to_robot));
        a.m2655c(getString(R.string.connect_manually_to_the_robot), new ag(this));
        a.m2654b(getString(R.string.cancel), new ah(this));
        this.at = a.m2649b();
        this.at.setCancelable(false);
        this.at.show();
        C0733a.m5782a(getApplicationContext(), this.at);
    }

    private void m5443u() {
        if (this.f2964o != null && this.f2964o.size() > 0) {
            ab abVar = new ab(this, R.style.DialogTheme);
            ListAdapter arrayAdapter = new ArrayAdapter(this, 17367057);
            ArrayList arrayList = new ArrayList();
            for (ScanResult scanResult : this.f2964o) {
                if (!(scanResult == null || scanResult.SSID == null || "".equalsIgnoreCase(scanResult.SSID.trim()))) {
                    String replace = scanResult.SSID.replace("\"", "");
                    if (!arrayList.contains(replace)) {
                        arrayList.add(replace);
                        arrayAdapter.add(replace);
                    }
                }
            }
            abVar.m2654b(getString(R.string.cancel), new ai(this));
            abVar.m2645a(arrayAdapter, new C0579w(this, arrayAdapter));
            aa b = abVar.m2649b();
            b.setCancelable(false);
            b.show();
            C0733a.m5782a(getApplicationContext(), b);
        }
    }

    private void m5444v() {
        finish();
    }

    private void m5445w() {
        if (C0739a.m5797c() && C0739a.m5794b()) {
            String a = C0739a.m5786a(getApplicationContext());
            if (!(a == null || a.contains(C0732b.f3479a))) {
                C0742a.m5806a(getApplicationContext(), "HOME_WIFI_SSID", a);
            }
            int b = C0739a.m5791b(getApplicationContext());
            C0742a.m5804a(getApplicationContext(), "HOME_WIFI_NETWORK_ID", b);
            C0767d.m5868b("EasyWifiIntroActivity", "HOME WIFI SAVED ID: " + b);
            return;
        }
        C0742a.m5813d(getApplicationContext(), "HOME_WIFI_SSID");
        C0742a.m5813d(getApplicationContext(), "HOME_WIFI_NETWORK_ID");
    }

    private void m5446x() {
        C0767d.m5868b("EasyWifiIntroActivity", "detectRoboWifiAndGo...");
        if (!this.f2970u && this.f2960k) {
            String a = C0739a.m5786a(getApplicationContext());
            if (a == null) {
                return;
            }
            if (!a.contains(C0732b.f3479a)) {
                C0767d.m5868b("EasyWifiIntroActivity", "The current wifi SSID is not the neato-xxxx one... wait another receiver event....");
            } else if (C0739a.m5794b()) {
                C0767d.m5868b("EasyWifiIntroActivity", "neato-xxxx access point connected! I go to the next page...");
                m5367r();
                this.f2970u = true;
                nextSubmit(null);
            } else {
                C0767d.m5868b("EasyWifiIntroActivity", "neato-xxxx access point not yet connected! Maybe it is connecting or the user entered the wrong AP password.");
            }
        }
    }

    public void m5447k() {
        if (!NeatoApplication.f2866a) {
            this.f2967r = System.currentTimeMillis();
            if (this.f2968s == null || this.f2968s.isShutdown() || this.f2968s.isTerminated() || this.f2968s.isTerminating()) {
                C0767d.m5868b("EasyWifiIntroActivity", "### START CHECK ROBOT AP CONNECTION");
                this.f2968s = (ScheduledThreadPoolExecutor) Executors.newScheduledThreadPool(5);
                this.f2968s.scheduleAtFixedRate(this.f2966q, 1, 6, TimeUnit.SECONDS);
            }
        }
    }

    public void m5448l() {
        if (!NeatoApplication.f2866a) {
            C0767d.m5868b("EasyWifiIntroActivity", "### STOP CHECK ROBOT AP CONNECTION");
            if (this.f2968s != null && !this.f2968s.isShutdown()) {
                this.f2968s.shutdown();
                this.f2968s = null;
            }
        }
    }

    public void nextSubmit(View view) {
        Intent intent = new Intent(getApplicationContext(), EasyWifiChooseWifiActivity.class);
        intent.setFlags(536870912);
        startActivity(intent);
    }

    public void onBackPressed() {
        m5444v();
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_easy_wifi_intro);
        C0742a.m5813d(getApplicationContext(), "ROBOT_AP_NETWORK_ID");
        C0742a.m5813d(getApplicationContext(), "ROBOT_AP_NETWORK_PASSWORD");
        registerReceiver(this.f2969t, new IntentFilter("android.net.conn.CONNECTIVITY_CHANGE"));
        this.f2959j = (Toolbar) findViewById(R.id.toolbar);
        this.f2959j.setNavigationIcon((int) R.drawable.close);
        ((TextView) this.f2959j.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_setup_robot));
        this.f2959j.setNavigationOnClickListener(new C0578v(this));
        m5445w();
        this.f2958i = new aj(this);
        try {
            this.f2958i.m5449a().executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5818b() + "/users/me")});
        } catch (Exception e) {
            C0767d.m5867a("EasyWifiIntroActivity", "Exception", e);
        }
        this.f2962m = new ab(this);
        registerReceiver(this.f2962m, new IntentFilter("android.net.wifi.SCAN_RESULTS"));
    }

    protected void onDestroy() {
        super.onDestroy();
        if (this.f2962m != null) {
            unregisterReceiver(this.f2962m);
        }
        if (this.f2969t != null) {
            unregisterReceiver(this.f2969t);
        }
    }

    protected void onResume() {
        super.onResume();
        C0739a.m5798d(getApplicationContext());
        m5446x();
    }

    protected void onStop() {
        super.onStop();
        m5448l();
    }

    public void showInfoDialog(View view) {
        View inflate = getLayoutInflater().inflate(R.layout.dialog_info_setup_your_robot_wifi, null);
        ((ImageButton) inflate.findViewById(R.id.closeDialogBtn)).setOnClickListener(new C0581y(this));
        ab a = C0733a.m5780a(this);
        a.m2648a(true);
        a.m2652b(inflate);
        this.at = a.m2649b();
        this.at.show();
        C0733a.m5782a(getApplicationContext(), this.at);
    }

    public void startWifiScans(View view) {
        m5366q();
        this.f2963n = false;
        if (C0739a.m5799e(getApplicationContext())) {
            this.f2961l = (WifiManager) getSystemService("wifi");
            this.f2961l.startScan();
            return;
        }
        m5367r();
        m5440m();
        C0739a.m5798d(getApplicationContext());
    }
}
