package com.neatorobotics.android.activities.register;

import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.Bundle;
import android.support.v7.widget.Toolbar;
import android.text.Html;
import android.text.method.LinkMovementMethod;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.p028a.C0536b;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.utils.TextViewUtils;

@C0536b
public class AgreeRegisterActivity extends C0539a {
    CheckBox f3112i;
    private SharedPreferences f3113j;
    private final String f3114k;
    private Button f3115l;

    public AgreeRegisterActivity() {
        this.f3114k = "EMAILS_FROM_NEATO";
    }

    private void m5542k() {
        this.f3112i.setChecked(this.f3113j.getBoolean("EMAILS_FROM_NEATO", false));
    }

    public void agreeSubmit(View view) {
        Intent intent = new Intent(getApplicationContext(), RegisterActivity.class);
        intent.putExtra("EMAILS_FROM_NEATO", this.f3112i.isChecked());
        intent.setFlags(536870912);
        startActivity(intent);
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_agree_register);
        this.f3113j = getApplicationContext().getSharedPreferences("AgreeRegisterActivity", 0);
        this.f3112i = (CheckBox) findViewById(R.id.emailsFromNeatoCheckBox);
        this.f3115l = (Button) findViewById(R.id.agree_submit_btn);
        String replace = getString(R.string.by_registering_you_agree).replace("PLACEHOLDER_COLOR_PRIMARY", "'" + String.format("#%06X", new Object[]{Integer.valueOf(16777215 & getResources().getColor(R.color.html_highlight_color_primary))}) + "'").replace("PLACEHOLDER_TERMS_SCHEME", getString(R.string.terms_of_service_scheme)).replace("PLACEHOLDER_PRIVACY_SCHEME", getString(R.string.privacy_policy_scheme));
        TextView textView = (TextView) findViewById(R.id.agreeHtmlTextView);
        textView.setText(Html.fromHtml(replace));
        TextViewUtils.m5839a(textView);
        textView.setMovementMethod(LinkMovementMethod.getInstance());
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        toolbar.setNavigationIcon((int) R.drawable.close);
        ((TextView) toolbar.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_register));
        toolbar.setNavigationOnClickListener(new C0619a(this));
        if (bundle != null) {
            m5542k();
        }
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.f3113j.edit();
        edit.putBoolean("EMAILS_FROM_NEATO", this.f3112i.isChecked());
        edit.commit();
    }
}
