package com.neatorobotics.android.activities.register;

import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.graphics.Typeface;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v7.app.ab;
import android.support.v7.widget.Toolbar;
import android.text.method.PasswordTransformationMethod;
import android.text.method.SingleLineTransformationMethod;
import android.view.View;
import android.view.View.OnFocusChangeListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.p028a.C0536b;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p032e.p033a.C0733a;
import com.neatorobotics.android.p032e.p042j.C0746c;
import com.neatorobotics.android.utils.C0767d;
import java.net.URL;
import java.util.Locale;
import org.json.JSONObject;

@C0536b
public class RegisterActivity extends C0539a implements OnFocusChangeListener {
    public C0630l f3116i;
    int f3117j;
    int f3118k;
    private SharedPreferences f3119l;
    private final String f3120m;
    private final String f3121n;
    private final String f3122o;
    private boolean f3123p;
    private EditText f3124q;
    private EditText f3125r;
    private EditText f3126s;
    private Button f3127t;

    public RegisterActivity() {
        this.f3120m = "EMAIL";
        this.f3121n = "PASSWORD";
        this.f3122o = "VERIFY_PASSWORD";
        this.f3123p = false;
    }

    private void m5545l() {
        this.f3124q.setText(this.f3119l.getString("EMAIL", ""));
        this.f3125r.setText(this.f3119l.getString("PASSWORD", ""));
        this.f3126s.setText(this.f3119l.getString("VERIFY_PASSWORD", ""));
        this.f3123p = this.f3119l.getBoolean("EMAILS_FROM_NEATO", false);
        m5546k();
    }

    protected boolean m5546k() {
        boolean z = !this.f3124q.getText().toString().trim().equalsIgnoreCase("");
        if (this.f3125r.getText().toString().trim().equalsIgnoreCase("")) {
            z = false;
        }
        if (this.f3126s.getText().toString().trim().equalsIgnoreCase("")) {
            z = false;
        }
        if (z) {
            this.f3127t.setEnabled(true);
        } else {
            this.f3127t.setEnabled(false);
        }
        return z;
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_register);
        this.f3119l = getApplicationContext().getSharedPreferences("RegisterActivity", 0);
        this.f3124q = (EditText) findViewById(R.id.email_field);
        this.f3125r = (EditText) findViewById(R.id.password_field);
        this.f3126s = (EditText) findViewById(R.id.verify_password_field);
        this.f3127t = (Button) findViewById(R.id.register_submit_btn);
        this.f3124q.setOnFocusChangeListener(this);
        this.f3125r.setOnFocusChangeListener(this);
        this.f3126s.setOnFocusChangeListener(this);
        this.f3124q.addTextChangedListener(new C0620b(this));
        this.f3125r.addTextChangedListener(new C0621c(this));
        this.f3126s.addTextChangedListener(new C0622d(this));
        this.f3126s.setOnEditorActionListener(new C0623e(this));
        this.f3117j = this.f3124q.getTextColors().getDefaultColor();
        this.f3118k = this.f3124q.getCurrentHintTextColor();
        this.f3125r.setTypeface(Typeface.DEFAULT);
        this.f3125r.setTransformationMethod(new PasswordTransformationMethod());
        this.f3126s.setTypeface(Typeface.DEFAULT);
        this.f3126s.setTransformationMethod(new PasswordTransformationMethod());
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        toolbar.setNavigationIcon((int) R.drawable.back);
        ((TextView) toolbar.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_register));
        toolbar.setNavigationOnClickListener(new C0624f(this));
        this.f3116i = new C0630l(this);
        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            this.f3123p = extras.getBoolean("EMAILS_FROM_NEATO");
        }
        if (bundle != null) {
            m5545l();
        }
    }

    public void onFocusChange(View view, boolean z) {
        if (z && (view instanceof EditText)) {
            ((EditText) view).setTextColor(this.f3117j);
            ((EditText) view).setHintTextColor(this.f3118k);
        }
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.f3119l.edit();
        edit.putString("EMAIL", this.f3124q.getText().toString());
        edit.putString("PASSWORD", this.f3125r.getText().toString());
        edit.putString("VERIFY_PASSWORD", this.f3126s.getText().toString());
        edit.putBoolean("EMAILS_FROM_NEATO", this.f3123p);
        edit.commit();
    }

    public void registerSubmit(View view) {
        boolean z = true;
        boolean z2 = false;
        this.f3126s.setBackgroundResource(R.drawable.input_bg_normal);
        this.f3125r.setBackgroundResource(R.drawable.input_bg_normal);
        this.f3124q.setBackgroundResource(R.drawable.input_bg_normal);
        this.f3124q.setTextColor(this.f3117j);
        this.f3125r.setTextColor(this.f3117j);
        this.f3124q.setHintTextColor(this.f3118k);
        this.f3125r.setHintTextColor(this.f3118k);
        if (this.f3124q.getText() == null || this.f3124q.getText().toString() == null || this.f3124q.getText().toString().trim().equalsIgnoreCase("")) {
            this.f3124q.setTextColor(-65536);
            this.f3124q.setHintTextColor(-65536);
            z = false;
        }
        if (this.f3125r.getText() == null || this.f3125r.getText().toString() == null || this.f3125r.getText().toString().trim().equalsIgnoreCase("")) {
            this.f3125r.setTextColor(-65536);
            this.f3125r.setHintTextColor(-65536);
            z = false;
        }
        if (this.f3126s.getText() == null || this.f3126s.getText().toString() == null || this.f3126s.getText().toString().trim().equalsIgnoreCase("")) {
            this.f3126s.setTextColor(-65536);
            this.f3126s.setHintTextColor(-65536);
        } else if (this.f3126s.getText().toString().equals(this.f3125r.getText().toString())) {
            z2 = z;
        } else {
            this.f3126s.setTextColor(-65536);
            this.f3126s.setHintTextColor(-65536);
            ab a = C0733a.m5780a(this);
            a.m2640a((int) R.string.cannot_create_account);
            a.m2648a(false);
            a.m2650b((int) R.string.password_does_not_match);
            a.m2641a((int) R.string.ok, new C0625g(this));
            this.at = a.m2649b();
            this.at.show();
            C0733a.m5782a(getApplicationContext(), this.at);
        }
        if (z2) {
            try {
                String language = Locale.getDefault().getLanguage();
                C0767d.m5868b("RegisterActivity", "Locale of device is :" + language);
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("email", this.f3124q.getText());
                jSONObject.put("password", this.f3125r.getText());
                jSONObject.put("locale", language);
                jSONObject.put("source", "android");
                jSONObject.put("newsletter", this.f3123p);
                C0626h a2 = this.f3116i.m5555a();
                a2.m5553a(jSONObject);
                a2.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5818b() + "/users")});
            } catch (Exception e) {
                C0767d.m5867a("RegisterActivity", "Exception", e);
            } catch (Exception e2) {
                C0767d.m5867a("RegisterActivity", "Exception", e2);
            }
        }
    }

    public void showPasswordClick(View view) {
        if (((TextView) view).getText().equals(getString(R.string.show_password))) {
            this.f3125r.setTransformationMethod(new SingleLineTransformationMethod());
            this.f3126s.setTransformationMethod(new SingleLineTransformationMethod());
            this.f3125r.setSelection(this.f3125r.getText().length());
            this.f3126s.setSelection(this.f3126s.getText().length());
            ((TextView) view).setText(R.string.hide_password);
            return;
        }
        this.f3125r.setTransformationMethod(new PasswordTransformationMethod());
        this.f3126s.setTransformationMethod(new PasswordTransformationMethod());
        this.f3125r.setSelection(this.f3125r.getText().length());
        this.f3126s.setSelection(this.f3126s.getText().length());
        ((TextView) view).setText(R.string.show_password);
    }
}
