package com.neatorobotics.android.activities.robot;

import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v7.app.ab;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import com.neatorobotics.android.NeatoApplication;
import com.neatorobotics.android.R;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p032e.p033a.C0733a;
import com.neatorobotics.android.p032e.p042j.C0746c;
import com.neatorobotics.android.utils.C0767d;
import java.net.URL;
import org.json.JSONObject;

public class RobotEditNameActivity extends C0539a {
    public static String f3192i;
    public static String f3193j;
    protected al f3194k;
    protected EditText f3195l;
    int f3196m;
    int f3197n;
    private SharedPreferences f3198o;
    private String f3199p;
    private String f3200q;

    static {
        f3192i = "WRITING_ROBOT_NAME";
        f3193j = null;
    }

    public RobotEditNameActivity() {
        this.f3199p = "";
        this.f3200q = "";
    }

    private void m5575k() {
        this.f3199p = this.f3198o.getString(CommandActivity.f3149j, "");
        this.f3200q = this.f3198o.getString(CommandActivity.f3150k, "");
        this.f3195l.setText(this.f3198o.getString(f3192i, ""));
    }

    public void editNameClick(View view) {
        Intent intent = new Intent(getApplicationContext(), RobotEditNameActivity.class);
        intent.putExtra(CommandActivity.f3149j, this.f3199p);
        intent.putExtra(CommandActivity.f3150k, this.f3200q);
        intent.setFlags(536870912);
        startActivity(intent);
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_robot_edit_name);
        this.f3198o = getApplicationContext().getSharedPreferences("RobotEditNameActivity", 0);
        this.f3194k = new al(this);
        this.f3195l = (EditText) findViewById(R.id.nameField);
        this.f3195l.addTextChangedListener(new af(this));
        this.f3196m = this.f3195l.getTextColors().getDefaultColor();
        this.f3197n = this.f3195l.getCurrentHintTextColor();
        this.f3195l.setOnEditorActionListener(new ag(this));
        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            this.f3199p = extras.getString(CommandActivity.f3149j);
            this.f3195l.setText(this.f3199p);
            this.f3200q = extras.getString(CommandActivity.f3150k);
        }
        if (bundle != null) {
            m5575k();
        }
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        toolbar.setNavigationIcon((int) R.drawable.close);
        ((TextView) toolbar.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_robot_edit_name));
        toolbar.setNavigationOnClickListener(new ah(this));
        toolbar.setOnMenuItemClickListener(new ai(this));
        if (!"neatoProduction".contains("neato")) {
            toolbar.m4004a((int) R.menu.menu_robot_edit_name);
        }
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.f3198o.edit();
        edit.putString(CommandActivity.f3149j, this.f3199p);
        edit.putString(f3192i, this.f3195l.getText().toString());
        edit.putString(CommandActivity.f3150k, this.f3200q);
        edit.commit();
    }

    public void submitClick(View view) {
        if (this.f3195l.getText().toString() == null || "".equalsIgnoreCase(this.f3195l.getText().toString())) {
            this.f3195l.setText("");
        }
        if (this.f3195l.getText().toString().length() > 20) {
            this.f3195l.setTextColor(-65536);
            this.f3195l.setHintTextColor(-65536);
            if (!NeatoApplication.f2866a) {
                ab a = C0733a.m5780a(this);
                a.m2640a((int) R.string.robot_name_is_too_long);
                a.m2648a(false);
                a.m2650b((int) R.string.robot_name_is_too_long_message);
                a.m2641a((int) R.string.ok, new aj(this));
                this.at = a.m2649b();
                this.at.show();
                C0733a.m5782a(getApplicationContext(), this.at);
                return;
            }
            return;
        }
        try {
            ak a2 = this.f3194k.m5598a();
            JSONObject jSONObject = new JSONObject();
            jSONObject.put("name", this.f3195l.getText().toString());
            a2.m5596a(jSONObject);
            a2.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5818b() + "/robots/" + this.f3200q)});
        } catch (Exception e) {
            C0767d.m5867a("RobotEditNameActivity", "Exception", e);
        } catch (Exception e2) {
            C0767d.m5867a("RobotEditNameActivity", "Exception", e2);
        }
    }
}
