package com.neatorobotics.android.activities.robot;

import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v7.app.ab;
import android.support.v7.widget.SwitchCompat;
import android.support.v7.widget.Toolbar;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.activities.scheduling.AddCleaningDaysActivity;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p032e.p033a.C0733a;
import com.neatorobotics.android.p032e.p036d.C0738a;
import com.neatorobotics.android.p032e.p040h.C0742a;
import com.neatorobotics.android.p032e.p042j.C0746c;
import com.neatorobotics.android.p043f.C0763f;
import com.neatorobotics.android.utils.C0764a;
import com.neatorobotics.android.utils.C0767d;
import com.neatorobotics.android.utils.C0768e;
import java.net.URL;
import java.util.ArrayList;

public class RobotSettingsActivity extends C0539a {
    public static boolean f3201i;
    public static String f3202j;
    public static String f3203k;
    public static String f3204l;
    public static String f3205n;
    private SwitchCompat f3206A;
    private boolean f3207B;
    private LinearLayout f3208C;
    private TextView f3209D;
    protected boolean f3210m;
    protected ax f3211o;
    protected at f3212p;
    protected au f3213q;
    private SharedPreferences f3214r;
    private String f3215s;
    private String f3216t;
    private String f3217u;
    private boolean f3218v;
    private RelativeLayout f3219w;
    private TextView f3220x;
    private ImageView f3221y;
    private LinearLayout f3222z;

    static {
        f3201i = false;
        f3202j = "EVENTS_LIST";
        f3203k = "EDIT_START_TIME";
        f3204l = "EDIT_ECO_MODE";
        f3205n = "";
    }

    public RobotSettingsActivity() {
        this.f3215s = "";
        this.f3216t = "";
        this.f3217u = "";
        this.f3218v = false;
        this.f3210m = false;
        this.f3207B = false;
    }

    private void m5583e(boolean z) {
        if (z) {
            this.f3219w.setEnabled(true);
            this.f3220x.setEnabled(true);
            this.f3221y.setEnabled(true);
            return;
        }
        this.f3219w.setEnabled(false);
        this.f3220x.setEnabled(false);
        this.f3221y.setEnabled(false);
    }

    private void m5585l() {
        this.f3215s = this.f3214r.getString(CommandActivity.f3149j, "");
        this.f3216t = this.f3214r.getString(CommandActivity.f3150k, "");
        this.f3218v = this.f3214r.getBoolean(CommandActivity.f3151l, false);
        this.f3217u = this.f3214r.getString(CommandActivity.f3152m, "");
        f3205n = this.f3214r.getString(f3202j, "");
        this.f3210m = this.f3214r.getBoolean(CommandActivity.f3153n, false);
        this.f3209D.setText(this.f3216t);
        this.f3206A.setEnabled(this.f3210m);
    }

    private void m5586m() {
        ArrayList a = C0768e.m5870a(f3205n);
        if (C0768e.m5876d(a) || !this.f3206A.isChecked()) {
            m5583e(false);
        } else {
            m5583e(true);
        }
        ArrayList a2 = C0768e.m5871a(a);
        this.f3208C.removeAllViews();
        for (int i = 0; i < a2.size(); i++) {
            String str = ((C0763f) a2.get(i)).f3588a;
            int i2 = ((C0763f) a2.get(i)).f3589b;
            CharSequence a3 = C0764a.m5843a(((C0763f) a2.get(i)).f3590c);
            RelativeLayout relativeLayout = (RelativeLayout) LayoutInflater.from(this.f3208C.getContext()).inflate(R.layout.item_schedule_event_list, this.f3208C, false);
            TextView textView = (TextView) relativeLayout.findViewById(R.id.startTimeText);
            TextView textView2 = (TextView) relativeLayout.findViewById(R.id.repeatDescriptionText);
            ImageView imageView = (ImageView) relativeLayout.findViewById(R.id.ecoImage);
            ImageView imageView2 = (ImageView) relativeLayout.findViewById(R.id.arrowImage);
            textView.setText(getString(R.string.start_time) + " " + C0764a.m5842a(str));
            textView2.setText(a3);
            if (i2 == C0738a.f3499m) {
                imageView.setVisibility(0);
                imageView.setImageResource(R.drawable.leaf_selector);
            } else {
                imageView.setVisibility(0);
                imageView.setImageResource(R.drawable.turbo_selector);
            }
            if (this.f3206A.isChecked()) {
                relativeLayout.setOnClickListener(new ar(this, str, i2));
            } else {
                relativeLayout.setEnabled(false);
                textView.setEnabled(false);
                textView2.setEnabled(false);
                imageView.setEnabled(false);
                imageView2.setEnabled(false);
            }
            this.f3208C.addView(relativeLayout);
        }
    }

    public void addCleaningDaysClick(View view) {
        C0742a.m5813d(getApplicationContext(), "REPEAT_DAYS_SELECTED");
        Intent intent = new Intent(getApplicationContext(), AddCleaningDaysActivity.class);
        intent.putExtra(CommandActivity.f3149j, this.f3215s);
        intent.putExtra(CommandActivity.f3150k, this.f3216t);
        intent.putExtra(CommandActivity.f3152m, this.f3217u);
        intent.putExtra(f3202j, f3205n);
        intent.setFlags(536870912);
        startActivity(intent);
    }

    protected void m5587b(boolean z) {
        try {
            av a = this.f3213q.m5604a();
            a.m5607a(z);
            a.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5817a())});
        } catch (Exception e) {
            C0767d.m5867a("RobotSettingsActivity", "Exception", e);
        }
    }

    public void deleteRobotClick(View view) {
        ab a = C0733a.m5780a(this);
        a.m2640a((int) R.string.delete_robot_question);
        a.m2648a(false);
        a.m2650b((int) R.string.delete_robot_question_message);
        a.m2641a((int) R.string.remove, new ap(this));
        a.m2651b((int) R.string.cancel, new aq(this));
        this.at = a.m2649b();
        this.at.show();
        C0733a.m5782a(getApplicationContext(), this.at);
    }

    public void editNameClick(View view) {
        Intent intent = new Intent(getApplicationContext(), RobotEditNameActivity.class);
        intent.putExtra(CommandActivity.f3149j, this.f3215s);
        intent.putExtra(CommandActivity.f3150k, this.f3216t);
        intent.setFlags(536870912);
        startActivity(intent);
    }

    protected void m5588k() {
        try {
            this.f3211o.m5612a().executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5817a())});
        } catch (Exception e) {
            C0767d.m5867a("RobotSettingsActivity", "Exception", e);
        }
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_robot_settings);
        f3205n = "[]";
        this.f3219w = (RelativeLayout) findViewById(R.id.addCleaningDayItem);
        this.f3220x = (TextView) findViewById(R.id.addDayText);
        this.f3221y = (ImageView) findViewById(R.id.arrowImageDay);
        this.f3209D = (TextView) findViewById(R.id.robotID);
        this.f3206A = (SwitchCompat) findViewById(R.id.enableScheduleSwitch);
        this.f3206A.setOnCheckedChangeListener(new am(this));
        this.f3208C = (LinearLayout) findViewById(R.id.scheduleContainer);
        this.f3222z = (LinearLayout) findViewById(R.id.robotSchedule);
        this.f3214r = getApplicationContext().getSharedPreferences("RobotSettingsActivity", 0);
        this.f3212p = new at(this);
        this.f3211o = new ax(this);
        this.f3213q = new au(this);
        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            this.f3215s = extras.getString(CommandActivity.f3149j);
            this.f3216t = extras.getString(CommandActivity.f3150k);
            this.f3218v = extras.getBoolean(CommandActivity.f3151l);
            this.f3217u = extras.getString(CommandActivity.f3152m);
            this.f3210m = extras.getBoolean(CommandActivity.f3153n);
        }
        this.f3209D.setText(this.f3216t);
        if (!this.f3218v) {
            this.f3222z.setVisibility(8);
        }
        if (bundle != null) {
            m5585l();
        }
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        toolbar.setNavigationIcon((int) R.drawable.back);
        ((TextView) toolbar.findViewById(R.id.toolbarTitle)).setText(this.f3215s);
        toolbar.setNavigationOnClickListener(new an(this));
        if ("neatoProduction".contains("neato")) {
            toolbar.setOnMenuItemClickListener(new ao(this));
            toolbar.m4004a((int) R.menu.menu_robot_settings);
        }
        m5583e(this.f3206A.isChecked());
        if (this.f3218v) {
            m5588k();
        }
    }

    protected void onResume() {
        super.onResume();
        if (RobotEditNameActivity.f3193j != null) {
            this.f3215s = RobotEditNameActivity.f3193j;
            ((TextView) ((Toolbar) findViewById(R.id.toolbar)).findViewById(R.id.toolbarTitle)).setText(this.f3215s);
        }
        if (f3201i) {
            m5586m();
            f3201i = false;
        }
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.f3214r.edit();
        edit.putString(CommandActivity.f3149j, this.f3215s);
        edit.putString(CommandActivity.f3150k, this.f3216t);
        edit.putBoolean(CommandActivity.f3151l, this.f3218v);
        edit.putBoolean(CommandActivity.f3153n, this.f3210m);
        edit.putString(CommandActivity.f3152m, this.f3217u);
        edit.putString(f3202j, f3205n);
        edit.commit();
    }
}
