package com.neatorobotics.android.activities.scheduling;

import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.AsyncTask;
import android.os.Bundle;
import android.support.v7.app.ab;
import android.support.v7.widget.Toolbar;
import android.text.format.DateFormat;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.activities.robot.CommandActivity;
import com.neatorobotics.android.activities.robot.RobotSettingsActivity;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p032e.p033a.C0733a;
import com.neatorobotics.android.p032e.p036d.C0738a;
import com.neatorobotics.android.p032e.p040h.C0742a;
import com.neatorobotics.android.p032e.p042j.C0746c;
import com.neatorobotics.android.p043f.C0762e;
import com.neatorobotics.android.utils.C0764a;
import com.neatorobotics.android.utils.C0767d;
import com.neatorobotics.android.utils.C0768e;
import java.net.URL;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;

public class AddCleaningDaysActivity extends C0539a {
    public static String f3286k;
    public static String f3287l;
    public static String f3288m;
    public static String f3289n;
    public static String f3290o;
    public static boolean f3291q;
    private String f3292A;
    private String f3293B;
    private int f3294C;
    private Date f3295D;
    private Button f3296E;
    private Button f3297F;
    private boolean f3298G;
    private String f3299H;
    protected C0667f f3300i;
    protected C0669h f3301j;
    Toolbar f3302p;
    protected TextView f3303r;
    protected TextView f3304s;
    protected TextView f3305t;
    protected TextView f3306u;
    protected LinearLayout f3307v;
    private SharedPreferences f3308w;
    private String f3309x;
    private String f3310y;
    private String f3311z;

    static {
        f3286k = "ECO_MODE";
        f3287l = "EVENTS_LIST";
        f3288m = "EDIT_START_TIME";
        f3289n = "EDIT_ECO_MODE";
        f3290o = "SELECTED_TIME";
        f3291q = false;
    }

    public AddCleaningDaysActivity() {
        this.f3309x = "";
        this.f3310y = "";
        this.f3311z = "";
        this.f3292A = "";
        this.f3293B = null;
        this.f3298G = false;
    }

    private void m5663a(Date date) {
        boolean is24HourFormat = DateFormat.is24HourFormat(this);
        CharSequence b = C0764a.m5848b(date);
        if (b != null) {
            this.f3303r.setText(b);
        }
        if (is24HourFormat) {
            this.f3304s.setVisibility(8);
        } else {
            CharSequence a = C0764a.m5844a(date);
            if (a != null) {
                this.f3304s.setText(a);
            }
        }
        this.f3295D = date;
    }

    private void m5671l() {
        this.f3309x = this.f3308w.getString(CommandActivity.f3149j, "");
        this.f3310y = this.f3308w.getString(CommandActivity.f3150k, "");
        this.f3311z = this.f3308w.getString(CommandActivity.f3152m, "");
        this.f3298G = this.f3308w.getBoolean(f3286k, false);
        this.f3292A = this.f3308w.getString(f3287l, "");
        this.f3293B = this.f3308w.getString(f3288m, null);
        this.f3294C = this.f3308w.getInt(f3289n, C0738a.f3500n);
        this.f3295D = C0764a.m5857e(this.f3308w.getString(f3290o, null));
    }

    private void m5672m() {
        try {
            this.f3295D = new SimpleDateFormat("HH:mm").parse(this.f3293B);
        } catch (Exception e) {
            C0767d.m5867a("AddCleaningDaysActivity", "Exception", e);
        }
        ArrayList a = C0768e.m5870a(this.f3292A);
        ArrayList arrayList = new ArrayList();
        int i = 0;
        while (i < a.size()) {
            if (((C0762e) a.get(i)).f3585a.equalsIgnoreCase(this.f3293B) && ((C0762e) a.get(i)).f3586b == this.f3294C) {
                arrayList.add(Integer.valueOf(((C0762e) a.get(i)).f3587c));
            }
            i++;
        }
        if (C0742a.m5803a(getApplicationContext(), "REPEAT_DAYS_SELECTED") == null) {
            C0742a.m5806a(getApplicationContext(), "REPEAT_DAYS_SELECTED", C0764a.m5849b(arrayList).toString());
        }
        if (this.f3294C == C0738a.f3499m) {
            this.f3298G = true;
        } else {
            this.f3298G = false;
        }
        m5674t();
    }

    private void m5673n() {
        m5674t();
        m5663a(this.f3295D);
        Object d = C0764a.m5854d(C0742a.m5810b(getApplicationContext(), "REPEAT_DAYS_SELECTED", null));
        this.f3305t.setText(d);
        if (d.equals("")) {
            this.f3305t.setVisibility(8);
        } else {
            this.f3305t.setVisibility(0);
        }
    }

    private void m5674t() {
        if (this.f3298G) {
            this.f3296E.setEnabled(false);
            this.f3297F.setEnabled(true);
            return;
        }
        this.f3296E.setEnabled(true);
        this.f3297F.setEnabled(false);
    }

    public void confirmScheduleClick(View view) {
        String b = C0742a.m5810b(getApplicationContext(), "REPEAT_DAYS_SELECTED", null);
        if (b == null || !C0764a.m5850b(b)) {
            this.f3306u.setTextColor(getResources().getColor(R.color.red));
            ab a = C0733a.m5780a(this);
            if (this.f3293B == null) {
                a.m2640a((int) R.string.cant_add_repeating_days);
            } else {
                a.m2640a((int) R.string.cant_edit_repeating_days);
            }
            a.m2648a(false);
            a.m2650b((int) R.string.select_repeating_days_message);
            a.m2641a((int) R.string.ok, new C0664c(this));
            this.at = a.m2649b();
            this.at.show();
            C0733a.m5782a(getApplicationContext(), this.at);
            return;
        }
        m5675k();
    }

    public void deleteEntryClick(View view) {
        ab a = C0733a.m5780a(this);
        a.m2640a((int) R.string.delete_entry_question);
        a.m2648a(false);
        a.m2650b((int) R.string.delete_entry_question_message);
        a.m2641a((int) R.string.remove, new C0665d(this));
        a.m2651b((int) R.string.cancel, new C0666e(this));
        this.at = a.m2649b();
        this.at.show();
        C0733a.m5782a(getApplicationContext(), this.at);
    }

    public void ecoClick(View view) {
        this.f3298G = true;
        m5674t();
    }

    protected void m5675k() {
        try {
            this.f3300i.m5682a().executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5817a())});
        } catch (Exception e) {
            C0767d.m5867a("AddCleaningDaysActivity", "Exception", e);
        }
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_add_cleaning_days);
        this.f3295D = Calendar.getInstance().getTime();
        this.f3308w = getApplicationContext().getSharedPreferences("AddCleaningDaysActivity", 0);
        this.f3300i = new C0667f(this);
        this.f3301j = new C0669h(this);
        this.f3303r = (TextView) findViewById(R.id.timeText);
        this.f3304s = (TextView) findViewById(R.id.AMPM);
        this.f3305t = (TextView) findViewById(R.id.repeatDescriptionText);
        this.f3306u = (TextView) findViewById(R.id.repeatText);
        this.f3296E = (Button) findViewById(R.id.modeEcoBtn);
        this.f3297F = (Button) findViewById(R.id.modeTurboBtn);
        this.f3307v = (LinearLayout) findViewById(R.id.deleteEntryContainer);
        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            this.f3309x = extras.getString(CommandActivity.f3149j);
            this.f3310y = extras.getString(CommandActivity.f3150k);
            this.f3311z = extras.getString(CommandActivity.f3152m);
            this.f3292A = extras.getString(f3287l);
            this.f3293B = extras.getString(f3288m);
            this.f3294C = extras.getInt(f3289n);
        }
        if (bundle != null) {
            m5671l();
        }
        this.f3302p = (Toolbar) findViewById(R.id.toolbar);
        this.f3302p.setNavigationIcon((int) R.drawable.close);
        if (this.f3293B == null) {
            ((TextView) this.f3302p.findViewById(R.id.toolbarTitle)).setText(getResources().getString(R.string.title_activity_add_cleaning_days));
        } else {
            ((TextView) this.f3302p.findViewById(R.id.toolbarTitle)).setText(getResources().getString(R.string.title_activity_edit_cleaning_days));
        }
        this.f3302p.setNavigationOnClickListener(new C0662a(this));
        this.f3302p.setOnMenuItemClickListener(new C0663b(this));
        this.f3302p.m4004a((int) R.menu.menu_add_cleaning_days);
        if ("neatoProduction".contains("neato")) {
            this.f3302p.getMenu().findItem(R.id.action_check).setVisible(false);
            findViewById(R.id.toolbarShadow).setVisibility(8);
        } else {
            this.f3302p.getMenu().findItem(R.id.action_delete).setVisible(false);
        }
        if (this.f3293B != null) {
            this.f3307v.setVisibility(0);
            m5672m();
            return;
        }
        this.f3307v.setVisibility(8);
        this.f3302p.getMenu().findItem(R.id.action_delete).setVisible(false);
    }

    protected void onResume() {
        super.onResume();
        m5673n();
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.f3308w.edit();
        edit.putString(CommandActivity.f3149j, this.f3309x);
        edit.putString(CommandActivity.f3150k, this.f3310y);
        edit.putString(CommandActivity.f3152m, this.f3311z);
        edit.putBoolean(f3286k, this.f3298G);
        edit.putString(f3287l, this.f3292A);
        edit.putString(f3288m, this.f3293B);
        edit.putInt(f3289n, this.f3294C);
        edit.putString(f3290o, C0764a.m5852c(this.f3295D));
        edit.commit();
    }

    public void openTimePickerClick(View view) {
        new C0671j().m617a(m643f(), "timePicker");
    }

    public void repeatClick(View view) {
        this.f3306u.setTextColor(getResources().getColor(R.color.textview_text));
        Intent intent = new Intent(getApplicationContext(), RepeatingDaysActivity.class);
        intent.putExtra(CommandActivity.f3149j, this.f3309x);
        intent.putExtra(CommandActivity.f3150k, this.f3310y);
        intent.putExtra(RobotSettingsActivity.f3202j, this.f3292A);
        intent.putExtra(RobotSettingsActivity.f3203k, this.f3293B);
        intent.putExtra(RobotSettingsActivity.f3204l, this.f3294C);
        intent.setFlags(536870912);
        startActivity(intent);
    }

    public void turboClick(View view) {
        this.f3298G = false;
        m5674t();
    }
}
