package com.neatorobotics.android.activities.scheduling;

import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.Bundle;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.support.v7.widget.Toolbar;
import android.support.v7.widget.ce;
import android.support.v7.widget.co;
import android.view.View;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p032e.p036d.C0738a;
import com.neatorobotics.android.p032e.p040h.C0742a;
import com.neatorobotics.android.utils.C0767d;
import org.json.JSONObject;

public class RepeatingDaysActivity extends C0539a {
    public static String f3312j;
    public static String f3313k;
    public static String f3314l;
    protected static boolean f3315n;
    protected C0676o f3316i;
    Toolbar f3317m;
    private SharedPreferences f3318o;
    private String f3319p;
    private String f3320q;
    private int f3321r;
    private RecyclerView f3322s;
    private ce f3323t;
    private co f3324u;
    private JSONObject f3325v;

    static {
        f3312j = "EVENTS_LIST";
        f3313k = "EDIT_START_TIME";
        f3314l = "EDIT_ECO_MODE";
        f3315n = false;
    }

    public RepeatingDaysActivity() {
        this.f3319p = "";
        this.f3320q = null;
        this.f3325v = new JSONObject();
    }

    private void m5680k() {
        this.f3319p = this.f3318o.getString(f3312j, "");
        this.f3320q = this.f3318o.getString(f3313k, null);
        this.f3321r = this.f3318o.getInt(f3314l, C0738a.f3500n);
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_repeating_days);
        this.f3318o = getApplicationContext().getSharedPreferences("RepeatingDaysActivity", 0);
        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            this.f3319p = extras.getString(f3312j);
            this.f3320q = extras.getString(f3313k);
            this.f3321r = extras.getInt(f3314l);
        }
        if (bundle != null) {
            m5680k();
        }
        this.f3317m = (Toolbar) findViewById(R.id.toolbar);
        this.f3317m.setNavigationIcon((int) R.drawable.close);
        ((TextView) this.f3317m.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_repeating_days));
        this.f3317m.setNavigationOnClickListener(new C0672k(this));
        this.f3317m.setOnMenuItemClickListener(new C0673l(this));
        if (!"neatoProduction".contains("neato")) {
            this.f3317m.m4004a((int) R.menu.menu_country);
        }
        this.f3322s = (RecyclerView) findViewById(R.id.country_recycler_view);
        this.f3322s.setHasFixedSize(true);
        this.f3324u = new LinearLayoutManager(this);
        this.f3322s.setLayoutManager(this.f3324u);
        this.f3323t = new C0674m(this);
        this.f3322s.setAdapter(this.f3323t);
        this.f3316i = new C0676o(this);
        try {
            this.f3325v = new JSONObject(C0742a.m5810b(getApplicationContext(), "REPEAT_DAYS_SELECTED", "{}"));
            this.f3323t.m4302c();
        } catch (Exception e) {
            C0767d.m5867a("RepeatingDaysActivity", "Exception", e);
        }
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.f3318o.edit();
        edit.putString(f3312j, this.f3319p);
        edit.putString(f3313k, this.f3320q);
        edit.putInt(f3314l, this.f3321r);
        edit.commit();
    }

    public void submitClick(View view) {
        C0742a.m5806a(getApplicationContext(), "REPEAT_DAYS_SELECTED", this.f3325v.toString());
        C0767d.m5868b("RepeatingDaysActivity", "REPEAT DAYS: " + this.f3325v.toString());
        finish();
    }
}
