package com.neatorobotics.android.activities.signin;

import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.os.AsyncTask;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.view.View.OnFocusChangeListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.neatorobotics.android.R;
import com.neatorobotics.android.p028a.C0536b;
import com.neatorobotics.android.p029b.C0539a;
import com.neatorobotics.android.p032e.p042j.C0746c;
import com.neatorobotics.android.utils.C0767d;
import java.net.URL;
import org.json.JSONObject;

@C0536b
public class ForgotPasswordActivity extends C0539a implements OnFocusChangeListener {
    protected C0711i f3417i;
    Toolbar f3418j;
    int f3419k;
    int f3420l;
    private SharedPreferences f3421m;
    private final String f3422n;
    private ImageView f3423o;
    private EditText f3424p;
    private Button f3425q;
    private RelativeLayout f3426r;
    private RelativeLayout f3427s;

    public ForgotPasswordActivity() {
        this.f3422n = "EMAIL";
    }

    private void m5742l() {
        this.f3424p.setText(this.f3421m.getString("EMAIL", ""));
        m5745k();
    }

    private void m5743m() {
        if ("neatoProduction".contains("neato")) {
            this.f3423o.post(new C0707e(this));
        }
    }

    private void m5744n() {
        if (VERSION.SDK_INT >= 21) {
            getWindow().setStatusBarColor(getResources().getColor(R.color.register_success_status_bar_color));
        }
    }

    public void finishClick(View view) {
        finish();
    }

    protected boolean m5745k() {
        boolean z = !this.f3424p.getText().toString().trim().equalsIgnoreCase("");
        if (z) {
            this.f3425q.setEnabled(true);
        } else {
            this.f3425q.setEnabled(false);
        }
        return z;
    }

    public void okSubmit(View view) {
        Object obj = 1;
        if (this.f3424p.getText() == null || this.f3424p.getText().toString() == null || this.f3424p.getText().toString().trim().equalsIgnoreCase("")) {
            this.f3424p.setTextColor(-65536);
            this.f3424p.setHintTextColor(-65536);
            obj = null;
        }
        if (obj != null) {
            try {
                JSONObject jSONObject = new JSONObject();
                jSONObject.put("email", this.f3424p.getText());
                jSONObject.put("platform", "android");
                jSONObject.put("token", "TODO");
                C0708f a = this.f3417i.m5757a();
                a.m5755a(jSONObject);
                a.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new URL[]{new URL(C0746c.m5818b() + "/users/password/reset")});
            } catch (Exception e) {
                C0767d.m5867a("ForgotPasswordActivity", "Exception", e);
            } catch (Exception e2) {
                C0767d.m5867a("ForgotPasswordActivity", "Exception", e2);
            }
        }
    }

    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) R.layout.activity_forgot_password);
        this.f3421m = getApplicationContext().getSharedPreferences("ForgotPasswordActivity", 0);
        this.f3423o = (ImageView) findViewById(R.id.letterImage);
        this.f3423o.setScaleX(0.0f);
        this.f3423o.setScaleY(0.0f);
        this.f3424p = (EditText) findViewById(R.id.email_field);
        this.f3424p.setOnFocusChangeListener(this);
        this.f3424p.addTextChangedListener(new C0703a(this));
        this.f3424p.setOnEditorActionListener(new C0704b(this));
        this.f3426r = (RelativeLayout) findViewById(R.id.successMessageContainer);
        this.f3427s = (RelativeLayout) findViewById(R.id.emailContainer);
        this.f3425q = (Button) findViewById(R.id.recover_btn);
        this.f3419k = this.f3424p.getTextColors().getDefaultColor();
        this.f3420l = this.f3424p.getCurrentHintTextColor();
        this.f3418j = (Toolbar) findViewById(R.id.toolbar);
        this.f3418j.setNavigationIcon((int) R.drawable.close);
        ((TextView) this.f3418j.findViewById(R.id.toolbarTitle)).setText(getString(R.string.title_activity_forgot_password));
        this.f3418j.setNavigationOnClickListener(new C0705c(this));
        this.f3418j.setOnMenuItemClickListener(new C0706d(this));
        this.f3418j.m4004a((int) R.menu.menu_forgot_password);
        this.f3418j.getMenu().findItem(R.id.action_check).setVisible(false);
        this.f3417i = new C0711i(this);
        if (bundle != null) {
            m5742l();
        }
    }

    public void onFocusChange(View view, boolean z) {
        if (z && (view instanceof EditText)) {
            ((EditText) view).setTextColor(this.f3419k);
            ((EditText) view).setHintTextColor(this.f3420l);
        }
    }

    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Editor edit = this.f3421m.edit();
        edit.putString("EMAIL", this.f3424p.getText().toString());
        edit.commit();
    }
}
