package com.neatorobotics.android.push;

import android.app.IntentService;
import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.os.Build.VERSION;
import android.os.Bundle;
import android.support.v4.app.bj;
import android.support.v4.app.bk;
import android.support.v4.p009b.C0093n;
import com.google.android.gms.gcm.C0514b;
import com.neatorobotics.android.R;
import com.neatorobotics.android.activities.home.HomeActivity;
import com.neatorobotics.android.p032e.p040h.C0742a;
import com.neatorobotics.android.utils.C0767d;

public class GcmIntentService extends IntentService {
    public static int f3591a;
    private NotificationManager f3592b;

    static {
        f3591a = 1;
    }

    public GcmIntentService() {
        super("GcmIntentService");
    }

    private synchronized void m5837b(String str) {
        if (str != null) {
            if (!str.isEmpty()) {
                if (!C0742a.m5810b(getApplicationContext(), "ACCESS_TOKEN", "").equalsIgnoreCase("")) {
                    this.f3592b = (NotificationManager) getSystemService("notification");
                    Intent intent = new Intent(this, HomeActivity.class);
                    intent.putExtra("PUSH_MESSAGES", str);
                    intent.setFlags(603979776);
                    PendingIntent activity = PendingIntent.getActivity(this, 0, intent, 134217728);
                    bk b = new bk(this).m500a((int) R.drawable.notification_icon).m503a(getApplicationContext().getResources().getString(R.string.app_name)).m504b(1).m502a(new bj().m497a(str)).m505b((CharSequence) str);
                    b.m501a(activity);
                    Notification a = b.m499a();
                    a.flags |= 16;
                    a.defaults |= 1;
                    if (VERSION.SDK_INT >= 21) {
                        a.color = getResources().getColor(R.color.color_primary);
                    }
                    int abs = Math.abs(m5838a(str));
                    C0767d.m5868b("GcmIntentService", "Push HASH CODE = " + abs);
                    f3591a = abs;
                    this.f3592b.notify(f3591a, a);
                }
            }
        }
        C0767d.m5866a("GcmIntentService", "Push GCM message is empty or null.");
    }

    public int m5838a(String str) {
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append(str);
        return stringBuilder.toString().hashCode();
    }

    protected void onHandleIntent(Intent intent) {
        Bundle extras = intent.getExtras();
        String a = C0514b.m5253a((Context) this).m5264a(intent);
        if (!extras.isEmpty()) {
            if ("send_error".equals(a)) {
                m5837b("Send error: " + extras.toString());
            } else if ("deleted_messages".equals(a)) {
                m5837b("Deleted messages on server: " + extras.toString());
            } else if ("gcm".equals(a)) {
                m5837b(extras.getString("message"));
                C0767d.m5869c("GcmIntentService", "Received: " + extras.toString());
            }
        }
        C0093n.m738a(intent);
    }
}
